
# Data Propagation Report

- **STAT1** : Number of instructions that hit unique coverpoints and update the signature.
- **STAT2** : Number of instructions that hit covepoints which are not unique but still update the signature
- **STAT3** : Number of instructions that hit a unique coverpoint but do not update signature
- **STAT4** : Number of multiple signature updates for the same coverpoint
- **STAT5** : Number of times the signature was overwritten

| Param                     | Value    |
|---------------------------|----------|
| XLEN                      | 32      |
| TEST_REGION               | [('0x80000078', '0x80001310')]      |
| SIG_REGION                | [('0x80003204', '0x800037e0', '375 words')]      |
| COV_LABELS                | caddi      |
| TEST_NAME                 | /home/bilalsakhawat/riscof_work/src/caddi-01.S/caddi-01.S    |
| Total Number of coverpoints| 419     |
| Total Coverpoints Hit     | 416      |
| Total Signature Updates   | 375      |
| STAT1                     | 375      |
| STAT2                     | 0      |
| STAT3                     | 0     |
| STAT4                     | 0     |
| STAT5                     | 0     |

## Details for STAT2:

```


```

## Details of STAT3

```


```

## Details of STAT4:

```

```

## Details of STAT5:



## Details of STAT1:

- The first column indicates the signature address and the data at that location in hexadecimal in the following format: 
  ```
  [Address]
  Data
  ```

- The second column captures all the coverpoints which have been captured by that particular signature location

- The third column captures all the insrtuctions since the time a coverpoint was
  hit to the point when a store to the signature was performed. Each line has
  the following format:
  ```
  [PC of instruction] : mnemonic
  ```
- The order in the table is based on the order of signatures occuring in the
  test. These need not necessarily be in increasing or decreasing order of the
  address in the signature region.

|s.no|        signature         |                                                                                coverpoints                                                                                |                              code                               |
|---:|--------------------------|---------------------------------------------------------------------------------------------------------------------------------------------------------------------------|-----------------------------------------------------------------|
|   1|[0x80003204]<br>0x007FFFE0|- opcode : c.addi<br> - rd : x13<br> - imm_val == (-2**(6-1))<br> - rs1_val == 8388608<br> - imm_val == -32<br> - rs1_val != imm_val<br> - rs1_val > 0 and imm_val < 0<br> |[0x80000084]:c.addi a3, 32<br> [0x80000086]:c.sw a0, a3, 0<br>   |
|   2|[0x80003208]<br>0x80000003|- rd : x2<br> - rs1_val == 2147483647<br> - imm_val == 4<br> - rs1_val == (2**(xlen-1)-1)<br> - rs1_val > 0 and imm_val > 0<br>                                            |[0x80000090]:c.addi sp, 4<br> [0x80000092]:sw sp, 4(a0)<br>      |
|   3|[0x8000320c]<br>0xBFFFFFFE|- rd : x4<br> - rs1_val == -1073741825<br> - rs1_val < 0 and imm_val < 0<br>                                                                                               |[0x8000009e]:c.addi tp, 63<br> [0x800000a0]:sw tp, 8(a0)<br>     |
|   4|[0x80003210]<br>0xE0000007|- rd : x7<br> - rs1_val == -536870913<br> - imm_val == 8<br> - rs1_val < 0 and imm_val > 0<br>                                                                             |[0x800000ac]:c.addi t2, 8<br> [0x800000ae]:sw t2, 12(a0)<br>     |
|   5|[0x80003214]<br>0xF0000003|- rd : x11<br> - rs1_val == -268435457<br>                                                                                                                                 |[0x800000ba]:c.addi a1, 4<br> [0x800000bc]:c.sw a0, a1, 16<br>   |
|   6|[0x80003218]<br>0xF8000004|- rd : x6<br> - rs1_val == -134217729<br>                                                                                                                                  |[0x800000c6]:c.addi t1, 5<br> [0x800000c8]:sw t1, 20(a0)<br>     |
|   7|[0x8000321c]<br>0xFC000003|- rd : x9<br> - rs1_val == -67108865<br>                                                                                                                                   |[0x800000d4]:c.addi s1, 4<br> [0x800000d6]:c.sw a0, s1, 24<br>   |
|   8|[0x80003220]<br>0xFDFFFFFA|- rd : x5<br> - rs1_val == -33554433<br> - imm_val == -5<br>                                                                                                               |[0x800000e0]:c.addi t0, 59<br> [0x800000e2]:sw t0, 28(a0)<br>    |
|   9|[0x80003224]<br>0xFF00000F|- rd : x12<br> - rs1_val == -16777217<br> - imm_val == 16<br>                                                                                                              |[0x800000ee]:c.addi a2, 16<br> [0x800000f0]:c.sw a0, a2, 32<br>  |
|  10|[0x80003228]<br>0xFF7FFFFA|- rd : x3<br> - rs1_val == -8388609<br>                                                                                                                                    |[0x800000fa]:c.addi gp, 59<br> [0x800000fc]:sw gp, 36(a0)<br>    |
|  11|[0x8000322c]<br>0xFFBFFFDF|- rd : x1<br> - rs1_val == -4194305<br>                                                                                                                                    |[0x80000108]:c.addi ra, 32<br> [0x8000010a]:sw ra, 40(a0)<br>    |
|  12|[0x80003230]<br>0xFFDFFFFD|- rd : x8<br> - rs1_val == -2097153<br> - imm_val == -2<br>                                                                                                                |[0x80000116]:c.addi fp, 62<br> [0x80000118]:c.sw a0, s0, 44<br>  |
|  13|[0x80003234]<br>0xFFEFFFFD|- rd : x15<br> - rs1_val == -1048577<br>                                                                                                                                   |[0x8000012a]:c.addi a5, 62<br> [0x8000012c]:sw a5, 0(ra)<br>     |
|  14|[0x80003238]<br>0xFFF80004|- rd : x14<br> - rs1_val == -524289<br>                                                                                                                                    |[0x80000138]:c.addi a4, 5<br> [0x8000013a]:sw a4, 4(ra)<br>      |
|  15|[0x8000323c]<br>0xFFFC0004|- rd : x10<br> - rs1_val == -262145<br>                                                                                                                                    |[0x80000146]:c.addi a0, 5<br> [0x80000148]:sw a0, 8(ra)<br>      |
|  16|[0x80003240]<br>0xFFFE0003|- rs1_val == -131073<br>                                                                                                                                                   |[0x80000154]:c.addi a0, 4<br> [0x80000156]:sw a0, 12(ra)<br>     |
|  17|[0x80003244]<br>0xFFFEFFFA|- rs1_val == -65537<br>                                                                                                                                                    |[0x80000162]:c.addi a0, 59<br> [0x80000164]:sw a0, 16(ra)<br>    |
|  18|[0x80003248]<br>0xFFFF7FF7|- rs1_val == -32769<br>                                                                                                                                                    |[0x80000170]:c.addi a0, 56<br> [0x80000172]:sw a0, 20(ra)<br>    |
|  19|[0x8000324c]<br>0xFFFFC005|- rs1_val == -16385<br>                                                                                                                                                    |[0x8000017e]:c.addi a0, 6<br> [0x80000180]:sw a0, 24(ra)<br>     |
|  20|[0x80003250]<br>0xFFFFE002|- rs1_val == -8193<br>                                                                                                                                                     |[0x8000018c]:c.addi a0, 3<br> [0x8000018e]:sw a0, 28(ra)<br>     |
|  21|[0x80003254]<br>0xFFFFEFFD|- rs1_val == -4097<br>                                                                                                                                                     |[0x8000019a]:c.addi a0, 62<br> [0x8000019c]:sw a0, 32(ra)<br>    |
|  22|[0x80003258]<br>0xFFFFF7DF|- rs1_val == -2049<br>                                                                                                                                                     |[0x800001a8]:c.addi a0, 32<br> [0x800001aa]:sw a0, 36(ra)<br>    |
|  23|[0x8000325c]<br>0xFFFFFC03|- rs1_val == -1025<br>                                                                                                                                                     |[0x800001b2]:c.addi a0, 4<br> [0x800001b4]:sw a0, 40(ra)<br>     |
|  24|[0x80003260]<br>0xFFFFFDEE|- rs1_val == -513<br> - imm_val == -17<br>                                                                                                                                 |[0x800001bc]:c.addi a0, 47<br> [0x800001be]:sw a0, 44(ra)<br>    |
|  25|[0x80003264]<br>0xFFFFFEFE|- rs1_val == -257<br>                                                                                                                                                      |[0x800001c6]:c.addi a0, 63<br> [0x800001c8]:sw a0, 48(ra)<br>    |
|  26|[0x80003268]<br>0xFFFFFF82|- rs1_val == -129<br>                                                                                                                                                      |[0x800001d0]:c.addi a0, 3<br> [0x800001d2]:sw a0, 52(ra)<br>     |
|  27|[0x8000326c]<br>0xFFFFFFBA|- rs1_val == -65<br>                                                                                                                                                       |[0x800001da]:c.addi a0, 59<br> [0x800001dc]:sw a0, 56(ra)<br>    |
|  28|[0x80003270]<br>0xFFFFFFC9|- rs1_val == -33<br> - imm_val == -22<br>                                                                                                                                  |[0x800001e4]:c.addi a0, 42<br> [0x800001e6]:sw a0, 60(ra)<br>    |
|  29|[0x80003274]<br>0xFFFFFFEB|- rs1_val == -17<br>                                                                                                                                                       |[0x800001ee]:c.addi a0, 60<br> [0x800001f0]:sw a0, 64(ra)<br>    |
|  30|[0x80003278]<br>0xFFFFFFE7|- rs1_val == -9<br>                                                                                                                                                        |[0x800001f8]:c.addi a0, 48<br> [0x800001fa]:sw a0, 68(ra)<br>    |
|  31|[0x8000327c]<br>0xFFFFFFEB|- rs1_val == -5<br>                                                                                                                                                        |[0x80000202]:c.addi a0, 48<br> [0x80000204]:sw a0, 72(ra)<br>    |
|  32|[0x80003280]<br>0x00000001|- rs1_val == -3<br>                                                                                                                                                        |[0x8000020c]:c.addi a0, 4<br> [0x8000020e]:sw a0, 76(ra)<br>     |
|  33|[0x80003284]<br>0x00000005|- rs1_val == -2<br>                                                                                                                                                        |[0x80000216]:c.addi a0, 7<br> [0x80000218]:sw a0, 80(ra)<br>     |
|  34|[0x80003288]<br>0x0000001C|- imm_val == 31<br> - imm_val == (2**(6-1)-1)<br>                                                                                                                          |[0x80000220]:c.addi a0, 31<br> [0x80000222]:sw a0, 84(ra)<br>    |
|  35|[0x8000328c]<br>0xEFFFFFF6|- imm_val == -9<br>                                                                                                                                                        |[0x8000022e]:c.addi a0, 55<br> [0x80000230]:sw a0, 88(ra)<br>    |
|  36|[0x80003290]<br>0x0007FFFD|- imm_val == -3<br> - rs1_val == 524288<br>                                                                                                                                |[0x80000238]:c.addi a0, 61<br> [0x8000023a]:sw a0, 92(ra)<br>    |
|  37|[0x80003294]<br>0x80000009|- rs1_val == -2147483648<br> - rs1_val == (-2**(xlen-1))<br>                                                                                                               |[0x80000242]:c.addi a0, 9<br> [0x80000244]:sw a0, 96(ra)<br>     |
|  38|[0x80003298]<br>0x3FFFFFEA|- rs1_val == 1073741824<br>                                                                                                                                                |[0x8000024c]:c.addi a0, 42<br> [0x8000024e]:sw a0, 100(ra)<br>   |
|  39|[0x8000329c]<br>0x20000010|- rs1_val == 536870912<br>                                                                                                                                                 |[0x80000256]:c.addi a0, 16<br> [0x80000258]:sw a0, 104(ra)<br>   |
|  40|[0x800032a0]<br>0x10000000|- rs1_val == 268435456<br> - imm_val == 0<br>                                                                                                                              |[0x80000260]:c.addi.hint.a0<br> [0x80000262]:sw a0, 108(ra)<br>  |
|  41|[0x800032a4]<br>0x08000010|- rs1_val == 134217728<br>                                                                                                                                                 |[0x8000026a]:c.addi a0, 16<br> [0x8000026c]:sw a0, 112(ra)<br>   |
|  42|[0x800032a8]<br>0x04000005|- rs1_val == 67108864<br>                                                                                                                                                  |[0x80000274]:c.addi a0, 5<br> [0x80000276]:sw a0, 116(ra)<br>    |
|  43|[0x800032ac]<br>0x02000006|- rs1_val == 33554432<br>                                                                                                                                                  |[0x8000027e]:c.addi a0, 6<br> [0x80000280]:sw a0, 120(ra)<br>    |
|  44|[0x800032b0]<br>0x01000008|- rs1_val == 16777216<br>                                                                                                                                                  |[0x80000288]:c.addi a0, 8<br> [0x8000028a]:sw a0, 124(ra)<br>    |
|  45|[0x800032b4]<br>0x0040000F|- rs1_val == 4194304<br>                                                                                                                                                   |[0x80000292]:c.addi a0, 15<br> [0x80000294]:sw a0, 128(ra)<br>   |
|  46|[0x800032b8]<br>0x00200009|- rs1_val == 2097152<br>                                                                                                                                                   |[0x8000029c]:c.addi a0, 9<br> [0x8000029e]:sw a0, 132(ra)<br>    |
|  47|[0x800032bc]<br>0x00100009|- rs1_val == 1048576<br>                                                                                                                                                   |[0x800002a6]:c.addi a0, 9<br> [0x800002a8]:sw a0, 136(ra)<br>    |
|  48|[0x800032c0]<br>0x0004000F|- rs1_val == 262144<br>                                                                                                                                                    |[0x800002b0]:c.addi a0, 15<br> [0x800002b2]:sw a0, 140(ra)<br>   |
|  49|[0x800032c4]<br>0x0001FFEA|- rs1_val == 131072<br>                                                                                                                                                    |[0x800002ba]:c.addi a0, 42<br> [0x800002bc]:sw a0, 144(ra)<br>   |
|  50|[0x800032c8]<br>0x0000FFF0|- rs1_val == 65536<br>                                                                                                                                                     |[0x800002c4]:c.addi a0, 48<br> [0x800002c6]:sw a0, 148(ra)<br>   |
|  51|[0x800032cc]<br>0x00008006|- rs1_val == 32768<br>                                                                                                                                                     |[0x800002ce]:c.addi a0, 6<br> [0x800002d0]:sw a0, 152(ra)<br>    |
|  52|[0x800032d0]<br>0x00004005|- rs1_val == 16384<br>                                                                                                                                                     |[0x800002d8]:c.addi a0, 5<br> [0x800002da]:sw a0, 156(ra)<br>    |
|  53|[0x800032d4]<br>0x00002007|- rs1_val == 8192<br>                                                                                                                                                      |[0x800002e2]:c.addi a0, 7<br> [0x800002e4]:sw a0, 160(ra)<br>    |
|  54|[0x800032d8]<br>0x00000FF9|- rs1_val == 4096<br>                                                                                                                                                      |[0x800002ec]:c.addi a0, 57<br> [0x800002ee]:sw a0, 164(ra)<br>   |
|  55|[0x800032dc]<br>0x000007F6|- rs1_val == 2048<br>                                                                                                                                                      |[0x800002fa]:c.addi a0, 54<br> [0x800002fc]:sw a0, 168(ra)<br>   |
|  56|[0x800032e0]<br>0x000003FE|- rs1_val == 1024<br>                                                                                                                                                      |[0x80000304]:c.addi a0, 62<br> [0x80000306]:sw a0, 172(ra)<br>   |
|  57|[0x800032e4]<br>0x000001EF|- rs1_val == 512<br>                                                                                                                                                       |[0x8000030e]:c.addi a0, 47<br> [0x80000310]:sw a0, 176(ra)<br>   |
|  58|[0x800032e8]<br>0x00000101|- rs1_val == 256<br> - imm_val == 1<br>                                                                                                                                    |[0x80000318]:c.addi a0, 1<br> [0x8000031a]:sw a0, 180(ra)<br>    |
|  59|[0x800032ec]<br>0x00000084|- rs1_val == 128<br>                                                                                                                                                       |[0x80000322]:c.addi a0, 4<br> [0x80000324]:sw a0, 184(ra)<br>    |
|  60|[0x800032f0]<br>0x00000046|- rs1_val == 64<br>                                                                                                                                                        |[0x8000032c]:c.addi a0, 6<br> [0x8000032e]:sw a0, 188(ra)<br>    |
|  61|[0x800032f4]<br>0x00000024|- rs1_val == 32<br>                                                                                                                                                        |[0x80000336]:c.addi a0, 4<br> [0x80000338]:sw a0, 192(ra)<br>    |
|  62|[0x800032f8]<br>0x00000013|- rs1_val == 16<br>                                                                                                                                                        |[0x80000340]:c.addi a0, 3<br> [0x80000342]:sw a0, 196(ra)<br>    |
|  63|[0x800032fc]<br>0x0000000C|- rs1_val == 8<br>                                                                                                                                                         |[0x8000034a]:c.addi a0, 4<br> [0x8000034c]:sw a0, 200(ra)<br>    |
|  64|[0x80003300]<br>0x00000004|- rs1_val == 4<br> - rs1_val==4 and imm_val==0<br>                                                                                                                         |[0x80000354]:c.addi.hint.a0<br> [0x80000356]:sw a0, 204(ra)<br>  |
|  65|[0x80003304]<br>0x00000001|- rs1_val == 2<br> - rs1_val==2 and imm_val==-1<br>                                                                                                                        |[0x8000035e]:c.addi a0, 63<br> [0x80000360]:sw a0, 208(ra)<br>   |
|  66|[0x80003308]<br>0x00000005|- rs1_val == 1<br>                                                                                                                                                         |[0x80000368]:c.addi a0, 4<br> [0x8000036a]:sw a0, 212(ra)<br>    |
|  67|[0x8000330c]<br>0x00000001|- imm_val == 2<br>                                                                                                                                                         |[0x80000372]:c.addi a0, 2<br> [0x80000374]:sw a0, 216(ra)<br>    |
|  68|[0x80003310]<br>0x0000B50B|- rs1_val==46341 and imm_val==6<br>                                                                                                                                        |[0x80000380]:c.addi a0, 6<br> [0x80000382]:sw a0, 220(ra)<br>    |
|  69|[0x80003314]<br>0x0000B501|- rs1_val==46341 and imm_val==-4<br>                                                                                                                                       |[0x8000038e]:c.addi a0, 60<br> [0x80000390]:sw a0, 224(ra)<br>   |
|  70|[0x80003318]<br>0x0000B504|- rs1_val==46341 and imm_val==-1<br>                                                                                                                                       |[0x8000039c]:c.addi a0, 63<br> [0x8000039e]:sw a0, 228(ra)<br>   |
|  71|[0x8000331c]<br>0x0000B50C|- rs1_val==46341 and imm_val==7<br>                                                                                                                                        |[0x800003aa]:c.addi a0, 7<br> [0x800003ac]:sw a0, 232(ra)<br>    |
|  72|[0x80003320]<br>0x0000B509|- rs1_val==46341 and imm_val==4<br>                                                                                                                                        |[0x800003b8]:c.addi a0, 4<br> [0x800003ba]:sw a0, 236(ra)<br>    |
|  73|[0x80003324]<br>0x0000B510|- rs1_val==46341 and imm_val==11<br>                                                                                                                                       |[0x800003c6]:c.addi a0, 11<br> [0x800003c8]:sw a0, 240(ra)<br>   |
|  74|[0x80003328]<br>0x0000B505|- rs1_val==46341 and imm_val==0<br>                                                                                                                                        |[0x800003d4]:c.addi.hint.a0<br> [0x800003d6]:sw a0, 244(ra)<br>  |
|  75|[0x8000332c]<br>0x0000B50A|- rs1_val==46341 and imm_val==5<br>                                                                                                                                        |[0x800003e2]:c.addi a0, 5<br> [0x800003e4]:sw a0, 248(ra)<br>    |
|  76|[0x80003330]<br>0x0000B507|- rs1_val==46341 and imm_val==2<br>                                                                                                                                        |[0x800003f0]:c.addi a0, 2<br> [0x800003f2]:sw a0, 252(ra)<br>    |
|  77|[0x80003334]<br>0x0000B50E|- rs1_val==46341 and imm_val==9<br>                                                                                                                                        |[0x800003fe]:c.addi a0, 9<br> [0x80000400]:sw a0, 256(ra)<br>    |
|  78|[0x80003338]<br>0x0000B500|- rs1_val==46341 and imm_val==-5<br>                                                                                                                                       |[0x8000040c]:c.addi a0, 59<br> [0x8000040e]:sw a0, 260(ra)<br>   |
|  79|[0x8000333c]<br>0x0000B503|- rs1_val==46341 and imm_val==-2<br>                                                                                                                                       |[0x8000041a]:c.addi a0, 62<br> [0x8000041c]:sw a0, 264(ra)<br>   |
|  80|[0x80003340]<br>0x0000B508|- rs1_val==46341 and imm_val==3<br>                                                                                                                                        |[0x80000428]:c.addi a0, 3<br> [0x8000042a]:sw a0, 268(ra)<br>    |
|  81|[0x80003344]<br>0x0000B50F|- rs1_val==46341 and imm_val==10<br>                                                                                                                                       |[0x80000436]:c.addi a0, 10<br> [0x80000438]:sw a0, 272(ra)<br>   |
|  82|[0x80003348]<br>0xFFFF4B03|- rs1_val==-46339 and imm_val==6<br>                                                                                                                                       |[0x80000444]:c.addi a0, 6<br> [0x80000446]:sw a0, 276(ra)<br>    |
|  83|[0x8000334c]<br>0xFFFF4AF9|- rs1_val==-46339 and imm_val==-4<br>                                                                                                                                      |[0x80000452]:c.addi a0, 60<br> [0x80000454]:sw a0, 280(ra)<br>   |
|  84|[0x80003350]<br>0xFFFF4AFC|- rs1_val==-46339 and imm_val==-1<br>                                                                                                                                      |[0x80000460]:c.addi a0, 63<br> [0x80000462]:sw a0, 284(ra)<br>   |
|  85|[0x80003354]<br>0xFFFF4B04|- rs1_val==-46339 and imm_val==7<br>                                                                                                                                       |[0x8000046e]:c.addi a0, 7<br> [0x80000470]:sw a0, 288(ra)<br>    |
|  86|[0x80003358]<br>0xFFFF4B01|- rs1_val==-46339 and imm_val==4<br>                                                                                                                                       |[0x8000047c]:c.addi a0, 4<br> [0x8000047e]:sw a0, 292(ra)<br>    |
|  87|[0x8000335c]<br>0xFFFF4B08|- rs1_val==-46339 and imm_val==11<br>                                                                                                                                      |[0x8000048a]:c.addi a0, 11<br> [0x8000048c]:sw a0, 296(ra)<br>   |
|  88|[0x80003360]<br>0xFFFF4AFD|- rs1_val==-46339 and imm_val==0<br>                                                                                                                                       |[0x80000498]:c.addi.hint.a0<br> [0x8000049a]:sw a0, 300(ra)<br>  |
|  89|[0x80003364]<br>0xFFFF4B02|- rs1_val==-46339 and imm_val==5<br>                                                                                                                                       |[0x800004a6]:c.addi a0, 5<br> [0x800004a8]:sw a0, 304(ra)<br>    |
|  90|[0x80003368]<br>0xFFFF4AFF|- rs1_val==-46339 and imm_val==2<br>                                                                                                                                       |[0x800004b4]:c.addi a0, 2<br> [0x800004b6]:sw a0, 308(ra)<br>    |
|  91|[0x8000336c]<br>0xFFFF4B06|- rs1_val==-46339 and imm_val==9<br>                                                                                                                                       |[0x800004c2]:c.addi a0, 9<br> [0x800004c4]:sw a0, 312(ra)<br>    |
|  92|[0x80003370]<br>0xFFFF4AF8|- rs1_val==-46339 and imm_val==-5<br>                                                                                                                                      |[0x800004d0]:c.addi a0, 59<br> [0x800004d2]:sw a0, 316(ra)<br>   |
|  93|[0x80003374]<br>0xFFFF4AFB|- rs1_val==-46339 and imm_val==-2<br>                                                                                                                                      |[0x800004de]:c.addi a0, 62<br> [0x800004e0]:sw a0, 320(ra)<br>   |
|  94|[0x80003378]<br>0xFFFF4B00|- rs1_val==-46339 and imm_val==3<br>                                                                                                                                       |[0x800004ec]:c.addi a0, 3<br> [0x800004ee]:sw a0, 324(ra)<br>    |
|  95|[0x8000337c]<br>0xFFFF4B07|- rs1_val==-46339 and imm_val==10<br>                                                                                                                                      |[0x800004fa]:c.addi a0, 10<br> [0x800004fc]:sw a0, 328(ra)<br>   |
|  96|[0x80003380]<br>0x6666666D|- rs1_val==1717986919 and imm_val==6<br>                                                                                                                                   |[0x80000508]:c.addi a0, 6<br> [0x8000050a]:sw a0, 332(ra)<br>    |
|  97|[0x80003384]<br>0x66666663|- rs1_val==1717986919 and imm_val==-4<br>                                                                                                                                  |[0x80000516]:c.addi a0, 60<br> [0x80000518]:sw a0, 336(ra)<br>   |
|  98|[0x80003388]<br>0x66666666|- rs1_val==1717986919 and imm_val==-1<br>                                                                                                                                  |[0x80000524]:c.addi a0, 63<br> [0x80000526]:sw a0, 340(ra)<br>   |
|  99|[0x8000338c]<br>0x6666666E|- rs1_val==1717986919 and imm_val==7<br>                                                                                                                                   |[0x80000532]:c.addi a0, 7<br> [0x80000534]:sw a0, 344(ra)<br>    |
| 100|[0x80003390]<br>0x6666666B|- rs1_val==1717986919 and imm_val==4<br>                                                                                                                                   |[0x80000540]:c.addi a0, 4<br> [0x80000542]:sw a0, 348(ra)<br>    |
| 101|[0x80003394]<br>0x66666672|- rs1_val==1717986919 and imm_val==11<br>                                                                                                                                  |[0x8000054e]:c.addi a0, 11<br> [0x80000550]:sw a0, 352(ra)<br>   |
| 102|[0x80003398]<br>0x66666667|- rs1_val==1717986919 and imm_val==0<br>                                                                                                                                   |[0x8000055c]:c.addi.hint.a0<br> [0x8000055e]:sw a0, 356(ra)<br>  |
| 103|[0x8000339c]<br>0x6666666C|- rs1_val==1717986919 and imm_val==5<br>                                                                                                                                   |[0x8000056a]:c.addi a0, 5<br> [0x8000056c]:sw a0, 360(ra)<br>    |
| 104|[0x800033a0]<br>0x66666669|- rs1_val==1717986919 and imm_val==2<br>                                                                                                                                   |[0x80000578]:c.addi a0, 2<br> [0x8000057a]:sw a0, 364(ra)<br>    |
| 105|[0x800033a4]<br>0x66666670|- rs1_val==1717986919 and imm_val==9<br>                                                                                                                                   |[0x80000586]:c.addi a0, 9<br> [0x80000588]:sw a0, 368(ra)<br>    |
| 106|[0x800033a8]<br>0x66666662|- rs1_val==1717986919 and imm_val==-5<br>                                                                                                                                  |[0x80000594]:c.addi a0, 59<br> [0x80000596]:sw a0, 372(ra)<br>   |
| 107|[0x800033ac]<br>0x66666665|- rs1_val==1717986919 and imm_val==-2<br>                                                                                                                                  |[0x800005a2]:c.addi a0, 62<br> [0x800005a4]:sw a0, 376(ra)<br>   |
| 108|[0x800033b0]<br>0x6666666A|- rs1_val==1717986919 and imm_val==3<br>                                                                                                                                   |[0x800005b0]:c.addi a0, 3<br> [0x800005b2]:sw a0, 380(ra)<br>    |
| 109|[0x800033b4]<br>0x66666671|- rs1_val==1717986919 and imm_val==10<br>                                                                                                                                  |[0x800005be]:c.addi a0, 10<br> [0x800005c0]:sw a0, 384(ra)<br>   |
| 110|[0x800033b8]<br>0x3333333A|- rs1_val==858993460 and imm_val==6<br>                                                                                                                                    |[0x800005cc]:c.addi a0, 6<br> [0x800005ce]:sw a0, 388(ra)<br>    |
| 111|[0x800033bc]<br>0x33333330|- rs1_val==858993460 and imm_val==-4<br>                                                                                                                                   |[0x800005da]:c.addi a0, 60<br> [0x800005dc]:sw a0, 392(ra)<br>   |
| 112|[0x800033c0]<br>0x33333333|- rs1_val==858993460 and imm_val==-1<br>                                                                                                                                   |[0x800005e8]:c.addi a0, 63<br> [0x800005ea]:sw a0, 396(ra)<br>   |
| 113|[0x800033c4]<br>0x3333333B|- rs1_val==858993460 and imm_val==7<br>                                                                                                                                    |[0x800005f6]:c.addi a0, 7<br> [0x800005f8]:sw a0, 400(ra)<br>    |
| 114|[0x800033c8]<br>0x33333338|- rs1_val==858993460 and imm_val==4<br>                                                                                                                                    |[0x80000604]:c.addi a0, 4<br> [0x80000606]:sw a0, 404(ra)<br>    |
| 115|[0x800033cc]<br>0x3333333F|- rs1_val==858993460 and imm_val==11<br>                                                                                                                                   |[0x80000612]:c.addi a0, 11<br> [0x80000614]:sw a0, 408(ra)<br>   |
| 116|[0x800033d0]<br>0x33333334|- rs1_val==858993460 and imm_val==0<br>                                                                                                                                    |[0x80000620]:c.addi.hint.a0<br> [0x80000622]:sw a0, 412(ra)<br>  |
| 117|[0x800033d4]<br>0x33333339|- rs1_val==858993460 and imm_val==5<br>                                                                                                                                    |[0x8000062e]:c.addi a0, 5<br> [0x80000630]:sw a0, 416(ra)<br>    |
| 118|[0x800033d8]<br>0x33333336|- rs1_val==858993460 and imm_val==2<br>                                                                                                                                    |[0x8000063c]:c.addi a0, 2<br> [0x8000063e]:sw a0, 420(ra)<br>    |
| 119|[0x800033dc]<br>0x3333333D|- rs1_val==858993460 and imm_val==9<br>                                                                                                                                    |[0x8000064a]:c.addi a0, 9<br> [0x8000064c]:sw a0, 424(ra)<br>    |
| 120|[0x800033e0]<br>0x3333332F|- rs1_val==858993460 and imm_val==-5<br>                                                                                                                                   |[0x80000658]:c.addi a0, 59<br> [0x8000065a]:sw a0, 428(ra)<br>   |
| 121|[0x800033e4]<br>0x33333332|- rs1_val==858993460 and imm_val==-2<br>                                                                                                                                   |[0x80000666]:c.addi a0, 62<br> [0x80000668]:sw a0, 432(ra)<br>   |
| 122|[0x800033e8]<br>0x33333337|- rs1_val==858993460 and imm_val==3<br>                                                                                                                                    |[0x80000674]:c.addi a0, 3<br> [0x80000676]:sw a0, 436(ra)<br>    |
| 123|[0x800033ec]<br>0x3333333E|- rs1_val==858993460 and imm_val==10<br>                                                                                                                                   |[0x80000682]:c.addi a0, 10<br> [0x80000684]:sw a0, 440(ra)<br>   |
| 124|[0x800033f0]<br>0x0000000C|- rs1_val==6 and imm_val==6<br> - rs1_val == imm_val<br>                                                                                                                   |[0x8000068c]:c.addi a0, 6<br> [0x8000068e]:sw a0, 444(ra)<br>    |
| 125|[0x800033f4]<br>0x00000002|- rs1_val==6 and imm_val==-4<br>                                                                                                                                           |[0x80000696]:c.addi a0, 60<br> [0x80000698]:sw a0, 448(ra)<br>   |
| 126|[0x800033f8]<br>0x00000005|- rs1_val==6 and imm_val==-1<br>                                                                                                                                           |[0x800006a0]:c.addi a0, 63<br> [0x800006a2]:sw a0, 452(ra)<br>   |
| 127|[0x800033fc]<br>0x0000000D|- rs1_val==6 and imm_val==7<br>                                                                                                                                            |[0x800006aa]:c.addi a0, 7<br> [0x800006ac]:sw a0, 456(ra)<br>    |
| 128|[0x80003400]<br>0x0000000A|- rs1_val==6 and imm_val==4<br>                                                                                                                                            |[0x800006b4]:c.addi a0, 4<br> [0x800006b6]:sw a0, 460(ra)<br>    |
| 129|[0x80003404]<br>0x00000011|- rs1_val==6 and imm_val==11<br>                                                                                                                                           |[0x800006be]:c.addi a0, 11<br> [0x800006c0]:sw a0, 464(ra)<br>   |
| 130|[0x80003408]<br>0x00000006|- rs1_val==6 and imm_val==0<br>                                                                                                                                            |[0x800006c8]:c.addi.hint.a0<br> [0x800006ca]:sw a0, 468(ra)<br>  |
| 131|[0x8000340c]<br>0x0000000B|- rs1_val==6 and imm_val==5<br>                                                                                                                                            |[0x800006d2]:c.addi a0, 5<br> [0x800006d4]:sw a0, 472(ra)<br>    |
| 132|[0x80003410]<br>0x00000008|- rs1_val==6 and imm_val==2<br>                                                                                                                                            |[0x800006dc]:c.addi a0, 2<br> [0x800006de]:sw a0, 476(ra)<br>    |
| 133|[0x80003414]<br>0x0000000F|- rs1_val==6 and imm_val==9<br>                                                                                                                                            |[0x800006e6]:c.addi a0, 9<br> [0x800006e8]:sw a0, 480(ra)<br>    |
| 134|[0x80003418]<br>0x00000001|- rs1_val==6 and imm_val==-5<br>                                                                                                                                           |[0x800006f0]:c.addi a0, 59<br> [0x800006f2]:sw a0, 484(ra)<br>   |
| 135|[0x8000341c]<br>0x00000004|- rs1_val==6 and imm_val==-2<br>                                                                                                                                           |[0x800006fa]:c.addi a0, 62<br> [0x800006fc]:sw a0, 488(ra)<br>   |
| 136|[0x80003420]<br>0x00000009|- rs1_val==6 and imm_val==3<br>                                                                                                                                            |[0x80000704]:c.addi a0, 3<br> [0x80000706]:sw a0, 492(ra)<br>    |
| 137|[0x80003424]<br>0x00000010|- rs1_val==6 and imm_val==10<br>                                                                                                                                           |[0x8000070e]:c.addi a0, 10<br> [0x80000710]:sw a0, 496(ra)<br>   |
| 138|[0x80003428]<br>0xAAAAAAB1|- rs1_val==-1431655765 and imm_val==6<br>                                                                                                                                  |[0x8000071c]:c.addi a0, 6<br> [0x8000071e]:sw a0, 500(ra)<br>    |
| 139|[0x8000342c]<br>0xAAAAAAA7|- rs1_val==-1431655765 and imm_val==-4<br>                                                                                                                                 |[0x8000072a]:c.addi a0, 60<br> [0x8000072c]:sw a0, 504(ra)<br>   |
| 140|[0x80003430]<br>0xAAAAAAAA|- rs1_val==-1431655765 and imm_val==-1<br>                                                                                                                                 |[0x80000738]:c.addi a0, 63<br> [0x8000073a]:sw a0, 508(ra)<br>   |
| 141|[0x80003434]<br>0xAAAAAAB2|- rs1_val==-1431655765 and imm_val==7<br>                                                                                                                                  |[0x80000746]:c.addi a0, 7<br> [0x80000748]:sw a0, 512(ra)<br>    |
| 142|[0x80003438]<br>0xAAAAAAAF|- rs1_val==-1431655765 and imm_val==4<br>                                                                                                                                  |[0x80000754]:c.addi a0, 4<br> [0x80000756]:sw a0, 516(ra)<br>    |
| 143|[0x8000343c]<br>0xAAAAAAB6|- rs1_val==-1431655765 and imm_val==11<br>                                                                                                                                 |[0x80000762]:c.addi a0, 11<br> [0x80000764]:sw a0, 520(ra)<br>   |
| 144|[0x80003440]<br>0xAAAAAAAB|- rs1_val==-1431655765 and imm_val==0<br>                                                                                                                                  |[0x80000770]:c.addi.hint.a0<br> [0x80000772]:sw a0, 524(ra)<br>  |
| 145|[0x80003444]<br>0xAAAAAAB0|- rs1_val==-1431655765 and imm_val==5<br>                                                                                                                                  |[0x8000077e]:c.addi a0, 5<br> [0x80000780]:sw a0, 528(ra)<br>    |
| 146|[0x80003448]<br>0xAAAAAAAD|- rs1_val==-1431655765 and imm_val==2<br>                                                                                                                                  |[0x8000078c]:c.addi a0, 2<br> [0x8000078e]:sw a0, 532(ra)<br>    |
| 147|[0x8000344c]<br>0xAAAAAAB4|- rs1_val==-1431655765 and imm_val==9<br>                                                                                                                                  |[0x8000079a]:c.addi a0, 9<br> [0x8000079c]:sw a0, 536(ra)<br>    |
| 148|[0x80003450]<br>0xAAAAAAA6|- rs1_val==-1431655765 and imm_val==-5<br>                                                                                                                                 |[0x800007a8]:c.addi a0, 59<br> [0x800007aa]:sw a0, 540(ra)<br>   |
| 149|[0x80003454]<br>0xAAAAAAA9|- rs1_val==-1431655765 and imm_val==-2<br>                                                                                                                                 |[0x800007b6]:c.addi a0, 62<br> [0x800007b8]:sw a0, 544(ra)<br>   |
| 150|[0x80003458]<br>0xAAAAAAAE|- rs1_val==-1431655765 and imm_val==3<br>                                                                                                                                  |[0x800007c4]:c.addi a0, 3<br> [0x800007c6]:sw a0, 548(ra)<br>    |
| 151|[0x8000345c]<br>0xAAAAAAB5|- rs1_val==-1431655765 and imm_val==10<br>                                                                                                                                 |[0x800007d2]:c.addi a0, 10<br> [0x800007d4]:sw a0, 552(ra)<br>   |
| 152|[0x80003460]<br>0x5555555C|- rs1_val==1431655766 and imm_val==6<br>                                                                                                                                   |[0x800007e0]:c.addi a0, 6<br> [0x800007e2]:sw a0, 556(ra)<br>    |
| 153|[0x80003464]<br>0x55555552|- rs1_val==1431655766 and imm_val==-4<br>                                                                                                                                  |[0x800007ee]:c.addi a0, 60<br> [0x800007f0]:sw a0, 560(ra)<br>   |
| 154|[0x80003468]<br>0x55555555|- rs1_val==1431655766 and imm_val==-1<br>                                                                                                                                  |[0x800007fc]:c.addi a0, 63<br> [0x800007fe]:sw a0, 564(ra)<br>   |
| 155|[0x8000346c]<br>0x5555555D|- rs1_val==1431655766 and imm_val==7<br>                                                                                                                                   |[0x8000080a]:c.addi a0, 7<br> [0x8000080c]:sw a0, 568(ra)<br>    |
| 156|[0x80003470]<br>0x5555555A|- rs1_val==1431655766 and imm_val==4<br>                                                                                                                                   |[0x80000818]:c.addi a0, 4<br> [0x8000081a]:sw a0, 572(ra)<br>    |
| 157|[0x80003474]<br>0x55555561|- rs1_val==1431655766 and imm_val==11<br>                                                                                                                                  |[0x80000826]:c.addi a0, 11<br> [0x80000828]:sw a0, 576(ra)<br>   |
| 158|[0x80003478]<br>0x55555556|- rs1_val==1431655766 and imm_val==0<br>                                                                                                                                   |[0x80000834]:c.addi.hint.a0<br> [0x80000836]:sw a0, 580(ra)<br>  |
| 159|[0x8000347c]<br>0x5555555B|- rs1_val==1431655766 and imm_val==5<br>                                                                                                                                   |[0x80000842]:c.addi a0, 5<br> [0x80000844]:sw a0, 584(ra)<br>    |
| 160|[0x80003480]<br>0x55555558|- rs1_val==1431655766 and imm_val==2<br>                                                                                                                                   |[0x80000850]:c.addi a0, 2<br> [0x80000852]:sw a0, 588(ra)<br>    |
| 161|[0x80003484]<br>0x5555555F|- rs1_val==1431655766 and imm_val==9<br>                                                                                                                                   |[0x8000085e]:c.addi a0, 9<br> [0x80000860]:sw a0, 592(ra)<br>    |
| 162|[0x80003488]<br>0x55555551|- rs1_val==1431655766 and imm_val==-5<br>                                                                                                                                  |[0x8000086c]:c.addi a0, 59<br> [0x8000086e]:sw a0, 596(ra)<br>   |
| 163|[0x8000348c]<br>0x55555554|- rs1_val==1431655766 and imm_val==-2<br>                                                                                                                                  |[0x8000087a]:c.addi a0, 62<br> [0x8000087c]:sw a0, 600(ra)<br>   |
| 164|[0x80003490]<br>0x55555559|- rs1_val==1431655766 and imm_val==3<br>                                                                                                                                   |[0x80000888]:c.addi a0, 3<br> [0x8000088a]:sw a0, 604(ra)<br>    |
| 165|[0x80003494]<br>0x55555560|- rs1_val==1431655766 and imm_val==10<br>                                                                                                                                  |[0x80000896]:c.addi a0, 10<br> [0x80000898]:sw a0, 608(ra)<br>   |
| 166|[0x80003498]<br>0x0000000A|- rs1_val==4 and imm_val==6<br>                                                                                                                                            |[0x800008a0]:c.addi a0, 6<br> [0x800008a2]:sw a0, 612(ra)<br>    |
| 167|[0x8000349c]<br>0x00000000|- rs1_val==4 and imm_val==-4<br>                                                                                                                                           |[0x800008aa]:c.addi a0, 60<br> [0x800008ac]:sw a0, 616(ra)<br>   |
| 168|[0x800034a0]<br>0x00000003|- rs1_val==4 and imm_val==-1<br>                                                                                                                                           |[0x800008b4]:c.addi a0, 63<br> [0x800008b6]:sw a0, 620(ra)<br>   |
| 169|[0x800034a4]<br>0x0000000B|- rs1_val==4 and imm_val==7<br>                                                                                                                                            |[0x800008be]:c.addi a0, 7<br> [0x800008c0]:sw a0, 624(ra)<br>    |
| 170|[0x800034a8]<br>0x00000008|- rs1_val==4 and imm_val==4<br>                                                                                                                                            |[0x800008c8]:c.addi a0, 4<br> [0x800008ca]:sw a0, 628(ra)<br>    |
| 171|[0x800034ac]<br>0x0000000F|- rs1_val==4 and imm_val==11<br>                                                                                                                                           |[0x800008d2]:c.addi a0, 11<br> [0x800008d4]:sw a0, 632(ra)<br>   |
| 172|[0x800034b0]<br>0x00000009|- rs1_val==4 and imm_val==5<br>                                                                                                                                            |[0x800008dc]:c.addi a0, 5<br> [0x800008de]:sw a0, 636(ra)<br>    |
| 173|[0x800034b4]<br>0x00000006|- rs1_val==4 and imm_val==2<br>                                                                                                                                            |[0x800008e6]:c.addi a0, 2<br> [0x800008e8]:sw a0, 640(ra)<br>    |
| 174|[0x800034b8]<br>0x0000000D|- rs1_val==4 and imm_val==9<br>                                                                                                                                            |[0x800008f0]:c.addi a0, 9<br> [0x800008f2]:sw a0, 644(ra)<br>    |
| 175|[0x800034bc]<br>0xFFFFFFFF|- rs1_val==4 and imm_val==-5<br>                                                                                                                                           |[0x800008fa]:c.addi a0, 59<br> [0x800008fc]:sw a0, 648(ra)<br>   |
| 176|[0x800034c0]<br>0x00000002|- rs1_val==4 and imm_val==-2<br>                                                                                                                                           |[0x80000904]:c.addi a0, 62<br> [0x80000906]:sw a0, 652(ra)<br>   |
| 177|[0x800034c4]<br>0x00000007|- rs1_val==4 and imm_val==3<br>                                                                                                                                            |[0x8000090e]:c.addi a0, 3<br> [0x80000910]:sw a0, 656(ra)<br>    |
| 178|[0x800034c8]<br>0x0000000E|- rs1_val==4 and imm_val==10<br>                                                                                                                                           |[0x80000918]:c.addi a0, 10<br> [0x8000091a]:sw a0, 660(ra)<br>   |
| 179|[0x800034cc]<br>0x0000B509|- rs1_val==46339 and imm_val==6<br>                                                                                                                                        |[0x80000926]:c.addi a0, 6<br> [0x80000928]:sw a0, 664(ra)<br>    |
| 180|[0x800034d0]<br>0x0000B4FF|- rs1_val==46339 and imm_val==-4<br>                                                                                                                                       |[0x80000934]:c.addi a0, 60<br> [0x80000936]:sw a0, 668(ra)<br>   |
| 181|[0x800034d4]<br>0x0000B502|- rs1_val==46339 and imm_val==-1<br>                                                                                                                                       |[0x80000942]:c.addi a0, 63<br> [0x80000944]:sw a0, 672(ra)<br>   |
| 182|[0x800034d8]<br>0x0000B50A|- rs1_val==46339 and imm_val==7<br>                                                                                                                                        |[0x80000950]:c.addi a0, 7<br> [0x80000952]:sw a0, 676(ra)<br>    |
| 183|[0x800034dc]<br>0x0000B507|- rs1_val==46339 and imm_val==4<br>                                                                                                                                        |[0x8000095e]:c.addi a0, 4<br> [0x80000960]:sw a0, 680(ra)<br>    |
| 184|[0x800034e0]<br>0x0000B50E|- rs1_val==46339 and imm_val==11<br>                                                                                                                                       |[0x8000096c]:c.addi a0, 11<br> [0x8000096e]:sw a0, 684(ra)<br>   |
| 185|[0x800034e4]<br>0x0000B503|- rs1_val==46339 and imm_val==0<br>                                                                                                                                        |[0x8000097a]:c.addi.hint.a0<br> [0x8000097c]:sw a0, 688(ra)<br>  |
| 186|[0x800034e8]<br>0x0000B508|- rs1_val==46339 and imm_val==5<br>                                                                                                                                        |[0x80000988]:c.addi a0, 5<br> [0x8000098a]:sw a0, 692(ra)<br>    |
| 187|[0x800034ec]<br>0x0000B505|- rs1_val==46339 and imm_val==2<br>                                                                                                                                        |[0x80000996]:c.addi a0, 2<br> [0x80000998]:sw a0, 696(ra)<br>    |
| 188|[0x800034f0]<br>0x0000B50C|- rs1_val==46339 and imm_val==9<br>                                                                                                                                        |[0x800009a4]:c.addi a0, 9<br> [0x800009a6]:sw a0, 700(ra)<br>    |
| 189|[0x800034f4]<br>0x0000B4FE|- rs1_val==46339 and imm_val==-5<br>                                                                                                                                       |[0x800009b2]:c.addi a0, 59<br> [0x800009b4]:sw a0, 704(ra)<br>   |
| 190|[0x800034f8]<br>0x0000B501|- rs1_val==46339 and imm_val==-2<br>                                                                                                                                       |[0x800009c0]:c.addi a0, 62<br> [0x800009c2]:sw a0, 708(ra)<br>   |
| 191|[0x800034fc]<br>0x0000B506|- rs1_val==46339 and imm_val==3<br>                                                                                                                                        |[0x800009ce]:c.addi a0, 3<br> [0x800009d0]:sw a0, 712(ra)<br>    |
| 192|[0x80003500]<br>0x0000B50D|- rs1_val==46339 and imm_val==10<br>                                                                                                                                       |[0x800009dc]:c.addi a0, 10<br> [0x800009de]:sw a0, 716(ra)<br>   |
| 193|[0x80003504]<br>0x00000006|- rs1_val==0 and imm_val==6<br> - rs1_val == 0<br>                                                                                                                         |[0x800009e6]:c.addi a0, 6<br> [0x800009e8]:sw a0, 720(ra)<br>    |
| 194|[0x80003508]<br>0xFFFFFFFC|- rs1_val==0 and imm_val==-4<br>                                                                                                                                           |[0x800009f0]:c.addi a0, 60<br> [0x800009f2]:sw a0, 724(ra)<br>   |
| 195|[0x8000350c]<br>0xFFFFFFFF|- rs1_val==0 and imm_val==-1<br>                                                                                                                                           |[0x800009fa]:c.addi a0, 63<br> [0x800009fc]:sw a0, 728(ra)<br>   |
| 196|[0x80003510]<br>0x00000007|- rs1_val==0 and imm_val==7<br>                                                                                                                                            |[0x80000a04]:c.addi a0, 7<br> [0x80000a06]:sw a0, 732(ra)<br>    |
| 197|[0x80003514]<br>0x00000004|- rs1_val==0 and imm_val==4<br>                                                                                                                                            |[0x80000a0e]:c.addi a0, 4<br> [0x80000a10]:sw a0, 736(ra)<br>    |
| 198|[0x80003518]<br>0x0000000B|- rs1_val==0 and imm_val==11<br>                                                                                                                                           |[0x80000a18]:c.addi a0, 11<br> [0x80000a1a]:sw a0, 740(ra)<br>   |
| 199|[0x8000351c]<br>0x00000000|- rs1_val==0 and imm_val==0<br>                                                                                                                                            |[0x80000a22]:c.addi.hint.a0<br> [0x80000a24]:sw a0, 744(ra)<br>  |
| 200|[0x80003520]<br>0x00000005|- rs1_val==0 and imm_val==5<br>                                                                                                                                            |[0x80000a2c]:c.addi a0, 5<br> [0x80000a2e]:sw a0, 748(ra)<br>    |
| 201|[0x80003524]<br>0x00000002|- rs1_val==0 and imm_val==2<br>                                                                                                                                            |[0x80000a36]:c.addi a0, 2<br> [0x80000a38]:sw a0, 752(ra)<br>    |
| 202|[0x80003528]<br>0x00000009|- rs1_val==0 and imm_val==9<br>                                                                                                                                            |[0x80000a40]:c.addi a0, 9<br> [0x80000a42]:sw a0, 756(ra)<br>    |
| 203|[0x8000352c]<br>0xFFFFFFFB|- rs1_val==0 and imm_val==-5<br>                                                                                                                                           |[0x80000a4a]:c.addi a0, 59<br> [0x80000a4c]:sw a0, 760(ra)<br>   |
| 204|[0x80003530]<br>0xFFFFFFFE|- rs1_val==0 and imm_val==-2<br>                                                                                                                                           |[0x80000a54]:c.addi a0, 62<br> [0x80000a56]:sw a0, 764(ra)<br>   |
| 205|[0x80003534]<br>0x00000003|- rs1_val==0 and imm_val==3<br>                                                                                                                                            |[0x80000a5e]:c.addi a0, 3<br> [0x80000a60]:sw a0, 768(ra)<br>    |
| 206|[0x80003538]<br>0x0000000A|- rs1_val==0 and imm_val==10<br>                                                                                                                                           |[0x80000a68]:c.addi a0, 10<br> [0x80000a6a]:sw a0, 772(ra)<br>   |
| 207|[0x8000353c]<br>0x6666666B|- rs1_val==1717986917 and imm_val==6<br>                                                                                                                                   |[0x80000a76]:c.addi a0, 6<br> [0x80000a78]:sw a0, 776(ra)<br>    |
| 208|[0x80003540]<br>0x66666661|- rs1_val==1717986917 and imm_val==-4<br>                                                                                                                                  |[0x80000a84]:c.addi a0, 60<br> [0x80000a86]:sw a0, 780(ra)<br>   |
| 209|[0x80003544]<br>0x66666664|- rs1_val==1717986917 and imm_val==-1<br>                                                                                                                                  |[0x80000a92]:c.addi a0, 63<br> [0x80000a94]:sw a0, 784(ra)<br>   |
| 210|[0x80003548]<br>0x6666666C|- rs1_val==1717986917 and imm_val==7<br>                                                                                                                                   |[0x80000aa0]:c.addi a0, 7<br> [0x80000aa2]:sw a0, 788(ra)<br>    |
| 211|[0x8000354c]<br>0x66666669|- rs1_val==1717986917 and imm_val==4<br>                                                                                                                                   |[0x80000aae]:c.addi a0, 4<br> [0x80000ab0]:sw a0, 792(ra)<br>    |
| 212|[0x80003550]<br>0x66666670|- rs1_val==1717986917 and imm_val==11<br>                                                                                                                                  |[0x80000abc]:c.addi a0, 11<br> [0x80000abe]:sw a0, 796(ra)<br>   |
| 213|[0x80003554]<br>0x66666665|- rs1_val==1717986917 and imm_val==0<br>                                                                                                                                   |[0x80000aca]:c.addi.hint.a0<br> [0x80000acc]:sw a0, 800(ra)<br>  |
| 214|[0x80003558]<br>0x6666666A|- rs1_val==1717986917 and imm_val==5<br>                                                                                                                                   |[0x80000ad8]:c.addi a0, 5<br> [0x80000ada]:sw a0, 804(ra)<br>    |
| 215|[0x8000355c]<br>0x66666667|- rs1_val==1717986917 and imm_val==2<br>                                                                                                                                   |[0x80000ae6]:c.addi a0, 2<br> [0x80000ae8]:sw a0, 808(ra)<br>    |
| 216|[0x80003560]<br>0x6666666E|- rs1_val==1717986917 and imm_val==9<br>                                                                                                                                   |[0x80000af4]:c.addi a0, 9<br> [0x80000af6]:sw a0, 812(ra)<br>    |
| 217|[0x80003564]<br>0x66666660|- rs1_val==1717986917 and imm_val==-5<br>                                                                                                                                  |[0x80000b02]:c.addi a0, 59<br> [0x80000b04]:sw a0, 816(ra)<br>   |
| 218|[0x80003568]<br>0x66666663|- rs1_val==1717986917 and imm_val==-2<br>                                                                                                                                  |[0x80000b10]:c.addi a0, 62<br> [0x80000b12]:sw a0, 820(ra)<br>   |
| 219|[0x8000356c]<br>0x66666668|- rs1_val==1717986917 and imm_val==3<br>                                                                                                                                   |[0x80000b1e]:c.addi a0, 3<br> [0x80000b20]:sw a0, 824(ra)<br>    |
| 220|[0x80003570]<br>0x6666666F|- rs1_val==1717986917 and imm_val==10<br>                                                                                                                                  |[0x80000b2c]:c.addi a0, 10<br> [0x80000b2e]:sw a0, 828(ra)<br>   |
| 221|[0x80003574]<br>0x33333338|- rs1_val==858993458 and imm_val==6<br>                                                                                                                                    |[0x80000b3a]:c.addi a0, 6<br> [0x80000b3c]:sw a0, 832(ra)<br>    |
| 222|[0x80003578]<br>0x3333332E|- rs1_val==858993458 and imm_val==-4<br>                                                                                                                                   |[0x80000b48]:c.addi a0, 60<br> [0x80000b4a]:sw a0, 836(ra)<br>   |
| 223|[0x8000357c]<br>0x33333331|- rs1_val==858993458 and imm_val==-1<br>                                                                                                                                   |[0x80000b56]:c.addi a0, 63<br> [0x80000b58]:sw a0, 840(ra)<br>   |
| 224|[0x80003580]<br>0x33333339|- rs1_val==858993458 and imm_val==7<br>                                                                                                                                    |[0x80000b64]:c.addi a0, 7<br> [0x80000b66]:sw a0, 844(ra)<br>    |
| 225|[0x80003584]<br>0x33333336|- rs1_val==858993458 and imm_val==4<br>                                                                                                                                    |[0x80000b72]:c.addi a0, 4<br> [0x80000b74]:sw a0, 848(ra)<br>    |
| 226|[0x80003588]<br>0x3333333D|- rs1_val==858993458 and imm_val==11<br>                                                                                                                                   |[0x80000b80]:c.addi a0, 11<br> [0x80000b82]:sw a0, 852(ra)<br>   |
| 227|[0x8000358c]<br>0x33333332|- rs1_val==858993458 and imm_val==0<br>                                                                                                                                    |[0x80000b8e]:c.addi.hint.a0<br> [0x80000b90]:sw a0, 856(ra)<br>  |
| 228|[0x80003590]<br>0x33333337|- rs1_val==858993458 and imm_val==5<br>                                                                                                                                    |[0x80000b9c]:c.addi a0, 5<br> [0x80000b9e]:sw a0, 860(ra)<br>    |
| 229|[0x80003594]<br>0x33333334|- rs1_val==858993458 and imm_val==2<br>                                                                                                                                    |[0x80000baa]:c.addi a0, 2<br> [0x80000bac]:sw a0, 864(ra)<br>    |
| 230|[0x80003598]<br>0x3333333B|- rs1_val==858993458 and imm_val==9<br>                                                                                                                                    |[0x80000bb8]:c.addi a0, 9<br> [0x80000bba]:sw a0, 868(ra)<br>    |
| 231|[0x8000359c]<br>0x3333332D|- rs1_val==858993458 and imm_val==-5<br>                                                                                                                                   |[0x80000bc6]:c.addi a0, 59<br> [0x80000bc8]:sw a0, 872(ra)<br>   |
| 232|[0x800035a0]<br>0x33333330|- rs1_val==858993458 and imm_val==-2<br>                                                                                                                                   |[0x80000bd4]:c.addi a0, 62<br> [0x80000bd6]:sw a0, 876(ra)<br>   |
| 233|[0x800035a4]<br>0x33333335|- rs1_val==858993458 and imm_val==3<br>                                                                                                                                    |[0x80000be2]:c.addi a0, 3<br> [0x80000be4]:sw a0, 880(ra)<br>    |
| 234|[0x800035a8]<br>0x3333333C|- rs1_val==858993458 and imm_val==10<br>                                                                                                                                   |[0x80000bf0]:c.addi a0, 10<br> [0x80000bf2]:sw a0, 884(ra)<br>   |
| 235|[0x800035ac]<br>0x5555555A|- rs1_val==1431655764 and imm_val==6<br>                                                                                                                                   |[0x80000bfe]:c.addi a0, 6<br> [0x80000c00]:sw a0, 888(ra)<br>    |
| 236|[0x800035b0]<br>0x55555550|- rs1_val==1431655764 and imm_val==-4<br>                                                                                                                                  |[0x80000c0c]:c.addi a0, 60<br> [0x80000c0e]:sw a0, 892(ra)<br>   |
| 237|[0x800035b4]<br>0x55555553|- rs1_val==1431655764 and imm_val==-1<br>                                                                                                                                  |[0x80000c1a]:c.addi a0, 63<br> [0x80000c1c]:sw a0, 896(ra)<br>   |
| 238|[0x800035b8]<br>0x5555555B|- rs1_val==1431655764 and imm_val==7<br>                                                                                                                                   |[0x80000c28]:c.addi a0, 7<br> [0x80000c2a]:sw a0, 900(ra)<br>    |
| 239|[0x800035bc]<br>0x55555558|- rs1_val==1431655764 and imm_val==4<br>                                                                                                                                   |[0x80000c36]:c.addi a0, 4<br> [0x80000c38]:sw a0, 904(ra)<br>    |
| 240|[0x800035c0]<br>0x5555555F|- rs1_val==1431655764 and imm_val==11<br>                                                                                                                                  |[0x80000c44]:c.addi a0, 11<br> [0x80000c46]:sw a0, 908(ra)<br>   |
| 241|[0x800035c4]<br>0x55555554|- rs1_val==1431655764 and imm_val==0<br>                                                                                                                                   |[0x80000c52]:c.addi.hint.a0<br> [0x80000c54]:sw a0, 912(ra)<br>  |
| 242|[0x800035c8]<br>0x55555559|- rs1_val==1431655764 and imm_val==5<br>                                                                                                                                   |[0x80000c60]:c.addi a0, 5<br> [0x80000c62]:sw a0, 916(ra)<br>    |
| 243|[0x800035cc]<br>0x55555556|- rs1_val==1431655764 and imm_val==2<br>                                                                                                                                   |[0x80000c6e]:c.addi a0, 2<br> [0x80000c70]:sw a0, 920(ra)<br>    |
| 244|[0x800035d0]<br>0x5555555D|- rs1_val==1431655764 and imm_val==9<br>                                                                                                                                   |[0x80000c7c]:c.addi a0, 9<br> [0x80000c7e]:sw a0, 924(ra)<br>    |
| 245|[0x800035d4]<br>0x5555554F|- rs1_val==1431655764 and imm_val==-5<br>                                                                                                                                  |[0x80000c8a]:c.addi a0, 59<br> [0x80000c8c]:sw a0, 928(ra)<br>   |
| 246|[0x800035d8]<br>0x55555552|- rs1_val==1431655764 and imm_val==-2<br>                                                                                                                                  |[0x80000c98]:c.addi a0, 62<br> [0x80000c9a]:sw a0, 932(ra)<br>   |
| 247|[0x800035dc]<br>0x55555557|- rs1_val==1431655764 and imm_val==3<br>                                                                                                                                   |[0x80000ca6]:c.addi a0, 3<br> [0x80000ca8]:sw a0, 936(ra)<br>    |
| 248|[0x800035e0]<br>0x5555555E|- rs1_val==1431655764 and imm_val==10<br>                                                                                                                                  |[0x80000cb4]:c.addi a0, 10<br> [0x80000cb6]:sw a0, 940(ra)<br>   |
| 249|[0x800035e4]<br>0x00000008|- rs1_val==2 and imm_val==6<br>                                                                                                                                            |[0x80000cbe]:c.addi a0, 6<br> [0x80000cc0]:sw a0, 944(ra)<br>    |
| 250|[0x800035e8]<br>0xFFFFFFFE|- rs1_val==2 and imm_val==-4<br>                                                                                                                                           |[0x80000cc8]:c.addi a0, 60<br> [0x80000cca]:sw a0, 948(ra)<br>   |
| 251|[0x800035ec]<br>0x00000009|- rs1_val==2 and imm_val==7<br>                                                                                                                                            |[0x80000cd2]:c.addi a0, 7<br> [0x80000cd4]:sw a0, 952(ra)<br>    |
| 252|[0x800035f0]<br>0x00000006|- rs1_val==2 and imm_val==4<br>                                                                                                                                            |[0x80000cdc]:c.addi a0, 4<br> [0x80000cde]:sw a0, 956(ra)<br>    |
| 253|[0x800035f4]<br>0x0000000D|- rs1_val==2 and imm_val==11<br>                                                                                                                                           |[0x80000ce6]:c.addi a0, 11<br> [0x80000ce8]:sw a0, 960(ra)<br>   |
| 254|[0x800035f8]<br>0x00000002|- rs1_val==2 and imm_val==0<br>                                                                                                                                            |[0x80000cf0]:c.addi.hint.a0<br> [0x80000cf2]:sw a0, 964(ra)<br>  |
| 255|[0x800035fc]<br>0x00000007|- rs1_val==2 and imm_val==5<br>                                                                                                                                            |[0x80000cfa]:c.addi a0, 5<br> [0x80000cfc]:sw a0, 968(ra)<br>    |
| 256|[0x80003600]<br>0x00000004|- rs1_val==2 and imm_val==2<br>                                                                                                                                            |[0x80000d04]:c.addi a0, 2<br> [0x80000d06]:sw a0, 972(ra)<br>    |
| 257|[0x80003604]<br>0x0000000B|- rs1_val==2 and imm_val==9<br>                                                                                                                                            |[0x80000d0e]:c.addi a0, 9<br> [0x80000d10]:sw a0, 976(ra)<br>    |
| 258|[0x80003608]<br>0xFFFFFFFD|- rs1_val==2 and imm_val==-5<br>                                                                                                                                           |[0x80000d18]:c.addi a0, 59<br> [0x80000d1a]:sw a0, 980(ra)<br>   |
| 259|[0x8000360c]<br>0x00000000|- rs1_val==2 and imm_val==-2<br>                                                                                                                                           |[0x80000d22]:c.addi a0, 62<br> [0x80000d24]:sw a0, 984(ra)<br>   |
| 260|[0x80003610]<br>0x00000005|- rs1_val==2 and imm_val==3<br>                                                                                                                                            |[0x80000d2c]:c.addi a0, 3<br> [0x80000d2e]:sw a0, 988(ra)<br>    |
| 261|[0x80003614]<br>0x0000000C|- rs1_val==2 and imm_val==10<br>                                                                                                                                           |[0x80000d36]:c.addi a0, 10<br> [0x80000d38]:sw a0, 992(ra)<br>   |
| 262|[0x80003618]<br>0x0000B50A|- rs1_val==46340 and imm_val==6<br>                                                                                                                                        |[0x80000d44]:c.addi a0, 6<br> [0x80000d46]:sw a0, 996(ra)<br>    |
| 263|[0x8000361c]<br>0x0000B500|- rs1_val==46340 and imm_val==-4<br>                                                                                                                                       |[0x80000d52]:c.addi a0, 60<br> [0x80000d54]:sw a0, 1000(ra)<br>  |
| 264|[0x80003620]<br>0x0000B503|- rs1_val==46340 and imm_val==-1<br>                                                                                                                                       |[0x80000d60]:c.addi a0, 63<br> [0x80000d62]:sw a0, 1004(ra)<br>  |
| 265|[0x80003624]<br>0x0000B50B|- rs1_val==46340 and imm_val==7<br>                                                                                                                                        |[0x80000d6e]:c.addi a0, 7<br> [0x80000d70]:sw a0, 1008(ra)<br>   |
| 266|[0x80003628]<br>0x0000B508|- rs1_val==46340 and imm_val==4<br>                                                                                                                                        |[0x80000d7c]:c.addi a0, 4<br> [0x80000d7e]:sw a0, 1012(ra)<br>   |
| 267|[0x8000362c]<br>0x0000B50F|- rs1_val==46340 and imm_val==11<br>                                                                                                                                       |[0x80000d8a]:c.addi a0, 11<br> [0x80000d8c]:sw a0, 1016(ra)<br>  |
| 268|[0x80003630]<br>0x0000B504|- rs1_val==46340 and imm_val==0<br>                                                                                                                                        |[0x80000d98]:c.addi.hint.a0<br> [0x80000d9a]:sw a0, 1020(ra)<br> |
| 269|[0x80003634]<br>0x0000B509|- rs1_val==46340 and imm_val==5<br>                                                                                                                                        |[0x80000da6]:c.addi a0, 5<br> [0x80000da8]:sw a0, 1024(ra)<br>   |
| 270|[0x80003638]<br>0x0000B506|- rs1_val==46340 and imm_val==2<br>                                                                                                                                        |[0x80000db4]:c.addi a0, 2<br> [0x80000db6]:sw a0, 1028(ra)<br>   |
| 271|[0x8000363c]<br>0x0000B50D|- rs1_val==46340 and imm_val==9<br>                                                                                                                                        |[0x80000dc2]:c.addi a0, 9<br> [0x80000dc4]:sw a0, 1032(ra)<br>   |
| 272|[0x80003640]<br>0x0000B4FF|- rs1_val==46340 and imm_val==-5<br>                                                                                                                                       |[0x80000dd0]:c.addi a0, 59<br> [0x80000dd2]:sw a0, 1036(ra)<br>  |
| 273|[0x80003644]<br>0x0000B502|- rs1_val==46340 and imm_val==-2<br>                                                                                                                                       |[0x80000dde]:c.addi a0, 62<br> [0x80000de0]:sw a0, 1040(ra)<br>  |
| 274|[0x80003648]<br>0x0000B507|- rs1_val==46340 and imm_val==3<br>                                                                                                                                        |[0x80000dec]:c.addi a0, 3<br> [0x80000dee]:sw a0, 1044(ra)<br>   |
| 275|[0x8000364c]<br>0x0000B50E|- rs1_val==46340 and imm_val==10<br>                                                                                                                                       |[0x80000dfa]:c.addi a0, 10<br> [0x80000dfc]:sw a0, 1048(ra)<br>  |
| 276|[0x80003650]<br>0xFFFF4B02|- rs1_val==-46340 and imm_val==6<br>                                                                                                                                       |[0x80000e08]:c.addi a0, 6<br> [0x80000e0a]:sw a0, 1052(ra)<br>   |
| 277|[0x80003654]<br>0xFFFF4AF8|- rs1_val==-46340 and imm_val==-4<br>                                                                                                                                      |[0x80000e16]:c.addi a0, 60<br> [0x80000e18]:sw a0, 1056(ra)<br>  |
| 278|[0x80003658]<br>0xFFFF4AFB|- rs1_val==-46340 and imm_val==-1<br>                                                                                                                                      |[0x80000e24]:c.addi a0, 63<br> [0x80000e26]:sw a0, 1060(ra)<br>  |
| 279|[0x8000365c]<br>0xFFFF4B03|- rs1_val==-46340 and imm_val==7<br>                                                                                                                                       |[0x80000e32]:c.addi a0, 7<br> [0x80000e34]:sw a0, 1064(ra)<br>   |
| 280|[0x80003660]<br>0xFFFF4B00|- rs1_val==-46340 and imm_val==4<br>                                                                                                                                       |[0x80000e40]:c.addi a0, 4<br> [0x80000e42]:sw a0, 1068(ra)<br>   |
| 281|[0x80003664]<br>0xFFFF4B07|- rs1_val==-46340 and imm_val==11<br>                                                                                                                                      |[0x80000e4e]:c.addi a0, 11<br> [0x80000e50]:sw a0, 1072(ra)<br>  |
| 282|[0x80003668]<br>0xFFFF4AFC|- rs1_val==-46340 and imm_val==0<br>                                                                                                                                       |[0x80000e5c]:c.addi.hint.a0<br> [0x80000e5e]:sw a0, 1076(ra)<br> |
| 283|[0x8000366c]<br>0xFFFF4B01|- rs1_val==-46340 and imm_val==5<br>                                                                                                                                       |[0x80000e6a]:c.addi a0, 5<br> [0x80000e6c]:sw a0, 1080(ra)<br>   |
| 284|[0x80003670]<br>0xFFFF4AFE|- rs1_val==-46340 and imm_val==2<br>                                                                                                                                       |[0x80000e78]:c.addi a0, 2<br> [0x80000e7a]:sw a0, 1084(ra)<br>   |
| 285|[0x80003674]<br>0xFFFF4B05|- rs1_val==-46340 and imm_val==9<br>                                                                                                                                       |[0x80000e86]:c.addi a0, 9<br> [0x80000e88]:sw a0, 1088(ra)<br>   |
| 286|[0x80003678]<br>0xFFFF4AF7|- rs1_val==-46340 and imm_val==-5<br>                                                                                                                                      |[0x80000e94]:c.addi a0, 59<br> [0x80000e96]:sw a0, 1092(ra)<br>  |
| 287|[0x8000367c]<br>0xFFFF4AFA|- rs1_val==-46340 and imm_val==-2<br>                                                                                                                                      |[0x80000ea2]:c.addi a0, 62<br> [0x80000ea4]:sw a0, 1096(ra)<br>  |
| 288|[0x80003680]<br>0xFFFF4AFF|- rs1_val==-46340 and imm_val==3<br>                                                                                                                                       |[0x80000eb0]:c.addi a0, 3<br> [0x80000eb2]:sw a0, 1100(ra)<br>   |
| 289|[0x80003684]<br>0xFFFF4B06|- rs1_val==-46340 and imm_val==10<br>                                                                                                                                      |[0x80000ebe]:c.addi a0, 10<br> [0x80000ec0]:sw a0, 1104(ra)<br>  |
| 290|[0x80003688]<br>0x6666666C|- rs1_val==1717986918 and imm_val==6<br>                                                                                                                                   |[0x80000ecc]:c.addi a0, 6<br> [0x80000ece]:sw a0, 1108(ra)<br>   |
| 291|[0x8000368c]<br>0x66666662|- rs1_val==1717986918 and imm_val==-4<br>                                                                                                                                  |[0x80000eda]:c.addi a0, 60<br> [0x80000edc]:sw a0, 1112(ra)<br>  |
| 292|[0x80003690]<br>0x66666665|- rs1_val==1717986918 and imm_val==-1<br>                                                                                                                                  |[0x80000ee8]:c.addi a0, 63<br> [0x80000eea]:sw a0, 1116(ra)<br>  |
| 293|[0x80003694]<br>0x6666666D|- rs1_val==1717986918 and imm_val==7<br>                                                                                                                                   |[0x80000ef6]:c.addi a0, 7<br> [0x80000ef8]:sw a0, 1120(ra)<br>   |
| 294|[0x80003698]<br>0x6666666A|- rs1_val==1717986918 and imm_val==4<br>                                                                                                                                   |[0x80000f04]:c.addi a0, 4<br> [0x80000f06]:sw a0, 1124(ra)<br>   |
| 295|[0x8000369c]<br>0x66666671|- rs1_val==1717986918 and imm_val==11<br>                                                                                                                                  |[0x80000f12]:c.addi a0, 11<br> [0x80000f14]:sw a0, 1128(ra)<br>  |
| 296|[0x800036a0]<br>0x66666666|- rs1_val==1717986918 and imm_val==0<br>                                                                                                                                   |[0x80000f20]:c.addi.hint.a0<br> [0x80000f22]:sw a0, 1132(ra)<br> |
| 297|[0x800036a4]<br>0x6666666B|- rs1_val==1717986918 and imm_val==5<br>                                                                                                                                   |[0x80000f2e]:c.addi a0, 5<br> [0x80000f30]:sw a0, 1136(ra)<br>   |
| 298|[0x800036a8]<br>0x66666668|- rs1_val==1717986918 and imm_val==2<br>                                                                                                                                   |[0x80000f3c]:c.addi a0, 2<br> [0x80000f3e]:sw a0, 1140(ra)<br>   |
| 299|[0x800036ac]<br>0x6666666F|- rs1_val==1717986918 and imm_val==9<br>                                                                                                                                   |[0x80000f4a]:c.addi a0, 9<br> [0x80000f4c]:sw a0, 1144(ra)<br>   |
| 300|[0x800036b0]<br>0x66666661|- rs1_val==1717986918 and imm_val==-5<br>                                                                                                                                  |[0x80000f58]:c.addi a0, 59<br> [0x80000f5a]:sw a0, 1148(ra)<br>  |
| 301|[0x800036b4]<br>0x66666664|- rs1_val==1717986918 and imm_val==-2<br>                                                                                                                                  |[0x80000f66]:c.addi a0, 62<br> [0x80000f68]:sw a0, 1152(ra)<br>  |
| 302|[0x800036b8]<br>0x66666669|- rs1_val==1717986918 and imm_val==3<br>                                                                                                                                   |[0x80000f74]:c.addi a0, 3<br> [0x80000f76]:sw a0, 1156(ra)<br>   |
| 303|[0x800036bc]<br>0x66666670|- rs1_val==1717986918 and imm_val==10<br>                                                                                                                                  |[0x80000f82]:c.addi a0, 10<br> [0x80000f84]:sw a0, 1160(ra)<br>  |
| 304|[0x800036c0]<br>0x33333339|- rs1_val==858993459 and imm_val==6<br>                                                                                                                                    |[0x80000f90]:c.addi a0, 6<br> [0x80000f92]:sw a0, 1164(ra)<br>   |
| 305|[0x800036c4]<br>0x3333332F|- rs1_val==858993459 and imm_val==-4<br>                                                                                                                                   |[0x80000f9e]:c.addi a0, 60<br> [0x80000fa0]:sw a0, 1168(ra)<br>  |
| 306|[0x800036c8]<br>0x33333332|- rs1_val==858993459 and imm_val==-1<br>                                                                                                                                   |[0x80000fac]:c.addi a0, 63<br> [0x80000fae]:sw a0, 1172(ra)<br>  |
| 307|[0x800036cc]<br>0x3333333A|- rs1_val==858993459 and imm_val==7<br>                                                                                                                                    |[0x80000fba]:c.addi a0, 7<br> [0x80000fbc]:sw a0, 1176(ra)<br>   |
| 308|[0x800036d0]<br>0x33333337|- rs1_val==858993459 and imm_val==4<br>                                                                                                                                    |[0x80000fc8]:c.addi a0, 4<br> [0x80000fca]:sw a0, 1180(ra)<br>   |
| 309|[0x800036d4]<br>0x3333333E|- rs1_val==858993459 and imm_val==11<br>                                                                                                                                   |[0x80000fd6]:c.addi a0, 11<br> [0x80000fd8]:sw a0, 1184(ra)<br>  |
| 310|[0x800036d8]<br>0x33333333|- rs1_val==858993459 and imm_val==0<br>                                                                                                                                    |[0x80000fe4]:c.addi.hint.a0<br> [0x80000fe6]:sw a0, 1188(ra)<br> |
| 311|[0x800036dc]<br>0x33333338|- rs1_val==858993459 and imm_val==5<br>                                                                                                                                    |[0x80000ff2]:c.addi a0, 5<br> [0x80000ff4]:sw a0, 1192(ra)<br>   |
| 312|[0x800036e0]<br>0x33333335|- rs1_val==858993459 and imm_val==2<br>                                                                                                                                    |[0x80001000]:c.addi a0, 2<br> [0x80001002]:sw a0, 1196(ra)<br>   |
| 313|[0x800036e4]<br>0x3333333C|- rs1_val==858993459 and imm_val==9<br>                                                                                                                                    |[0x8000100e]:c.addi a0, 9<br> [0x80001010]:sw a0, 1200(ra)<br>   |
| 314|[0x800036e8]<br>0x0000000D|- rs1_val==3 and imm_val==10<br>                                                                                                                                           |[0x80001018]:c.addi a0, 10<br> [0x8000101a]:sw a0, 1204(ra)<br>  |
| 315|[0x800036ec]<br>0xAAAAAAA3|- rs1_val == -1431655766<br>                                                                                                                                               |[0x80001026]:c.addi a0, 57<br> [0x80001028]:sw a0, 1208(ra)<br>  |
| 316|[0x800036f0]<br>0x5555555E|- rs1_val==1431655765 and imm_val==9<br> - rs1_val == 1431655765<br>                                                                                                       |[0x80001034]:c.addi a0, 9<br> [0x80001036]:sw a0, 1212(ra)<br>   |
| 317|[0x800036f4]<br>0x0000001B|- imm_val == 21<br>                                                                                                                                                        |[0x8000103e]:c.addi a0, 21<br> [0x80001040]:sw a0, 1216(ra)<br>  |
| 318|[0x800036f8]<br>0x3333332E|- rs1_val==858993459 and imm_val==-5<br>                                                                                                                                   |[0x8000104c]:c.addi a0, 59<br> [0x8000104e]:sw a0, 1220(ra)<br>  |
| 319|[0x800036fc]<br>0x33333331|- rs1_val==858993459 and imm_val==-2<br>                                                                                                                                   |[0x8000105a]:c.addi a0, 62<br> [0x8000105c]:sw a0, 1224(ra)<br>  |
| 320|[0x80003700]<br>0x33333336|- rs1_val==858993459 and imm_val==3<br>                                                                                                                                    |[0x80001068]:c.addi a0, 3<br> [0x8000106a]:sw a0, 1228(ra)<br>   |
| 321|[0x80003704]<br>0x3333333D|- rs1_val==858993459 and imm_val==10<br>                                                                                                                                   |[0x80001076]:c.addi a0, 10<br> [0x80001078]:sw a0, 1232(ra)<br>  |
| 322|[0x80003708]<br>0x0000000B|- rs1_val==5 and imm_val==6<br>                                                                                                                                            |[0x80001080]:c.addi a0, 6<br> [0x80001082]:sw a0, 1236(ra)<br>   |
| 323|[0x8000370c]<br>0x00000001|- rs1_val==5 and imm_val==-4<br>                                                                                                                                           |[0x8000108a]:c.addi a0, 60<br> [0x8000108c]:sw a0, 1240(ra)<br>  |
| 324|[0x80003710]<br>0x00000004|- rs1_val==5 and imm_val==-1<br>                                                                                                                                           |[0x80001094]:c.addi a0, 63<br> [0x80001096]:sw a0, 1244(ra)<br>  |
| 325|[0x80003714]<br>0x0000000C|- rs1_val==5 and imm_val==7<br>                                                                                                                                            |[0x8000109e]:c.addi a0, 7<br> [0x800010a0]:sw a0, 1248(ra)<br>   |
| 326|[0x80003718]<br>0x00000009|- rs1_val==5 and imm_val==4<br>                                                                                                                                            |[0x800010a8]:c.addi a0, 4<br> [0x800010aa]:sw a0, 1252(ra)<br>   |
| 327|[0x8000371c]<br>0x00000010|- rs1_val==5 and imm_val==11<br>                                                                                                                                           |[0x800010b2]:c.addi a0, 11<br> [0x800010b4]:sw a0, 1256(ra)<br>  |
| 328|[0x80003720]<br>0x00000005|- rs1_val==5 and imm_val==0<br>                                                                                                                                            |[0x800010bc]:c.addi.hint.a0<br> [0x800010be]:sw a0, 1260(ra)<br> |
| 329|[0x80003724]<br>0x0000000A|- rs1_val==5 and imm_val==5<br>                                                                                                                                            |[0x800010c6]:c.addi a0, 5<br> [0x800010c8]:sw a0, 1264(ra)<br>   |
| 330|[0x80003728]<br>0x00000007|- rs1_val==5 and imm_val==2<br>                                                                                                                                            |[0x800010d0]:c.addi a0, 2<br> [0x800010d2]:sw a0, 1268(ra)<br>   |
| 331|[0x8000372c]<br>0x0000000E|- rs1_val==5 and imm_val==9<br>                                                                                                                                            |[0x800010da]:c.addi a0, 9<br> [0x800010dc]:sw a0, 1272(ra)<br>   |
| 332|[0x80003730]<br>0x00000000|- rs1_val==5 and imm_val==-5<br>                                                                                                                                           |[0x800010e4]:c.addi a0, 59<br> [0x800010e6]:sw a0, 1276(ra)<br>  |
| 333|[0x80003734]<br>0x00000003|- rs1_val==5 and imm_val==-2<br>                                                                                                                                           |[0x800010ee]:c.addi a0, 62<br> [0x800010f0]:sw a0, 1280(ra)<br>  |
| 334|[0x80003738]<br>0x00000008|- rs1_val==5 and imm_val==3<br>                                                                                                                                            |[0x800010f8]:c.addi a0, 3<br> [0x800010fa]:sw a0, 1284(ra)<br>   |
| 335|[0x8000373c]<br>0x0000000F|- rs1_val==5 and imm_val==10<br>                                                                                                                                           |[0x80001102]:c.addi a0, 10<br> [0x80001104]:sw a0, 1288(ra)<br>  |
| 336|[0x80003740]<br>0xAAAAAAB0|- rs1_val==-1431655766 and imm_val==6<br>                                                                                                                                  |[0x80001110]:c.addi a0, 6<br> [0x80001112]:sw a0, 1292(ra)<br>   |
| 337|[0x80003744]<br>0xAAAAAAA6|- rs1_val==-1431655766 and imm_val==-4<br>                                                                                                                                 |[0x8000111e]:c.addi a0, 60<br> [0x80001120]:sw a0, 1296(ra)<br>  |
| 338|[0x80003748]<br>0xAAAAAAA9|- rs1_val==-1431655766 and imm_val==-1<br>                                                                                                                                 |[0x8000112c]:c.addi a0, 63<br> [0x8000112e]:sw a0, 1300(ra)<br>  |
| 339|[0x8000374c]<br>0xAAAAAAB1|- rs1_val==-1431655766 and imm_val==7<br>                                                                                                                                  |[0x8000113a]:c.addi a0, 7<br> [0x8000113c]:sw a0, 1304(ra)<br>   |
| 340|[0x80003750]<br>0xAAAAAAAE|- rs1_val==-1431655766 and imm_val==4<br>                                                                                                                                  |[0x80001148]:c.addi a0, 4<br> [0x8000114a]:sw a0, 1308(ra)<br>   |
| 341|[0x80003754]<br>0xAAAAAAB5|- rs1_val==-1431655766 and imm_val==11<br>                                                                                                                                 |[0x80001156]:c.addi a0, 11<br> [0x80001158]:sw a0, 1312(ra)<br>  |
| 342|[0x80003758]<br>0xAAAAAAAA|- rs1_val==-1431655766 and imm_val==0<br>                                                                                                                                  |[0x80001164]:c.addi.hint.a0<br> [0x80001166]:sw a0, 1316(ra)<br> |
| 343|[0x8000375c]<br>0xAAAAAAAF|- rs1_val==-1431655766 and imm_val==5<br>                                                                                                                                  |[0x80001172]:c.addi a0, 5<br> [0x80001174]:sw a0, 1320(ra)<br>   |
| 344|[0x80003760]<br>0xAAAAAAAC|- rs1_val==-1431655766 and imm_val==2<br>                                                                                                                                  |[0x80001180]:c.addi a0, 2<br> [0x80001182]:sw a0, 1324(ra)<br>   |
| 345|[0x80003764]<br>0xAAAAAAB3|- rs1_val==-1431655766 and imm_val==9<br>                                                                                                                                  |[0x8000118e]:c.addi a0, 9<br> [0x80001190]:sw a0, 1328(ra)<br>   |
| 346|[0x80003768]<br>0xAAAAAAA5|- rs1_val==-1431655766 and imm_val==-5<br>                                                                                                                                 |[0x8000119c]:c.addi a0, 59<br> [0x8000119e]:sw a0, 1332(ra)<br>  |
| 347|[0x8000376c]<br>0xAAAAAAA8|- rs1_val==-1431655766 and imm_val==-2<br>                                                                                                                                 |[0x800011aa]:c.addi a0, 62<br> [0x800011ac]:sw a0, 1336(ra)<br>  |
| 348|[0x80003770]<br>0xAAAAAAAD|- rs1_val==-1431655766 and imm_val==3<br>                                                                                                                                  |[0x800011b8]:c.addi a0, 3<br> [0x800011ba]:sw a0, 1340(ra)<br>   |
| 349|[0x80003774]<br>0xAAAAAAB4|- rs1_val==-1431655766 and imm_val==10<br>                                                                                                                                 |[0x800011c6]:c.addi a0, 10<br> [0x800011c8]:sw a0, 1344(ra)<br>  |
| 350|[0x80003778]<br>0x5555555B|- rs1_val==1431655765 and imm_val==6<br>                                                                                                                                   |[0x800011d4]:c.addi a0, 6<br> [0x800011d6]:sw a0, 1348(ra)<br>   |
| 351|[0x8000377c]<br>0x55555551|- rs1_val==1431655765 and imm_val==-4<br>                                                                                                                                  |[0x800011e2]:c.addi a0, 60<br> [0x800011e4]:sw a0, 1352(ra)<br>  |
| 352|[0x80003780]<br>0x55555554|- rs1_val==1431655765 and imm_val==-1<br>                                                                                                                                  |[0x800011f0]:c.addi a0, 63<br> [0x800011f2]:sw a0, 1356(ra)<br>  |
| 353|[0x80003784]<br>0x5555555C|- rs1_val==1431655765 and imm_val==7<br>                                                                                                                                   |[0x800011fe]:c.addi a0, 7<br> [0x80001200]:sw a0, 1360(ra)<br>   |
| 354|[0x80003788]<br>0x55555559|- rs1_val==1431655765 and imm_val==4<br>                                                                                                                                   |[0x8000120c]:c.addi a0, 4<br> [0x8000120e]:sw a0, 1364(ra)<br>   |
| 355|[0x8000378c]<br>0x55555560|- rs1_val==1431655765 and imm_val==11<br>                                                                                                                                  |[0x8000121a]:c.addi a0, 11<br> [0x8000121c]:sw a0, 1368(ra)<br>  |
| 356|[0x80003790]<br>0x55555555|- rs1_val==1431655765 and imm_val==0<br>                                                                                                                                   |[0x80001228]:c.addi.hint.a0<br> [0x8000122a]:sw a0, 1372(ra)<br> |
| 357|[0x80003794]<br>0x5555555A|- rs1_val==1431655765 and imm_val==5<br>                                                                                                                                   |[0x80001236]:c.addi a0, 5<br> [0x80001238]:sw a0, 1376(ra)<br>   |
| 358|[0x80003798]<br>0x55555557|- rs1_val==1431655765 and imm_val==2<br>                                                                                                                                   |[0x80001244]:c.addi a0, 2<br> [0x80001246]:sw a0, 1380(ra)<br>   |
| 359|[0x8000379c]<br>0x55555550|- rs1_val==1431655765 and imm_val==-5<br>                                                                                                                                  |[0x80001252]:c.addi a0, 59<br> [0x80001254]:sw a0, 1384(ra)<br>  |
| 360|[0x800037a0]<br>0x55555553|- rs1_val==1431655765 and imm_val==-2<br>                                                                                                                                  |[0x80001260]:c.addi a0, 62<br> [0x80001262]:sw a0, 1388(ra)<br>  |
| 361|[0x800037a4]<br>0x55555558|- rs1_val==1431655765 and imm_val==3<br>                                                                                                                                   |[0x8000126e]:c.addi a0, 3<br> [0x80001270]:sw a0, 1392(ra)<br>   |
| 362|[0x800037a8]<br>0x5555555F|- rs1_val==1431655765 and imm_val==10<br>                                                                                                                                  |[0x8000127c]:c.addi a0, 10<br> [0x8000127e]:sw a0, 1396(ra)<br>  |
| 363|[0x800037ac]<br>0x00000009|- rs1_val==3 and imm_val==6<br>                                                                                                                                            |[0x80001286]:c.addi a0, 6<br> [0x80001288]:sw a0, 1400(ra)<br>   |
| 364|[0x800037b0]<br>0xFFFFFFFF|- rs1_val==3 and imm_val==-4<br>                                                                                                                                           |[0x80001290]:c.addi a0, 60<br> [0x80001292]:sw a0, 1404(ra)<br>  |
| 365|[0x800037b4]<br>0x00000002|- rs1_val==3 and imm_val==-1<br>                                                                                                                                           |[0x8000129a]:c.addi a0, 63<br> [0x8000129c]:sw a0, 1408(ra)<br>  |
| 366|[0x800037b8]<br>0x0000000A|- rs1_val==3 and imm_val==7<br>                                                                                                                                            |[0x800012a4]:c.addi a0, 7<br> [0x800012a6]:sw a0, 1412(ra)<br>   |
| 367|[0x800037bc]<br>0x00000007|- rs1_val==3 and imm_val==4<br>                                                                                                                                            |[0x800012ae]:c.addi a0, 4<br> [0x800012b0]:sw a0, 1416(ra)<br>   |
| 368|[0x800037c0]<br>0x0000000E|- rs1_val==3 and imm_val==11<br>                                                                                                                                           |[0x800012b8]:c.addi a0, 11<br> [0x800012ba]:sw a0, 1420(ra)<br>  |
| 369|[0x800037c4]<br>0x00000003|- rs1_val==3 and imm_val==0<br>                                                                                                                                            |[0x800012c2]:c.addi.hint.a0<br> [0x800012c4]:sw a0, 1424(ra)<br> |
| 370|[0x800037c8]<br>0x00000008|- rs1_val==3 and imm_val==5<br>                                                                                                                                            |[0x800012cc]:c.addi a0, 5<br> [0x800012ce]:sw a0, 1428(ra)<br>   |
| 371|[0x800037cc]<br>0x00000005|- rs1_val==3 and imm_val==2<br>                                                                                                                                            |[0x800012d6]:c.addi a0, 2<br> [0x800012d8]:sw a0, 1432(ra)<br>   |
| 372|[0x800037d0]<br>0x0000000C|- rs1_val==3 and imm_val==9<br>                                                                                                                                            |[0x800012e0]:c.addi a0, 9<br> [0x800012e2]:sw a0, 1436(ra)<br>   |
| 373|[0x800037d4]<br>0xFFFFFFFE|- rs1_val==3 and imm_val==-5<br>                                                                                                                                           |[0x800012ea]:c.addi a0, 59<br> [0x800012ec]:sw a0, 1440(ra)<br>  |
| 374|[0x800037d8]<br>0x00000001|- rs1_val==3 and imm_val==-2<br>                                                                                                                                           |[0x800012f4]:c.addi a0, 62<br> [0x800012f6]:sw a0, 1444(ra)<br>  |
| 375|[0x800037dc]<br>0x00000006|- rs1_val==3 and imm_val==3<br>                                                                                                                                            |[0x800012fe]:c.addi a0, 3<br> [0x80001300]:sw a0, 1448(ra)<br>   |
