
# Data Propagation Report

- **STAT1** : Number of instructions that hit unique coverpoints and update the signature.
- **STAT2** : Number of instructions that hit covepoints which are not unique but still update the signature
- **STAT3** : Number of instructions that hit a unique coverpoint but do not update signature
- **STAT4** : Number of multiple signature updates for the same coverpoint
- **STAT5** : Number of times the signature was overwritten

| Param                     | Value    |
|---------------------------|----------|
| XLEN                      | 64      |
| TEST_REGION               | [('0x80000390', '0x80006f10')]      |
| SIG_REGION                | [('0x80008010', '0x80009550', '680 dwords')]      |
| COV_LABELS                | cor      |
| TEST_NAME                 | /scratch/git-repo/incoresemi/riscof/riscof_work/cor-01.S/cor-01.S    |
| Total Number of coverpoints| 771     |
| Total Coverpoints Hit     | 771      |
| Total Signature Updates   | 680      |
| STAT1                     | 679      |
| STAT2                     | 1      |
| STAT3                     | 0     |
| STAT4                     | 0     |
| STAT5                     | 0     |

## Details for STAT2:

```
Op without unique coverpoint updates Signature
 -- Code Sequence:
      [0x80006f06]:c.or a0, a1
      [0x80006f08]:sd a0, 1336(ra)
 -- Signature Address: 0x80009548 Data: 0x8000000000000000
 -- Redundant Coverpoints hit by the op
      - opcode : c.or
      - rs1 : x10
      - rs2 : x11
      - rs1 != rs2
      - rs2_val == 0
      - rs1_val == (-2**(xlen-1))
      - rs1_val == -9223372036854775808






```

## Details of STAT3

```


```

## Details of STAT4:

```

```

## Details of STAT5:



## Details of STAT1:

- The first column indicates the signature address and the data at that location in hexadecimal in the following format: 
  ```
  [Address]
  Data
  ```

- The second column captures all the coverpoints which have been captured by that particular signature location

- The third column captures all the insrtuctions since the time a coverpoint was
  hit to the point when a store to the signature was performed. Each line has
  the following format:
  ```
  [PC of instruction] : mnemonic
  ```
- The order in the table is based on the order of signatures occuring in the
  test. These need not necessarily be in increasing or decreasing order of the
  address in the signature region.

|s.no|            signature             |                                                                                      coverpoints                                                                                      |                             code                             |
|---:|----------------------------------|---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------|--------------------------------------------------------------|
|   1|[0x80008010]<br>0x8000000002000000|- opcode : c.or<br> - rs1 : x13<br> - rs2 : x12<br> - rs1 != rs2<br> - rs2_val == (-2**(xlen-1))<br> - rs2_val < 0<br> - rs2_val == -9223372036854775808<br> - rs1_val == 33554432<br> |[0x800003a4]:c.or a3, a2<br> [0x800003a6]:sd a3, 0(ra)<br>    |
|   2|[0x80008018]<br>0x8000000000000000|- rs1 : x8<br> - rs2 : x8<br> - rs1 == rs2<br> - rs1_val == (-2**(xlen-1))<br> - rs1_val == -9223372036854775808<br>                                                                   |[0x800003ba]:c.or s0, s0<br> [0x800003bc]:sd fp, 8(ra)<br>    |
|   3|[0x80008020]<br>0xFFFFFFFFFFFFFFFF|- rs1 : x12<br> - rs2 : x9<br> - rs2_val == (2**(xlen-1)-1)<br> - rs2_val > 0<br> - rs2_val == 9223372036854775807<br>                                                                 |[0x800003dc]:c.or a2, s1<br> [0x800003de]:sd a2, 16(ra)<br>   |
|   4|[0x80008028]<br>0x0000000000000005|- rs1 : x9<br> - rs2 : x15<br> - rs2_val == 1<br>                                                                                                                                      |[0x800003ea]:c.or s1, a5<br> [0x800003ec]:sd s1, 24(ra)<br>   |
|   5|[0x80008030]<br>0xFFFFFFFFFFFDFFFF|- rs1 : x10<br> - rs2 : x14<br> - rs1_val == 0<br> - rs2_val == -131073<br>                                                                                                            |[0x800003fc]:c.or a0, a4<br> [0x800003fe]:sd a0, 32(ra)<br>   |
|   6|[0x80008038]<br>0xFFFFFFFFFFFFFFFF|- rs1 : x11<br> - rs2 : x10<br> - rs1_val == (2**(xlen-1)-1)<br> - rs2_val == -72057594037927937<br> - rs1_val == 9223372036854775807<br>                                              |[0x8000041a]:c.or a1, a0<br> [0x8000041c]:sd a1, 40(ra)<br>   |
|   7|[0x80008040]<br>0xFFFFFFFFFFFFFF7F|- rs1 : x15<br> - rs2 : x13<br> - rs1_val == 1<br> - rs2_val == -129<br>                                                                                                               |[0x80000428]:c.or a5, a3<br> [0x8000042a]:sd a5, 48(ra)<br>   |
|   8|[0x80008048]<br>0x0000020000000002|- rs1 : x14<br> - rs2 : x11<br> - rs2_val == 2<br> - rs1_val == 2199023255552<br>                                                                                                      |[0x8000043a]:c.or a4, a1<br> [0x8000043c]:sd a4, 56(ra)<br>   |
|   9|[0x80008050]<br>0xFFFFFFFFDFFFFFFF|- rs2_val == 4<br> - rs1_val == -536870913<br>                                                                                                                                         |[0x8000044c]:c.or a0, a1<br> [0x8000044e]:sd a0, 64(ra)<br>   |
|  10|[0x80008058]<br>0x000000000000000D|- rs2_val == 8<br>                                                                                                                                                                     |[0x8000045a]:c.or a0, a1<br> [0x8000045c]:sd a0, 72(ra)<br>   |
|  11|[0x80008060]<br>0x0000000000000019|- rs2_val == 16<br>                                                                                                                                                                    |[0x80000468]:c.or a0, a1<br> [0x8000046a]:sd a0, 80(ra)<br>   |
|  12|[0x80008068]<br>0x0000000000000023|- rs2_val == 32<br>                                                                                                                                                                    |[0x80000476]:c.or a0, a1<br> [0x80000478]:sd a0, 88(ra)<br>   |
|  13|[0x80008070]<br>0xFFFFFFFFFFFF7FFF|- rs2_val == 64<br> - rs1_val == -32769<br>                                                                                                                                            |[0x80000488]:c.or a0, a1<br> [0x8000048a]:sd a0, 96(ra)<br>   |
|  14|[0x80008078]<br>0x0000000002000080|- rs2_val == 128<br>                                                                                                                                                                   |[0x80000496]:c.or a0, a1<br> [0x80000498]:sd a0, 104(ra)<br>  |
|  15|[0x80008080]<br>0x0000000000000100|- rs2_val == 256<br>                                                                                                                                                                   |[0x800004a4]:c.or a0, a1<br> [0x800004a6]:sd a0, 112(ra)<br>  |
|  16|[0x80008088]<br>0x1000000000000200|- rs2_val == 512<br> - rs1_val == 1152921504606846976<br>                                                                                                                              |[0x800004b6]:c.or a0, a1<br> [0x800004b8]:sd a0, 120(ra)<br>  |
|  17|[0x80008090]<br>0xFFFFFFBFFFFFFFFF|- rs2_val == 1024<br> - rs1_val == -274877906945<br>                                                                                                                                   |[0x800004cc]:c.or a0, a1<br> [0x800004ce]:sd a0, 128(ra)<br>  |
|  18|[0x80008098]<br>0x0000000000000840|- rs2_val == 2048<br> - rs1_val == 64<br>                                                                                                                                              |[0x800004de]:c.or a0, a1<br> [0x800004e0]:sd a0, 136(ra)<br>  |
|  19|[0x800080a0]<br>0x0000000000001100|- rs2_val == 4096<br> - rs1_val == 256<br>                                                                                                                                             |[0x800004ec]:c.or a0, a1<br> [0x800004ee]:sd a0, 144(ra)<br>  |
|  20|[0x800080a8]<br>0x0008000000002000|- rs2_val == 8192<br> - rs1_val == 2251799813685248<br>                                                                                                                                |[0x800004fe]:c.or a0, a1<br> [0x80000500]:sd a0, 152(ra)<br>  |
|  21|[0x800080b0]<br>0x0000001000004000|- rs2_val == 16384<br> - rs1_val == 68719476736<br>                                                                                                                                    |[0x80000510]:c.or a0, a1<br> [0x80000512]:sd a0, 160(ra)<br>  |
|  22|[0x800080b8]<br>0x0000000000808000|- rs2_val == 32768<br> - rs1_val == 8388608<br>                                                                                                                                        |[0x8000051e]:c.or a0, a1<br> [0x80000520]:sd a0, 168(ra)<br>  |
|  23|[0x800080c0]<br>0xFFFDFFFFFFFFFFFF|- rs2_val == 65536<br> - rs1_val == -562949953421313<br>                                                                                                                               |[0x80000534]:c.or a0, a1<br> [0x80000536]:sd a0, 176(ra)<br>  |
|  24|[0x800080c8]<br>0xFFFFFFFFFBFFFFFF|- rs2_val == 131072<br> - rs1_val == -67108865<br>                                                                                                                                     |[0x80000546]:c.or a0, a1<br> [0x80000548]:sd a0, 184(ra)<br>  |
|  25|[0x800080d0]<br>0x0000000000040002|- rs2_val == 262144<br> - rs1_val == 2<br>                                                                                                                                             |[0x80000554]:c.or a0, a1<br> [0x80000556]:sd a0, 192(ra)<br>  |
|  26|[0x800080d8]<br>0x0000000000080010|- rs2_val == 524288<br> - rs1_val == 16<br>                                                                                                                                            |[0x80000562]:c.or a0, a1<br> [0x80000564]:sd a0, 200(ra)<br>  |
|  27|[0x800080e0]<br>0x00000000B514F334|- rs2_val == 1048576<br>                                                                                                                                                               |[0x8000057c]:c.or a0, a1<br> [0x8000057e]:sd a0, 208(ra)<br>  |
|  28|[0x800080e8]<br>0xFFFFFFFFFDFFFFFF|- rs2_val == 2097152<br> - rs1_val == -33554433<br>                                                                                                                                    |[0x8000058e]:c.or a0, a1<br> [0x80000590]:sd a0, 216(ra)<br>  |
|  29|[0x800080f0]<br>0xFFFFFFFFFF7FFFFF|- rs2_val == 4194304<br> - rs1_val == -8388609<br>                                                                                                                                     |[0x800005a0]:c.or a0, a1<br> [0x800005a2]:sd a0, 224(ra)<br>  |
|  30|[0x800080f8]<br>0xFFFFFFF7FFFFFFFF|- rs2_val == 8388608<br> - rs1_val == -34359738369<br>                                                                                                                                 |[0x800005b6]:c.or a0, a1<br> [0x800005b8]:sd a0, 232(ra)<br>  |
|  31|[0x80008100]<br>0xFFFFFFFFFFFFFFBF|- rs2_val == 16777216<br> - rs1_val == -65<br>                                                                                                                                         |[0x800005c4]:c.or a0, a1<br> [0x800005c6]:sd a0, 240(ra)<br>  |
|  32|[0x80008108]<br>0xC000000002000000|- rs2_val == 33554432<br>                                                                                                                                                              |[0x800005d6]:c.or a0, a1<br> [0x800005d8]:sd a0, 248(ra)<br>  |
|  33|[0x80008110]<br>0x0000000004000004|- rs2_val == 67108864<br> - rs1_val == 4<br>                                                                                                                                           |[0x800005e4]:c.or a0, a1<br> [0x800005e6]:sd a0, 256(ra)<br>  |
|  34|[0x80008118]<br>0x0000000008020000|- rs2_val == 134217728<br> - rs1_val == 131072<br>                                                                                                                                     |[0x800005f2]:c.or a0, a1<br> [0x800005f4]:sd a0, 264(ra)<br>  |
|  35|[0x80008120]<br>0x0000000010000004|- rs2_val == 268435456<br>                                                                                                                                                             |[0x80000600]:c.or a0, a1<br> [0x80000602]:sd a0, 272(ra)<br>  |
|  36|[0x80008128]<br>0x0000000060000000|- rs2_val == 536870912<br> - rs1_val == 1073741824<br>                                                                                                                                 |[0x8000060e]:c.or a0, a1<br> [0x80000610]:sd a0, 280(ra)<br>  |
|  37|[0x80008130]<br>0xFFFFFFFF4AFB0CCD|- rs2_val == 1073741824<br>                                                                                                                                                            |[0x80000628]:c.or a0, a1<br> [0x8000062a]:sd a0, 288(ra)<br>  |
|  38|[0x80008138]<br>0x0000000080020000|- rs2_val == 2147483648<br>                                                                                                                                                            |[0x8000063a]:c.or a0, a1<br> [0x8000063c]:sd a0, 296(ra)<br>  |
|  39|[0x80008140]<br>0xFDFFFFFFFFFFFFFF|- rs2_val == 4294967296<br> - rs1_val == -144115188075855873<br>                                                                                                                       |[0x80000654]:c.or a0, a1<br> [0x80000656]:sd a0, 304(ra)<br>  |
|  40|[0x80008148]<br>0xEFFFFFFFFFFFFFFF|- rs2_val == 8589934592<br> - rs1_val == -1152921504606846977<br>                                                                                                                      |[0x8000066e]:c.or a0, a1<br> [0x80000670]:sd a0, 312(ra)<br>  |
|  41|[0x80008150]<br>0x0000000400000005|- rs2_val == 17179869184<br>                                                                                                                                                           |[0x80000680]:c.or a0, a1<br> [0x80000682]:sd a0, 320(ra)<br>  |
|  42|[0x80008158]<br>0xFFFFFFFF4AFB0CCD|- rs2_val == 34359738368<br>                                                                                                                                                           |[0x8000069e]:c.or a0, a1<br> [0x800006a0]:sd a0, 328(ra)<br>  |
|  43|[0x80008160]<br>0x0000001000000006|- rs2_val == 68719476736<br>                                                                                                                                                           |[0x800006b0]:c.or a0, a1<br> [0x800006b2]:sd a0, 336(ra)<br>  |
|  44|[0x80008168]<br>0x0000002000000400|- rs2_val == 137438953472<br> - rs1_val == 1024<br>                                                                                                                                    |[0x800006c2]:c.or a0, a1<br> [0x800006c4]:sd a0, 344(ra)<br>  |
|  45|[0x80008170]<br>0x3333337333333334|- rs2_val == 274877906944<br>                                                                                                                                                          |[0x800006f0]:c.or a0, a1<br> [0x800006f2]:sd a0, 352(ra)<br>  |
|  46|[0x80008178]<br>0x0000008000000007|- rs2_val == 549755813888<br>                                                                                                                                                          |[0x80000702]:c.or a0, a1<br> [0x80000704]:sd a0, 360(ra)<br>  |
|  47|[0x80008180]<br>0x0000010000000002|- rs2_val == 1099511627776<br>                                                                                                                                                         |[0x80000714]:c.or a0, a1<br> [0x80000716]:sd a0, 368(ra)<br>  |
|  48|[0x80008188]<br>0xFFFFBFFFFFFFFFFF|- rs2_val == 2199023255552<br> - rs1_val == -70368744177665<br>                                                                                                                        |[0x8000072e]:c.or a0, a1<br> [0x80000730]:sd a0, 376(ra)<br>  |
|  49|[0x80008190]<br>0x0000040800000000|- rs2_val == 4398046511104<br> - rs1_val == 34359738368<br>                                                                                                                            |[0x80000744]:c.or a0, a1<br> [0x80000746]:sd a0, 384(ra)<br>  |
|  50|[0x80008198]<br>0xFFFFFFFFEFFFFFFF|- rs2_val == 8796093022208<br> - rs1_val == -268435457<br>                                                                                                                             |[0x8000075a]:c.or a0, a1<br> [0x8000075c]:sd a0, 392(ra)<br>  |
|  51|[0x800081a0]<br>0x3333333333333332|- rs2_val == 17592186044416<br>                                                                                                                                                        |[0x80000788]:c.or a0, a1<br> [0x8000078a]:sd a0, 400(ra)<br>  |
|  52|[0x800081a8]<br>0xFFFFFFFFFFFDFFFF|- rs2_val == 35184372088832<br> - rs1_val == -131073<br>                                                                                                                               |[0x8000079e]:c.or a0, a1<br> [0x800007a0]:sd a0, 408(ra)<br>  |
|  53|[0x800081b0]<br>0x5555555555555556|- rs2_val == 70368744177664<br>                                                                                                                                                        |[0x800007cc]:c.or a0, a1<br> [0x800007ce]:sd a0, 416(ra)<br>  |
|  54|[0x800081b8]<br>0x0000800800000000|- rs2_val == 140737488355328<br>                                                                                                                                                       |[0x800007e2]:c.or a0, a1<br> [0x800007e4]:sd a0, 424(ra)<br>  |
|  55|[0x800081c0]<br>0x0001000001000000|- rs2_val == 281474976710656<br> - rs1_val == 16777216<br>                                                                                                                             |[0x800007f4]:c.or a0, a1<br> [0x800007f6]:sd a0, 432(ra)<br>  |
|  56|[0x800081c8]<br>0xFFFFFFFFFFFBFFFF|- rs2_val == 562949953421312<br> - rs1_val == -262145<br>                                                                                                                              |[0x8000080a]:c.or a0, a1<br> [0x8000080c]:sd a0, 440(ra)<br>  |
|  57|[0x800081d0]<br>0xFFFFFFFFFFEFFFFF|- rs2_val == 1125899906842624<br> - rs1_val == -1048577<br>                                                                                                                            |[0x80000820]:c.or a0, a1<br> [0x80000822]:sd a0, 448(ra)<br>  |
|  58|[0x800081d8]<br>0x0008000000000008|- rs2_val == 2251799813685248<br> - rs1_val == 8<br>                                                                                                                                   |[0x80000832]:c.or a0, a1<br> [0x80000834]:sd a0, 456(ra)<br>  |
|  59|[0x800081e0]<br>0xFFFFFF7FFFFFFFFF|- rs2_val == 4503599627370496<br> - rs1_val == -549755813889<br>                                                                                                                       |[0x8000084c]:c.or a0, a1<br> [0x8000084e]:sd a0, 464(ra)<br>  |
|  60|[0x800081e8]<br>0x0120000000000000|- rs2_val == 9007199254740992<br> - rs1_val == 72057594037927936<br>                                                                                                                   |[0x80000862]:c.or a0, a1<br> [0x80000864]:sd a0, 472(ra)<br>  |
|  61|[0x800081f0]<br>0x0040000000000003|- rs2_val == 18014398509481984<br>                                                                                                                                                     |[0x80000874]:c.or a0, a1<br> [0x80000876]:sd a0, 480(ra)<br>  |
|  62|[0x800081f8]<br>0x33B3333333333333|- rs2_val == 36028797018963968<br>                                                                                                                                                     |[0x800008a2]:c.or a0, a1<br> [0x800008a4]:sd a0, 488(ra)<br>  |
|  63|[0x80008200]<br>0xFFFFFFFF4AFB0CCD|- rs2_val == 72057594037927936<br>                                                                                                                                                     |[0x800008c0]:c.or a0, a1<br> [0x800008c2]:sd a0, 496(ra)<br>  |
|  64|[0x80008208]<br>0x3333333333333333|- rs2_val == 144115188075855872<br>                                                                                                                                                    |[0x800008ee]:c.or a0, a1<br> [0x800008f0]:sd a0, 504(ra)<br>  |
|  65|[0x80008210]<br>0x0440000000000000|- rs2_val == 288230376151711744<br> - rs1_val == 18014398509481984<br>                                                                                                                 |[0x80000904]:c.or a0, a1<br> [0x80000906]:sd a0, 512(ra)<br>  |
|  66|[0x80008218]<br>0xFFFF7FFFFFFFFFFF|- rs2_val == 576460752303423488<br> - rs1_val == -140737488355329<br>                                                                                                                  |[0x8000091e]:c.or a0, a1<br> [0x80000920]:sd a0, 520(ra)<br>  |
|  67|[0x80008220]<br>0x1000000020000000|- rs2_val == 1152921504606846976<br> - rs1_val == 536870912<br>                                                                                                                        |[0x80000930]:c.or a0, a1<br> [0x80000932]:sd a0, 528(ra)<br>  |
|  68|[0x80008228]<br>0x2000000008000000|- rs2_val == 2305843009213693952<br> - rs1_val == 134217728<br>                                                                                                                        |[0x80000942]:c.or a0, a1<br> [0x80000944]:sd a0, 536(ra)<br>  |
|  69|[0x80008230]<br>0xFFFFFFFFFFFFFFF8|- rs2_val == 4611686018427387904<br>                                                                                                                                                   |[0x80000954]:c.or a0, a1<br> [0x80000956]:sd a0, 544(ra)<br>  |
|  70|[0x80008238]<br>0xFFFFFFFFFFFFFFFE|- rs2_val == -2<br>                                                                                                                                                                    |[0x8000097e]:c.or a0, a1<br> [0x80000980]:sd a0, 552(ra)<br>  |
|  71|[0x80008240]<br>0xFFFFFFFFFFFFFFFF|- rs2_val == -3<br> - rs1_val == -1025<br>                                                                                                                                             |[0x8000098c]:c.or a0, a1<br> [0x8000098e]:sd a0, 560(ra)<br>  |
|  72|[0x80008248]<br>0xFFFFFFFFFFFFFFFB|- rs2_val == -5<br>                                                                                                                                                                    |[0x800009b6]:c.or a0, a1<br> [0x800009b8]:sd a0, 568(ra)<br>  |
|  73|[0x80008250]<br>0xFFFFFFFFFFFFFFFF|- rs2_val == -9<br> - rs1_val == -9007199254740993<br>                                                                                                                                 |[0x800009cc]:c.or a0, a1<br> [0x800009ce]:sd a0, 576(ra)<br>  |
|  74|[0x80008258]<br>0xFFFFFFFFFFFFFFEF|- rs2_val == -17<br>                                                                                                                                                                   |[0x800009da]:c.or a0, a1<br> [0x800009dc]:sd a0, 584(ra)<br>  |
|  75|[0x80008260]<br>0xFFFFFFFFFFFFFFDF|- rs2_val == -33<br> - rs1_val == 281474976710656<br>                                                                                                                                  |[0x800009ec]:c.or a0, a1<br> [0x800009ee]:sd a0, 592(ra)<br>  |
|  76|[0x80008268]<br>0xFFFFFFFFFFFFFFBF|- rs2_val == -65<br>                                                                                                                                                                   |[0x800009fa]:c.or a0, a1<br> [0x800009fc]:sd a0, 600(ra)<br>  |
|  77|[0x80008270]<br>0xFFFFFFFFFFFFFFFF|- rs2_val == -257<br>                                                                                                                                                                  |[0x80000a08]:c.or a0, a1<br> [0x80000a0a]:sd a0, 608(ra)<br>  |
|  78|[0x80008278]<br>0xFFFFFFFFFFFFFDFF|- rs2_val == -513<br> - rs1_val == 4503599627370496<br>                                                                                                                                |[0x80000a1a]:c.or a0, a1<br> [0x80000a1c]:sd a0, 616(ra)<br>  |
|  79|[0x80008280]<br>0xFFFFFFFFFFFFFBFF|- rs2_val == -1025<br> - rs1_val == 288230376151711744<br>                                                                                                                             |[0x80000a2c]:c.or a0, a1<br> [0x80000a2e]:sd a0, 624(ra)<br>  |
|  80|[0x80008288]<br>0xFFFFFFFFFFFFFFFF|- rs2_val == -2049<br>                                                                                                                                                                 |[0x80000a46]:c.or a0, a1<br> [0x80000a48]:sd a0, 632(ra)<br>  |
|  81|[0x80008290]<br>0xFFFFFFFFFFFFEFFF|- rs2_val == -4097<br>                                                                                                                                                                 |[0x80000a58]:c.or a0, a1<br> [0x80000a5a]:sd a0, 640(ra)<br>  |
|  82|[0x80008298]<br>0xFFFFFFFFFFFFDFFF|- rs2_val == -8193<br>                                                                                                                                                                 |[0x80000a6a]:c.or a0, a1<br> [0x80000a6c]:sd a0, 648(ra)<br>  |
|  83|[0x800082a0]<br>0xFFFFFFFFFFFFBFFF|- rs2_val == -16385<br> - rs1_val == 32<br>                                                                                                                                            |[0x80000a7c]:c.or a0, a1<br> [0x80000a7e]:sd a0, 656(ra)<br>  |
|  84|[0x800082a8]<br>0xFFFFFFFFFFFFFFFF|- rs2_val == -32769<br>                                                                                                                                                                |[0x80000a96]:c.or a0, a1<br> [0x80000a98]:sd a0, 664(ra)<br>  |
|  85|[0x800082b0]<br>0xFFFFFFFFFFFEFFFF|- rs2_val == -65537<br>                                                                                                                                                                |[0x80000aa8]:c.or a0, a1<br> [0x80000aaa]:sd a0, 672(ra)<br>  |
|  86|[0x800082b8]<br>0xFFFFFFFFFFFFFFFF|- rs2_val == -262145<br> - rs1_val == -3<br>                                                                                                                                           |[0x80000aba]:c.or a0, a1<br> [0x80000abc]:sd a0, 680(ra)<br>  |
|  87|[0x800082c0]<br>0xFFFFFFFFFFF7FFFF|- rs2_val == -524289<br>                                                                                                                                                               |[0x80000ae8]:c.or a0, a1<br> [0x80000aea]:sd a0, 688(ra)<br>  |
|  88|[0x800082c8]<br>0xFFFFFFFFFFEFFFFF|- rs2_val == -1048577<br>                                                                                                                                                              |[0x80000afe]:c.or a0, a1<br> [0x80000b00]:sd a0, 696(ra)<br>  |
|  89|[0x800082d0]<br>0xFFFFFFFFFFDFFFFF|- rs2_val == -2097153<br> - rs1_val == 4194304<br>                                                                                                                                     |[0x80000b10]:c.or a0, a1<br> [0x80000b12]:sd a0, 704(ra)<br>  |
|  90|[0x800082d8]<br>0xFFFFFFFFFFBFFFFF|- rs2_val == -4194305<br>                                                                                                                                                              |[0x80000b26]:c.or a0, a1<br> [0x80000b28]:sd a0, 712(ra)<br>  |
|  91|[0x800082e0]<br>0xFFFFFFFFFF7FFFFF|- rs2_val == -8388609<br> - rs1_val == 6148914691236517205<br>                                                                                                                         |[0x80000b54]:c.or a0, a1<br> [0x80000b56]:sd a0, 720(ra)<br>  |
|  92|[0x800082e8]<br>0xFFFFFFFFFEFFFFFF|- rs2_val == -16777217<br>                                                                                                                                                             |[0x80000b66]:c.or a0, a1<br> [0x80000b68]:sd a0, 728(ra)<br>  |
|  93|[0x800082f0]<br>0xFFFFFFFFFDFFFFFF|- rs2_val == -33554433<br>                                                                                                                                                             |[0x80000b78]:c.or a0, a1<br> [0x80000b7a]:sd a0, 736(ra)<br>  |
|  94|[0x800082f8]<br>0xFFFFFFFFFBFFFFFF|- rs2_val == -67108865<br>                                                                                                                                                             |[0x80000b96]:c.or a0, a1<br> [0x80000b98]:sd a0, 744(ra)<br>  |
|  95|[0x80008300]<br>0xFFFFFFFFF7FFFFFF|- rs2_val == -134217729<br>                                                                                                                                                            |[0x80000ba8]:c.or a0, a1<br> [0x80000baa]:sd a0, 752(ra)<br>  |
|  96|[0x80008308]<br>0xFFFFFFFFEFFFFFFF|- rs2_val == -268435457<br> - rs1_val == 1048576<br>                                                                                                                                   |[0x80000bba]:c.or a0, a1<br> [0x80000bbc]:sd a0, 760(ra)<br>  |
|  97|[0x80008310]<br>0xFFFFFFFFDFFFFFFF|- rs2_val == -536870913<br>                                                                                                                                                            |[0x80000bcc]:c.or a0, a1<br> [0x80000bce]:sd a0, 768(ra)<br>  |
|  98|[0x80008318]<br>0xFFFFFFFFBFFFFFFF|- rs2_val == -1073741825<br> - rs1_val == -6148914691236517206<br>                                                                                                                     |[0x80000bfa]:c.or a0, a1<br> [0x80000bfc]:sd a0, 776(ra)<br>  |
|  99|[0x80008320]<br>0xFFFFFFFF7FFFFFFF|- rs2_val == -2147483649<br> - rs1_val == 65536<br>                                                                                                                                    |[0x80000c10]:c.or a0, a1<br> [0x80000c12]:sd a0, 784(ra)<br>  |
| 100|[0x80008328]<br>0xFFFFFFFFFFFFFFFF|- rs2_val == -4294967297<br> - rs1_val == -17592186044417<br>                                                                                                                          |[0x80000c2e]:c.or a0, a1<br> [0x80000c30]:sd a0, 792(ra)<br>  |
| 101|[0x80008330]<br>0xFFFFFFFDFFFFFFFF|- rs2_val == -8589934593<br>                                                                                                                                                           |[0x80000c44]:c.or a0, a1<br> [0x80000c46]:sd a0, 800(ra)<br>  |
| 102|[0x80008338]<br>0xFFFFFFFBFFFFFFFF|- rs2_val == -17179869185<br>                                                                                                                                                          |[0x80000c5e]:c.or a0, a1<br> [0x80000c60]:sd a0, 808(ra)<br>  |
| 103|[0x80008340]<br>0xFFFFFFF7FFFFFFFF|- rs2_val == -34359738369<br>                                                                                                                                                          |[0x80000c90]:c.or a0, a1<br> [0x80000c92]:sd a0, 816(ra)<br>  |
| 104|[0x80008348]<br>0xFFFFFFEFFFFFFFFF|- rs2_val == -68719476737<br>                                                                                                                                                          |[0x80000caa]:c.or a0, a1<br> [0x80000cac]:sd a0, 824(ra)<br>  |
| 105|[0x80008350]<br>0xFFFFFFDFFFFFFFFF|- rs2_val == -137438953473<br>                                                                                                                                                         |[0x80000cc4]:c.or a0, a1<br> [0x80000cc6]:sd a0, 832(ra)<br>  |
| 106|[0x80008358]<br>0xFFFFFFBFFFFFFFFF|- rs2_val == -274877906945<br>                                                                                                                                                         |[0x80000cda]:c.or a0, a1<br> [0x80000cdc]:sd a0, 840(ra)<br>  |
| 107|[0x80008360]<br>0xFFFFFFFFFFFFFFFF|- rs2_val == -549755813889<br>                                                                                                                                                         |[0x80000cf8]:c.or a0, a1<br> [0x80000cfa]:sd a0, 848(ra)<br>  |
| 108|[0x80008368]<br>0xFFFFFEFFFFFFFFFF|- rs2_val == -1099511627777<br>                                                                                                                                                        |[0x80000d2a]:c.or a0, a1<br> [0x80000d2c]:sd a0, 856(ra)<br>  |
| 109|[0x80008370]<br>0xFFFFFDFFFFFFFFFF|- rs2_val == -2199023255553<br>                                                                                                                                                        |[0x80000d5c]:c.or a0, a1<br> [0x80000d5e]:sd a0, 864(ra)<br>  |
| 110|[0x80008378]<br>0xFFFFFBFFFFFFFFFF|- rs2_val == -4398046511105<br>                                                                                                                                                        |[0x80000d76]:c.or a0, a1<br> [0x80000d78]:sd a0, 872(ra)<br>  |
| 111|[0x80008380]<br>0xFFFFFFFFFFFFFFFF|- rs2_val == -8796093022209<br> - rs1_val == -16777217<br>                                                                                                                             |[0x80000d90]:c.or a0, a1<br> [0x80000d92]:sd a0, 880(ra)<br>  |
| 112|[0x80008388]<br>0xFFFFFFFFFFFFFFFF|- rs2_val == -17592186044417<br>                                                                                                                                                       |[0x80000db2]:c.or a0, a1<br> [0x80000db4]:sd a0, 888(ra)<br>  |
| 113|[0x80008390]<br>0xFFFFFFFFFFFFFFFF|- rs2_val == -35184372088833<br> - rs1_val == -1125899906842625<br>                                                                                                                    |[0x80000dd0]:c.or a0, a1<br> [0x80000dd2]:sd a0, 896(ra)<br>  |
| 114|[0x80008398]<br>0xFFFFFFFFFFFFFFFF|- rs2_val == -70368744177665<br>                                                                                                                                                       |[0x80000dee]:c.or a0, a1<br> [0x80000df0]:sd a0, 904(ra)<br>  |
| 115|[0x800083a0]<br>0xFFFF7FFFFFFFFFFF|- rs2_val == -140737488355329<br> - rs1_val == 2097152<br>                                                                                                                             |[0x80000e04]:c.or a0, a1<br> [0x80000e06]:sd a0, 912(ra)<br>  |
| 116|[0x800083a8]<br>0xFFFFFFFFFFFFFFFF|- rs2_val == -281474976710657<br> - rs1_val == -5<br>                                                                                                                                  |[0x80000e1a]:c.or a0, a1<br> [0x80000e1c]:sd a0, 920(ra)<br>  |
| 117|[0x800083b0]<br>0xFFFFFFFFFFFFFFFF|- rs2_val == -562949953421313<br>                                                                                                                                                      |[0x80000e30]:c.or a0, a1<br> [0x80000e32]:sd a0, 928(ra)<br>  |
| 118|[0x800083b8]<br>0xFFFFFFFFFFFFFFFF|- rs2_val == -1125899906842625<br> - rs1_val == -134217729<br>                                                                                                                         |[0x80000e4a]:c.or a0, a1<br> [0x80000e4c]:sd a0, 936(ra)<br>  |
| 119|[0x800083c0]<br>0xFFFFFFFFFFFFFFFF|- rs2_val == -2251799813685249<br>                                                                                                                                                     |[0x80000e64]:c.or a0, a1<br> [0x80000e66]:sd a0, 944(ra)<br>  |
| 120|[0x800083c8]<br>0xFFEFFFFFFFFFFFFF|- rs2_val == -4503599627370497<br> - rs1_val == 562949953421312<br>                                                                                                                    |[0x80000e7e]:c.or a0, a1<br> [0x80000e80]:sd a0, 952(ra)<br>  |
| 121|[0x800083d0]<br>0xFFDFFFFFFFFFFFFF|- rs2_val == -9007199254740993<br> - rs1_val == 1125899906842624<br>                                                                                                                   |[0x80000e98]:c.or a0, a1<br> [0x80000e9a]:sd a0, 960(ra)<br>  |
| 122|[0x800083d8]<br>0xFFFFFFFFFFFFFFFF|- rs2_val == -18014398509481985<br>                                                                                                                                                    |[0x80000eb2]:c.or a0, a1<br> [0x80000eb4]:sd a0, 968(ra)<br>  |
| 123|[0x800083e0]<br>0xFFFFFFFFFFFFFFFF|- rs2_val == -36028797018963969<br> - rs1_val == -4194305<br>                                                                                                                          |[0x80000ecc]:c.or a0, a1<br> [0x80000ece]:sd a0, 976(ra)<br>  |
| 124|[0x800083e8]<br>0xFDFFFFFFFFFFFFFF|- rs2_val == -144115188075855873<br>                                                                                                                                                   |[0x80000eee]:c.or a0, a1<br> [0x80000ef0]:sd a0, 984(ra)<br>  |
| 125|[0x800083f0]<br>0xFBFFFFFFFFFFFFFF|- rs2_val == -288230376151711745<br>                                                                                                                                                   |[0x80000f04]:c.or a0, a1<br> [0x80000f06]:sd a0, 992(ra)<br>  |
| 126|[0x800083f8]<br>0xF7FFFFFFFFFFFFFF|- rs2_val == -576460752303423489<br> - rs1_val == 32768<br>                                                                                                                            |[0x80000f1a]:c.or a0, a1<br> [0x80000f1c]:sd a0, 1000(ra)<br> |
| 127|[0x80008400]<br>0xEFFFFFFFFFFFFFFF|- rs2_val == -1152921504606846977<br>                                                                                                                                                  |[0x80000f30]:c.or a0, a1<br> [0x80000f32]:sd a0, 1008(ra)<br> |
| 128|[0x80008408]<br>0xDFFFFFFFFFFFFFFF|- rs2_val == -2305843009213693953<br>                                                                                                                                                  |[0x80000f46]:c.or a0, a1<br> [0x80000f48]:sd a0, 1016(ra)<br> |
| 129|[0x80008410]<br>0xBFFFFFFFFFFFFFFF|- rs2_val == -4611686018427387905<br>                                                                                                                                                  |[0x80000f60]:c.or a0, a1<br> [0x80000f62]:sd a0, 1024(ra)<br> |
| 130|[0x80008418]<br>0x5555555555555557|- rs2_val == 6148914691236517205<br> - rs1_val==3 and rs2_val==6148914691236517205<br>                                                                                                 |[0x80000f8a]:c.or a0, a1<br> [0x80000f8c]:sd a0, 1032(ra)<br> |
| 131|[0x80008420]<br>0xEEEEEEEEEEEEEEEE|- rs2_val == -6148914691236517206<br> - rs1_val==7378697629483820646 and rs2_val==-6148914691236517206<br>                                                                             |[0x80000fd0]:c.or a0, a1<br> [0x80000fd2]:sd a0, 1040(ra)<br> |
| 132|[0x80008428]<br>0xF7FFFFFFFFFFFFFF|- rs1_val == 128<br>                                                                                                                                                                   |[0x80000fe6]:c.or a0, a1<br> [0x80000fe8]:sd a0, 1048(ra)<br> |
| 133|[0x80008430]<br>0xFFFFFFFFFFFDFFFF|- rs1_val == 512<br>                                                                                                                                                                   |[0x80000ff8]:c.or a0, a1<br> [0x80000ffa]:sd a0, 1056(ra)<br> |
| 134|[0x80008438]<br>0x0000000000000800|- rs2_val == 0<br> - rs1_val == 2048<br>                                                                                                                                               |[0x8000100a]:c.or a0, a1<br> [0x8000100c]:sd a0, 1064(ra)<br> |
| 135|[0x80008440]<br>0xFFFFFFFFFFFEFFFF|- rs1_val == 4096<br>                                                                                                                                                                  |[0x8000101c]:c.or a0, a1<br> [0x8000101e]:sd a0, 1072(ra)<br> |
| 136|[0x80008448]<br>0xFFFFF7FFFFFFFFFF|- rs1_val == 8192<br>                                                                                                                                                                  |[0x80001032]:c.or a0, a1<br> [0x80001034]:sd a0, 1080(ra)<br> |
| 137|[0x80008450]<br>0xFFFFFFFFDFFFFFFF|- rs1_val == 16384<br>                                                                                                                                                                 |[0x80001044]:c.or a0, a1<br> [0x80001046]:sd a0, 1088(ra)<br> |
| 138|[0x80008458]<br>0x0000000000040000|- rs1_val == 262144<br>                                                                                                                                                                |[0x80001052]:c.or a0, a1<br> [0x80001054]:sd a0, 1096(ra)<br> |
| 139|[0x80008460]<br>0xFFFFFFFFFEFFFFFF|- rs1_val == 524288<br>                                                                                                                                                                |[0x80001064]:c.or a0, a1<br> [0x80001066]:sd a0, 1104(ra)<br> |
| 140|[0x80008468]<br>0xFFFFFFFFFFDFFFFF|- rs1_val == 67108864<br>                                                                                                                                                              |[0x80001076]:c.or a0, a1<br> [0x80001078]:sd a0, 1112(ra)<br> |
| 141|[0x80008470]<br>0xFFFFFFFF7FFFFFFF|- rs1_val == 268435456<br>                                                                                                                                                             |[0x8000108c]:c.or a0, a1<br> [0x8000108e]:sd a0, 1120(ra)<br> |
| 142|[0x80008478]<br>0x00000000A0000000|- rs1_val == 2147483648<br>                                                                                                                                                            |[0x8000109e]:c.or a0, a1<br> [0x800010a0]:sd a0, 1128(ra)<br> |
| 143|[0x80008480]<br>0x0000000100000008|- rs1_val == 4294967296<br>                                                                                                                                                            |[0x800010b0]:c.or a0, a1<br> [0x800010b2]:sd a0, 1136(ra)<br> |
| 144|[0x80008488]<br>0x0000000200004000|- rs1_val == 8589934592<br>                                                                                                                                                            |[0x800010c2]:c.or a0, a1<br> [0x800010c4]:sd a0, 1144(ra)<br> |
| 145|[0x80008490]<br>0xFFFFFFFFFFF7FFFF|- rs1_val == 17179869184<br>                                                                                                                                                           |[0x800010d8]:c.or a0, a1<br> [0x800010da]:sd a0, 1152(ra)<br> |
| 146|[0x80008498]<br>0xDFFFFFFFFFFFFFFF|- rs1_val == 137438953472<br>                                                                                                                                                          |[0x800010f2]:c.or a0, a1<br> [0x800010f4]:sd a0, 1160(ra)<br> |
| 147|[0x800084a0]<br>0xFFFFFEFFFFFFFFFF|- rs1_val == 274877906944<br>                                                                                                                                                          |[0x8000110c]:c.or a0, a1<br> [0x8000110e]:sd a0, 1168(ra)<br> |
| 148|[0x800084a8]<br>0x0000008000000003|- rs1_val == 549755813888<br>                                                                                                                                                          |[0x8000111e]:c.or a0, a1<br> [0x80001120]:sd a0, 1176(ra)<br> |
| 149|[0x800084b0]<br>0x0004010000000000|- rs1_val == 1099511627776<br>                                                                                                                                                         |[0x80001134]:c.or a0, a1<br> [0x80001136]:sd a0, 1184(ra)<br> |
| 150|[0x800084b8]<br>0x6666666666666666|- rs1_val == 4398046511104<br>                                                                                                                                                         |[0x80001162]:c.or a0, a1<br> [0x80001164]:sd a0, 1192(ra)<br> |
| 151|[0x800084c0]<br>0x0000080000000008|- rs1_val == 8796093022208<br>                                                                                                                                                         |[0x80001174]:c.or a0, a1<br> [0x80001176]:sd a0, 1200(ra)<br> |
| 152|[0x800084c8]<br>0x0000100000000002|- rs1_val == 17592186044416<br>                                                                                                                                                        |[0x80001186]:c.or a0, a1<br> [0x80001188]:sd a0, 1208(ra)<br> |
| 153|[0x800084d0]<br>0x1000200000000000|- rs1_val == 35184372088832<br>                                                                                                                                                        |[0x8000119c]:c.or a0, a1<br> [0x8000119e]:sd a0, 1216(ra)<br> |
| 154|[0x800084d8]<br>0x00004000B504F334|- rs1_val == 70368744177664<br>                                                                                                                                                        |[0x800011ba]:c.or a0, a1<br> [0x800011bc]:sd a0, 1224(ra)<br> |
| 155|[0x800084e0]<br>0x0008800000000000|- rs1_val == 140737488355328<br>                                                                                                                                                       |[0x800011d0]:c.or a0, a1<br> [0x800011d2]:sd a0, 1232(ra)<br> |
| 156|[0x800084e8]<br>0xFFFFFFFFFFEFFFFF|- rs1_val == 9007199254740992<br>                                                                                                                                                      |[0x800011e6]:c.or a0, a1<br> [0x800011e8]:sd a0, 1240(ra)<br> |
| 157|[0x800084f0]<br>0xFFDFFFFFFFFFFFFF|- rs1_val == 36028797018963968<br>                                                                                                                                                     |[0x80001200]:c.or a0, a1<br> [0x80001202]:sd a0, 1248(ra)<br> |
| 158|[0x800084f8]<br>0xFFFFFFFFFFFFFFFF|- rs1_val == 144115188075855872<br>                                                                                                                                                    |[0x80001212]:c.or a0, a1<br> [0x80001214]:sd a0, 1256(ra)<br> |
| 159|[0x80008500]<br>0x0800000040000000|- rs1_val == 576460752303423488<br>                                                                                                                                                    |[0x80001224]:c.or a0, a1<br> [0x80001226]:sd a0, 1264(ra)<br> |
| 160|[0x80008508]<br>0x2000000000100000|- rs1_val == 2305843009213693952<br>                                                                                                                                                   |[0x80001236]:c.or a0, a1<br> [0x80001238]:sd a0, 1272(ra)<br> |
| 161|[0x80008510]<br>0x4000008000000000|- rs1_val == 4611686018427387904<br>                                                                                                                                                   |[0x8000124c]:c.or a0, a1<br> [0x8000124e]:sd a0, 1280(ra)<br> |
| 162|[0x80008518]<br>0xFFFFFFFFFFFFFFFE|- rs1_val == -2<br>                                                                                                                                                                    |[0x8000125a]:c.or a0, a1<br> [0x8000125c]:sd a0, 1288(ra)<br> |
| 163|[0x80008520]<br>0xFFFFFFFFFFFFFFFF|- rs1_val == -9<br>                                                                                                                                                                    |[0x8000126c]:c.or a0, a1<br> [0x8000126e]:sd a0, 1296(ra)<br> |
| 164|[0x80008528]<br>0xFFFFFFFFFFFFFFFF|- rs1_val == -17<br>                                                                                                                                                                   |[0x8000127e]:c.or a0, a1<br> [0x80001280]:sd a0, 1304(ra)<br> |
| 165|[0x80008530]<br>0xFFFFFFFFFFFFFFDF|- rs1_val == -33<br>                                                                                                                                                                   |[0x8000128c]:c.or a0, a1<br> [0x8000128e]:sd a0, 1312(ra)<br> |
| 166|[0x80008538]<br>0xFFFFFFFFFFFFFFFF|- rs1_val == -129<br>                                                                                                                                                                  |[0x8000129a]:c.or a0, a1<br> [0x8000129c]:sd a0, 1320(ra)<br> |
| 167|[0x80008540]<br>0xFFFFFFFFFFFFFFFF|- rs1_val == -257<br>                                                                                                                                                                  |[0x800012b0]:c.or a0, a1<br> [0x800012b2]:sd a0, 1328(ra)<br> |
| 168|[0x80008548]<br>0xFFFFFFFFFFFFFFFF|- rs1_val == -513<br>                                                                                                                                                                  |[0x800012be]:c.or a0, a1<br> [0x800012c0]:sd a0, 1336(ra)<br> |
| 169|[0x80008550]<br>0xFFFFFFFFFFFFF7FF|- rs1_val == -2049<br>                                                                                                                                                                 |[0x800012d0]:c.or a0, a1<br> [0x800012d2]:sd a0, 1344(ra)<br> |
| 170|[0x80008558]<br>0xFFFFFFFFFFFFEFFF|- rs1_val == -4097<br>                                                                                                                                                                 |[0x800012e2]:c.or a0, a1<br> [0x800012e4]:sd a0, 1352(ra)<br> |
| 171|[0x80008560]<br>0xFFFFFFFFFFFFDFFF|- rs1_val == -8193<br>                                                                                                                                                                 |[0x800012f4]:c.or a0, a1<br> [0x800012f6]:sd a0, 1360(ra)<br> |
| 172|[0x80008568]<br>0xFFFFFFFFFFFFFFFF|- rs1_val == -16385<br>                                                                                                                                                                |[0x80001312]:c.or a0, a1<br> [0x80001314]:sd a0, 1368(ra)<br> |
| 173|[0x80008570]<br>0xFFFFFFFFFFFFFFFF|- rs1_val == -65537<br>                                                                                                                                                                |[0x8000132c]:c.or a0, a1<br> [0x8000132e]:sd a0, 1376(ra)<br> |
| 174|[0x80008578]<br>0xFFFFFFFFFFF7FFFF|- rs1_val == -524289<br>                                                                                                                                                               |[0x80001342]:c.or a0, a1<br> [0x80001344]:sd a0, 1384(ra)<br> |
| 175|[0x80008580]<br>0xFFFFFFFFFFDFFFFF|- rs1_val == -2097153<br>                                                                                                                                                              |[0x80001360]:c.or a0, a1<br> [0x80001362]:sd a0, 1392(ra)<br> |
| 176|[0x80008588]<br>0xFFFFFFFFBFFFFFFF|- rs1_val == -1073741825<br>                                                                                                                                                           |[0x80001372]:c.or a0, a1<br> [0x80001374]:sd a0, 1400(ra)<br> |
| 177|[0x80008590]<br>0xFFFFFFFF7FFFFFFF|- rs1_val == -2147483649<br>                                                                                                                                                           |[0x80001388]:c.or a0, a1<br> [0x8000138a]:sd a0, 1408(ra)<br> |
| 178|[0x80008598]<br>0xFFFFFFFFFFFFFFFF|- rs1_val == -4294967297<br>                                                                                                                                                           |[0x8000139e]:c.or a0, a1<br> [0x800013a0]:sd a0, 1416(ra)<br> |
| 179|[0x800085a0]<br>0xFFFFFFFFFFFFFFFF|- rs1_val == -8589934593<br>                                                                                                                                                           |[0x800013b8]:c.or a0, a1<br> [0x800013ba]:sd a0, 1424(ra)<br> |
| 180|[0x800085a8]<br>0xFFFFFFFBFFFFFFFF|- rs1_val == -17179869185<br>                                                                                                                                                          |[0x800013d2]:c.or a0, a1<br> [0x800013d4]:sd a0, 1432(ra)<br> |
| 181|[0x800085b0]<br>0xFFFFFFFFFFFFFFFF|- rs1_val == -68719476737<br>                                                                                                                                                          |[0x800013f0]:c.or a0, a1<br> [0x800013f2]:sd a0, 1440(ra)<br> |
| 182|[0x800085b8]<br>0xFFFFFFFFFFFFFFFF|- rs1_val == -137438953473<br>                                                                                                                                                         |[0x80001406]:c.or a0, a1<br> [0x80001408]:sd a0, 1448(ra)<br> |
| 183|[0x800085c0]<br>0xFFFFFEFFFFFFFFFF|- rs1_val == -1099511627777<br>                                                                                                                                                        |[0x8000141c]:c.or a0, a1<br> [0x8000141e]:sd a0, 1456(ra)<br> |
| 184|[0x800085c8]<br>0xFFFFFFFFFFFFFFFF|- rs1_val == -2199023255553<br>                                                                                                                                                        |[0x8000143a]:c.or a0, a1<br> [0x8000143c]:sd a0, 1464(ra)<br> |
| 185|[0x800085d0]<br>0xFFFFFBFFFFFFFFFF|- rs1_val == -4398046511105<br>                                                                                                                                                        |[0x80001450]:c.or a0, a1<br> [0x80001452]:sd a0, 1472(ra)<br> |
| 186|[0x800085d8]<br>0xFFFFFFFFFFFFFFFF|- rs1_val == -8796093022209<br>                                                                                                                                                        |[0x8000146a]:c.or a0, a1<br> [0x8000146c]:sd a0, 1480(ra)<br> |
| 187|[0x800085e0]<br>0xFFFFFFFFFFFFFFFF|- rs1_val == -35184372088833<br>                                                                                                                                                       |[0x80001488]:c.or a0, a1<br> [0x8000148a]:sd a0, 1488(ra)<br> |
| 188|[0x800085e8]<br>0xFFFFFFFFFFFFFFFF|- rs1_val == -281474976710657<br>                                                                                                                                                      |[0x800014aa]:c.or a0, a1<br> [0x800014ac]:sd a0, 1496(ra)<br> |
| 189|[0x800085f0]<br>0xFFFFFFFFFFFFFFFF|- rs1_val == -2251799813685249<br>                                                                                                                                                     |[0x800014c4]:c.or a0, a1<br> [0x800014c6]:sd a0, 1504(ra)<br> |
| 190|[0x800085f8]<br>0xFFFFFFFFFFFFFFFF|- rs1_val == -4503599627370497<br>                                                                                                                                                     |[0x800014da]:c.or a0, a1<br> [0x800014dc]:sd a0, 1512(ra)<br> |
| 191|[0x80008600]<br>0xFFFFFFFFFFFFFFFF|- rs1_val == -18014398509481985<br>                                                                                                                                                    |[0x800014f0]:c.or a0, a1<br> [0x800014f2]:sd a0, 1520(ra)<br> |
| 192|[0x80008608]<br>0xFF7FFFFFFFFFFFFF|- rs1_val == -36028797018963969<br>                                                                                                                                                    |[0x8000150a]:c.or a0, a1<br> [0x8000150c]:sd a0, 1528(ra)<br> |
| 193|[0x80008610]<br>0xFEFFFFFFFFFFFFFF|- rs1_val == -72057594037927937<br>                                                                                                                                                    |[0x80001520]:c.or a0, a1<br> [0x80001522]:sd a0, 1536(ra)<br> |
| 194|[0x80008618]<br>0xFFFFFFFFFFFFFFFF|- rs1_val == -288230376151711745<br>                                                                                                                                                   |[0x80001552]:c.or a0, a1<br> [0x80001554]:sd a0, 1544(ra)<br> |
| 195|[0x80008620]<br>0xFFFFFFFFFFFFFFFF|- rs1_val == -576460752303423489<br>                                                                                                                                                   |[0x8000156c]:c.or a0, a1<br> [0x8000156e]:sd a0, 1552(ra)<br> |
| 196|[0x80008628]<br>0xDFFFFFFFFFFFFFFF|- rs1_val == -2305843009213693953<br>                                                                                                                                                  |[0x80001586]:c.or a0, a1<br> [0x80001588]:sd a0, 1560(ra)<br> |
| 197|[0x80008630]<br>0xFFFFFFFFFFFFFFFF|- rs1_val == -4611686018427387905<br>                                                                                                                                                  |[0x8000159c]:c.or a0, a1<br> [0x8000159e]:sd a0, 1568(ra)<br> |
| 198|[0x80008638]<br>0x0000000000000003|- rs1_val==3 and rs2_val==3<br>                                                                                                                                                        |[0x800015aa]:c.or a0, a1<br> [0x800015ac]:sd a0, 1576(ra)<br> |
| 199|[0x80008640]<br>0xAAAAAAAAAAAAAAAB|- rs1_val==3 and rs2_val==-6148914691236517206<br>                                                                                                                                     |[0x800015d4]:c.or a0, a1<br> [0x800015d6]:sd a0, 1584(ra)<br> |
| 200|[0x80008648]<br>0x0000000000000007|- rs1_val==3 and rs2_val==5<br>                                                                                                                                                        |[0x800015e2]:c.or a0, a1<br> [0x800015e4]:sd a0, 1592(ra)<br> |
| 201|[0x80008650]<br>0x3333333333333333|- rs1_val==3 and rs2_val==3689348814741910323<br>                                                                                                                                      |[0x8000160c]:c.or a0, a1<br> [0x8000160e]:sd a0, 1600(ra)<br> |
| 202|[0x80008658]<br>0x6666666666666667|- rs1_val==3 and rs2_val==7378697629483820646<br>                                                                                                                                      |[0x80001636]:c.or a0, a1<br> [0x80001638]:sd a0, 1608(ra)<br> |
| 203|[0x80008660]<br>0xFFFFFFFF4AFB0CCF|- rs1_val==3 and rs2_val==-3037000499<br>                                                                                                                                              |[0x80001650]:c.or a0, a1<br> [0x80001652]:sd a0, 1616(ra)<br> |
| 204|[0x80008668]<br>0x00000000B504F333|- rs1_val==3 and rs2_val==3037000499<br>                                                                                                                                               |[0x8000166a]:c.or a0, a1<br> [0x8000166c]:sd a0, 1624(ra)<br> |
| 205|[0x80008670]<br>0x0000000000000003|- rs1_val==3 and rs2_val==2<br>                                                                                                                                                        |[0x80001678]:c.or a0, a1<br> [0x8000167a]:sd a0, 1632(ra)<br> |
| 206|[0x80008678]<br>0x5555555555555557|- rs1_val==3 and rs2_val==6148914691236517204<br>                                                                                                                                      |[0x800016a2]:c.or a0, a1<br> [0x800016a4]:sd a0, 1640(ra)<br> |
| 207|[0x80008680]<br>0x0000000000000003|- rs1_val==3 and rs2_val==0<br>                                                                                                                                                        |[0x800016b0]:c.or a0, a1<br> [0x800016b2]:sd a0, 1648(ra)<br> |
| 208|[0x80008688]<br>0x0000000000000007|- rs1_val==3 and rs2_val==4<br>                                                                                                                                                        |[0x800016be]:c.or a0, a1<br> [0x800016c0]:sd a0, 1656(ra)<br> |
| 209|[0x80008690]<br>0x3333333333333333|- rs1_val==3 and rs2_val==3689348814741910322<br>                                                                                                                                      |[0x800016e8]:c.or a0, a1<br> [0x800016ea]:sd a0, 1664(ra)<br> |
| 210|[0x80008698]<br>0x6666666666666667|- rs1_val==3 and rs2_val==7378697629483820645<br>                                                                                                                                      |[0x80001712]:c.or a0, a1<br> [0x80001714]:sd a0, 1672(ra)<br> |
| 211|[0x800086a0]<br>0x00000000B504F333|- rs1_val==3 and rs2_val==3037000498<br>                                                                                                                                               |[0x8000172c]:c.or a0, a1<br> [0x8000172e]:sd a0, 1680(ra)<br> |
| 212|[0x800086a8]<br>0x5555555555555557|- rs1_val==3 and rs2_val==6148914691236517206<br>                                                                                                                                      |[0x80001756]:c.or a0, a1<br> [0x80001758]:sd a0, 1688(ra)<br> |
| 213|[0x800086b0]<br>0xAAAAAAAAAAAAAAAB|- rs1_val==3 and rs2_val==-6148914691236517205<br>                                                                                                                                     |[0x80001780]:c.or a0, a1<br> [0x80001782]:sd a0, 1696(ra)<br> |
| 214|[0x800086b8]<br>0x0000000000000007|- rs1_val==3 and rs2_val==6<br>                                                                                                                                                        |[0x8000178e]:c.or a0, a1<br> [0x80001790]:sd a0, 1704(ra)<br> |
| 215|[0x800086c0]<br>0x3333333333333337|- rs1_val==3 and rs2_val==3689348814741910324<br>                                                                                                                                      |[0x800017b8]:c.or a0, a1<br> [0x800017ba]:sd a0, 1712(ra)<br> |
| 216|[0x800086c8]<br>0x6666666666666667|- rs1_val==3 and rs2_val==7378697629483820647<br>                                                                                                                                      |[0x800017e2]:c.or a0, a1<br> [0x800017e4]:sd a0, 1720(ra)<br> |
| 217|[0x800086d0]<br>0xFFFFFFFF4AFB0CCF|- rs1_val==3 and rs2_val==-3037000498<br>                                                                                                                                              |[0x800017fc]:c.or a0, a1<br> [0x800017fe]:sd a0, 1728(ra)<br> |
| 218|[0x800086d8]<br>0x00000000B504F337|- rs1_val==3 and rs2_val==3037000500<br>                                                                                                                                               |[0x80001816]:c.or a0, a1<br> [0x80001818]:sd a0, 1736(ra)<br> |
| 219|[0x800086e0]<br>0x5555555555555557|- rs1_val==6148914691236517205 and rs2_val==3<br>                                                                                                                                      |[0x80001840]:c.or a0, a1<br> [0x80001842]:sd a0, 1744(ra)<br> |
| 220|[0x800086e8]<br>0x5555555555555555|- rs1_val==6148914691236517205 and rs2_val==6148914691236517205<br>                                                                                                                    |[0x80001886]:c.or a0, a1<br> [0x80001888]:sd a0, 1752(ra)<br> |
| 221|[0x800086f0]<br>0xFFFFFFFFFFFFFFFF|- rs1_val==6148914691236517205 and rs2_val==-6148914691236517206<br>                                                                                                                   |[0x800018cc]:c.or a0, a1<br> [0x800018ce]:sd a0, 1760(ra)<br> |
| 222|[0x800086f8]<br>0x5555555555555555|- rs1_val==6148914691236517205 and rs2_val==5<br>                                                                                                                                      |[0x800018f6]:c.or a0, a1<br> [0x800018f8]:sd a0, 1768(ra)<br> |
| 223|[0x80008700]<br>0x7777777777777777|- rs1_val==6148914691236517205 and rs2_val==3689348814741910323<br>                                                                                                                    |[0x8000193c]:c.or a0, a1<br> [0x8000193e]:sd a0, 1776(ra)<br> |
| 224|[0x80008708]<br>0x7777777777777777|- rs1_val==6148914691236517205 and rs2_val==7378697629483820646<br>                                                                                                                    |[0x80001982]:c.or a0, a1<br> [0x80001984]:sd a0, 1784(ra)<br> |
| 225|[0x80008710]<br>0xFFFFFFFF5FFF5DDD|- rs1_val==6148914691236517205 and rs2_val==-3037000499<br>                                                                                                                            |[0x800019b8]:c.or a0, a1<br> [0x800019ba]:sd a0, 1792(ra)<br> |
| 226|[0x80008718]<br>0x55555555F555F777|- rs1_val==6148914691236517205 and rs2_val==3037000499<br>                                                                                                                             |[0x800019ee]:c.or a0, a1<br> [0x800019f0]:sd a0, 1800(ra)<br> |
| 227|[0x80008720]<br>0x5555555555555557|- rs1_val==6148914691236517205 and rs2_val==2<br>                                                                                                                                      |[0x80001a18]:c.or a0, a1<br> [0x80001a1a]:sd a0, 1808(ra)<br> |
| 228|[0x80008728]<br>0x5555555555555555|- rs1_val==6148914691236517205 and rs2_val==6148914691236517204<br>                                                                                                                    |[0x80001a5e]:c.or a0, a1<br> [0x80001a60]:sd a0, 1816(ra)<br> |
| 229|[0x80008730]<br>0x5555555555555555|- rs1_val==6148914691236517205 and rs2_val==0<br>                                                                                                                                      |[0x80001a88]:c.or a0, a1<br> [0x80001a8a]:sd a0, 1824(ra)<br> |
| 230|[0x80008738]<br>0x5555555555555555|- rs1_val==6148914691236517205 and rs2_val==4<br>                                                                                                                                      |[0x80001ab2]:c.or a0, a1<br> [0x80001ab4]:sd a0, 1832(ra)<br> |
| 231|[0x80008740]<br>0x7777777777777777|- rs1_val==6148914691236517205 and rs2_val==3689348814741910322<br>                                                                                                                    |[0x80001af8]:c.or a0, a1<br> [0x80001afa]:sd a0, 1840(ra)<br> |
| 232|[0x80008748]<br>0x7777777777777775|- rs1_val==6148914691236517205 and rs2_val==7378697629483820645<br>                                                                                                                    |[0x80001b3e]:c.or a0, a1<br> [0x80001b40]:sd a0, 1848(ra)<br> |
| 233|[0x80008750]<br>0x55555555F555F777|- rs1_val==6148914691236517205 and rs2_val==3037000498<br>                                                                                                                             |[0x80001b74]:c.or a0, a1<br> [0x80001b76]:sd a0, 1856(ra)<br> |
| 234|[0x80008758]<br>0x5555555555555557|- rs1_val==6148914691236517205 and rs2_val==6148914691236517206<br>                                                                                                                    |[0x80001bba]:c.or a0, a1<br> [0x80001bbc]:sd a0, 1864(ra)<br> |
| 235|[0x80008760]<br>0xFFFFFFFFFFFFFFFF|- rs1_val==6148914691236517205 and rs2_val==-6148914691236517205<br>                                                                                                                   |[0x80001c00]:c.or a0, a1<br> [0x80001c02]:sd a0, 1872(ra)<br> |
| 236|[0x80008768]<br>0x5555555555555557|- rs1_val==6148914691236517205 and rs2_val==6<br>                                                                                                                                      |[0x80001c2a]:c.or a0, a1<br> [0x80001c2c]:sd a0, 1880(ra)<br> |
| 237|[0x80008770]<br>0x7777777777777775|- rs1_val==6148914691236517205 and rs2_val==3689348814741910324<br>                                                                                                                    |[0x80001c70]:c.or a0, a1<br> [0x80001c72]:sd a0, 1888(ra)<br> |
| 238|[0x80008778]<br>0x7777777777777777|- rs1_val==6148914691236517205 and rs2_val==7378697629483820647<br>                                                                                                                    |[0x80001cb6]:c.or a0, a1<br> [0x80001cb8]:sd a0, 1896(ra)<br> |
| 239|[0x80008780]<br>0xFFFFFFFF5FFF5DDF|- rs1_val==6148914691236517205 and rs2_val==-3037000498<br>                                                                                                                            |[0x80001cec]:c.or a0, a1<br> [0x80001cee]:sd a0, 1904(ra)<br> |
| 240|[0x80008788]<br>0x55555555F555F775|- rs1_val==6148914691236517205 and rs2_val==3037000500<br>                                                                                                                             |[0x80001d22]:c.or a0, a1<br> [0x80001d24]:sd a0, 1912(ra)<br> |
| 241|[0x80008790]<br>0xAAAAAAAAAAAAAAAB|- rs1_val==-6148914691236517206 and rs2_val==3<br>                                                                                                                                     |[0x80001d4c]:c.or a0, a1<br> [0x80001d4e]:sd a0, 1920(ra)<br> |
| 242|[0x80008798]<br>0xFFFFFFFFFFFFFFFF|- rs1_val==-6148914691236517206 and rs2_val==6148914691236517205<br>                                                                                                                   |[0x80001d92]:c.or a0, a1<br> [0x80001d94]:sd a0, 1928(ra)<br> |
| 243|[0x800087a0]<br>0xAAAAAAAAAAAAAAAA|- rs1_val==-6148914691236517206 and rs2_val==-6148914691236517206<br>                                                                                                                  |[0x80001dd8]:c.or a0, a1<br> [0x80001dda]:sd a0, 1936(ra)<br> |
| 244|[0x800087a8]<br>0xAAAAAAAAAAAAAAAF|- rs1_val==-6148914691236517206 and rs2_val==5<br>                                                                                                                                     |[0x80001e02]:c.or a0, a1<br> [0x80001e04]:sd a0, 1944(ra)<br> |
| 245|[0x800087b0]<br>0xBBBBBBBBBBBBBBBB|- rs1_val==-6148914691236517206 and rs2_val==3689348814741910323<br>                                                                                                                   |[0x80001e48]:c.or a0, a1<br> [0x80001e4a]:sd a0, 1952(ra)<br> |
| 246|[0x800087b8]<br>0xEEEEEEEEEEEEEEEE|- rs1_val==-6148914691236517206 and rs2_val==7378697629483820646<br>                                                                                                                   |[0x80001e8e]:c.or a0, a1<br> [0x80001e90]:sd a0, 1960(ra)<br> |
| 247|[0x800087c0]<br>0xFFFFFFFFEAFBAEEF|- rs1_val==-6148914691236517206 and rs2_val==-3037000499<br>                                                                                                                           |[0x80001ec4]:c.or a0, a1<br> [0x80001ec6]:sd a0, 1968(ra)<br> |
| 248|[0x800087c8]<br>0xAAAAAAAABFAEFBBB|- rs1_val==-6148914691236517206 and rs2_val==3037000499<br>                                                                                                                            |[0x80001efa]:c.or a0, a1<br> [0x80001efc]:sd a0, 1976(ra)<br> |
| 249|[0x800087d0]<br>0xAAAAAAAAAAAAAAAA|- rs1_val==-6148914691236517206 and rs2_val==2<br>                                                                                                                                     |[0x80001f24]:c.or a0, a1<br> [0x80001f26]:sd a0, 1984(ra)<br> |
| 250|[0x800087d8]<br>0xFFFFFFFFFFFFFFFE|- rs1_val==-6148914691236517206 and rs2_val==6148914691236517204<br>                                                                                                                   |[0x80001f6a]:c.or a0, a1<br> [0x80001f6c]:sd a0, 1992(ra)<br> |
| 251|[0x800087e0]<br>0xAAAAAAAAAAAAAAAA|- rs1_val==-6148914691236517206 and rs2_val==0<br>                                                                                                                                     |[0x80001f94]:c.or a0, a1<br> [0x80001f96]:sd a0, 2000(ra)<br> |
| 252|[0x800087e8]<br>0xAAAAAAAAAAAAAAAE|- rs1_val==-6148914691236517206 and rs2_val==4<br>                                                                                                                                     |[0x80001fbe]:c.or a0, a1<br> [0x80001fc0]:sd a0, 2008(ra)<br> |
| 253|[0x800087f0]<br>0xBBBBBBBBBBBBBBBA|- rs1_val==-6148914691236517206 and rs2_val==3689348814741910322<br>                                                                                                                   |[0x80002004]:c.or a0, a1<br> [0x80002006]:sd a0, 2016(ra)<br> |
| 254|[0x800087f8]<br>0xEEEEEEEEEEEEEEEF|- rs1_val==-6148914691236517206 and rs2_val==7378697629483820645<br>                                                                                                                   |[0x8000204a]:c.or a0, a1<br> [0x8000204c]:sd a0, 2024(ra)<br> |
| 255|[0x80008800]<br>0xAAAAAAAABFAEFBBA|- rs1_val==-6148914691236517206 and rs2_val==3037000498<br>                                                                                                                            |[0x80002080]:c.or a0, a1<br> [0x80002082]:sd a0, 2032(ra)<br> |
| 256|[0x80008808]<br>0xFFFFFFFFFFFFFFFE|- rs1_val==-6148914691236517206 and rs2_val==6148914691236517206<br>                                                                                                                   |[0x800020c6]:c.or a0, a1<br> [0x800020c8]:sd a0, 2040(ra)<br> |
| 257|[0x80008810]<br>0xAAAAAAAAAAAAAAAB|- rs1_val==-6148914691236517206 and rs2_val==-6148914691236517205<br>                                                                                                                  |[0x80002114]:c.or a0, a1<br> [0x80002116]:sd a0, 0(ra)<br>    |
| 258|[0x80008818]<br>0xAAAAAAAAAAAAAAAE|- rs1_val==-6148914691236517206 and rs2_val==6<br>                                                                                                                                     |[0x8000213e]:c.or a0, a1<br> [0x80002140]:sd a0, 8(ra)<br>    |
| 259|[0x80008820]<br>0xBBBBBBBBBBBBBBBE|- rs1_val==-6148914691236517206 and rs2_val==3689348814741910324<br>                                                                                                                   |[0x80002184]:c.or a0, a1<br> [0x80002186]:sd a0, 16(ra)<br>   |
| 260|[0x80008828]<br>0xEEEEEEEEEEEEEEEF|- rs1_val==-6148914691236517206 and rs2_val==7378697629483820647<br>                                                                                                                   |[0x800021ca]:c.or a0, a1<br> [0x800021cc]:sd a0, 24(ra)<br>   |
| 261|[0x80008830]<br>0xFFFFFFFFEAFBAEEE|- rs1_val==-6148914691236517206 and rs2_val==-3037000498<br>                                                                                                                           |[0x80002200]:c.or a0, a1<br> [0x80002202]:sd a0, 32(ra)<br>   |
| 262|[0x80008838]<br>0xAAAAAAAABFAEFBBE|- rs1_val==-6148914691236517206 and rs2_val==3037000500<br>                                                                                                                            |[0x80002236]:c.or a0, a1<br> [0x80002238]:sd a0, 40(ra)<br>   |
| 263|[0x80008840]<br>0x0000000000000007|- rs1_val==5 and rs2_val==3<br>                                                                                                                                                        |[0x80002244]:c.or a0, a1<br> [0x80002246]:sd a0, 48(ra)<br>   |
| 264|[0x80008848]<br>0x5555555555555555|- rs1_val==5 and rs2_val==6148914691236517205<br>                                                                                                                                      |[0x8000226e]:c.or a0, a1<br> [0x80002270]:sd a0, 56(ra)<br>   |
| 265|[0x80008850]<br>0xAAAAAAAAAAAAAAAF|- rs1_val==5 and rs2_val==-6148914691236517206<br>                                                                                                                                     |[0x80002298]:c.or a0, a1<br> [0x8000229a]:sd a0, 64(ra)<br>   |
| 266|[0x80008858]<br>0x0000000000000005|- rs1_val==5 and rs2_val==5<br>                                                                                                                                                        |[0x800022a6]:c.or a0, a1<br> [0x800022a8]:sd a0, 72(ra)<br>   |
| 267|[0x80008860]<br>0x3333333333333337|- rs1_val==5 and rs2_val==3689348814741910323<br>                                                                                                                                      |[0x800022d0]:c.or a0, a1<br> [0x800022d2]:sd a0, 80(ra)<br>   |
| 268|[0x80008868]<br>0x6666666666666667|- rs1_val==5 and rs2_val==7378697629483820646<br>                                                                                                                                      |[0x800022fa]:c.or a0, a1<br> [0x800022fc]:sd a0, 88(ra)<br>   |
| 269|[0x80008870]<br>0xFFFFFFFF4AFB0CCD|- rs1_val==5 and rs2_val==-3037000499<br>                                                                                                                                              |[0x80002314]:c.or a0, a1<br> [0x80002316]:sd a0, 96(ra)<br>   |
| 270|[0x80008878]<br>0x00000000B504F337|- rs1_val==5 and rs2_val==3037000499<br>                                                                                                                                               |[0x8000232e]:c.or a0, a1<br> [0x80002330]:sd a0, 104(ra)<br>  |
| 271|[0x80008880]<br>0x0000000000000007|- rs1_val==5 and rs2_val==2<br>                                                                                                                                                        |[0x8000233c]:c.or a0, a1<br> [0x8000233e]:sd a0, 112(ra)<br>  |
| 272|[0x80008888]<br>0x5555555555555555|- rs1_val==5 and rs2_val==6148914691236517204<br>                                                                                                                                      |[0x80002366]:c.or a0, a1<br> [0x80002368]:sd a0, 120(ra)<br>  |
| 273|[0x80008890]<br>0x0000000000000005|- rs1_val==5 and rs2_val==0<br>                                                                                                                                                        |[0x80002374]:c.or a0, a1<br> [0x80002376]:sd a0, 128(ra)<br>  |
| 274|[0x80008898]<br>0x0000000000000005|- rs1_val==5 and rs2_val==4<br>                                                                                                                                                        |[0x80002382]:c.or a0, a1<br> [0x80002384]:sd a0, 136(ra)<br>  |
| 275|[0x800088a0]<br>0x3333333333333337|- rs1_val==5 and rs2_val==3689348814741910322<br>                                                                                                                                      |[0x800023ac]:c.or a0, a1<br> [0x800023ae]:sd a0, 144(ra)<br>  |
| 276|[0x800088a8]<br>0x6666666666666665|- rs1_val==5 and rs2_val==7378697629483820645<br>                                                                                                                                      |[0x800023d6]:c.or a0, a1<br> [0x800023d8]:sd a0, 152(ra)<br>  |
| 277|[0x800088b0]<br>0x00000000B504F337|- rs1_val==5 and rs2_val==3037000498<br>                                                                                                                                               |[0x800023f0]:c.or a0, a1<br> [0x800023f2]:sd a0, 160(ra)<br>  |
| 278|[0x800088b8]<br>0x5555555555555557|- rs1_val==5 and rs2_val==6148914691236517206<br>                                                                                                                                      |[0x8000241a]:c.or a0, a1<br> [0x8000241c]:sd a0, 168(ra)<br>  |
| 279|[0x800088c0]<br>0xAAAAAAAAAAAAAAAF|- rs1_val==5 and rs2_val==-6148914691236517205<br>                                                                                                                                     |[0x80002444]:c.or a0, a1<br> [0x80002446]:sd a0, 176(ra)<br>  |
| 280|[0x800088c8]<br>0x0000000000000007|- rs1_val==5 and rs2_val==6<br>                                                                                                                                                        |[0x80002452]:c.or a0, a1<br> [0x80002454]:sd a0, 184(ra)<br>  |
| 281|[0x800088d0]<br>0x3333333333333335|- rs1_val==5 and rs2_val==3689348814741910324<br>                                                                                                                                      |[0x8000247c]:c.or a0, a1<br> [0x8000247e]:sd a0, 192(ra)<br>  |
| 282|[0x800088d8]<br>0x6666666666666667|- rs1_val==5 and rs2_val==7378697629483820647<br>                                                                                                                                      |[0x800024a6]:c.or a0, a1<br> [0x800024a8]:sd a0, 200(ra)<br>  |
| 283|[0x800088e0]<br>0xFFFFFFFF4AFB0CCF|- rs1_val==5 and rs2_val==-3037000498<br>                                                                                                                                              |[0x800024c0]:c.or a0, a1<br> [0x800024c2]:sd a0, 208(ra)<br>  |
| 284|[0x800088e8]<br>0x00000000B504F335|- rs1_val==5 and rs2_val==3037000500<br>                                                                                                                                               |[0x800024da]:c.or a0, a1<br> [0x800024dc]:sd a0, 216(ra)<br>  |
| 285|[0x800088f0]<br>0x3333333333333333|- rs1_val==3689348814741910323 and rs2_val==3<br>                                                                                                                                      |[0x80002504]:c.or a0, a1<br> [0x80002506]:sd a0, 224(ra)<br>  |
| 286|[0x800088f8]<br>0x7777777777777777|- rs1_val==3689348814741910323 and rs2_val==6148914691236517205<br>                                                                                                                    |[0x8000254a]:c.or a0, a1<br> [0x8000254c]:sd a0, 232(ra)<br>  |
| 287|[0x80008900]<br>0xBBBBBBBBBBBBBBBB|- rs1_val==3689348814741910323 and rs2_val==-6148914691236517206<br>                                                                                                                   |[0x80002590]:c.or a0, a1<br> [0x80002592]:sd a0, 240(ra)<br>  |
| 288|[0x80008908]<br>0x3333333333333337|- rs1_val==3689348814741910323 and rs2_val==5<br>                                                                                                                                      |[0x800025ba]:c.or a0, a1<br> [0x800025bc]:sd a0, 248(ra)<br>  |
| 289|[0x80008910]<br>0x3333333333333333|- rs1_val==3689348814741910323 and rs2_val==3689348814741910323<br>                                                                                                                    |[0x80002600]:c.or a0, a1<br> [0x80002602]:sd a0, 256(ra)<br>  |
| 290|[0x80008918]<br>0x7777777777777777|- rs1_val==3689348814741910323 and rs2_val==7378697629483820646<br>                                                                                                                    |[0x80002646]:c.or a0, a1<br> [0x80002648]:sd a0, 264(ra)<br>  |
| 291|[0x80008920]<br>0xFFFFFFFF7BFB3FFF|- rs1_val==3689348814741910323 and rs2_val==-3037000499<br>                                                                                                                            |[0x8000267c]:c.or a0, a1<br> [0x8000267e]:sd a0, 272(ra)<br>  |
| 292|[0x80008928]<br>0x33333333B737F333|- rs1_val==3689348814741910323 and rs2_val==3037000499<br>                                                                                                                             |[0x800026b2]:c.or a0, a1<br> [0x800026b4]:sd a0, 280(ra)<br>  |
| 293|[0x80008930]<br>0x3333333333333333|- rs1_val==3689348814741910323 and rs2_val==2<br>                                                                                                                                      |[0x800026dc]:c.or a0, a1<br> [0x800026de]:sd a0, 288(ra)<br>  |
| 294|[0x80008938]<br>0x7777777777777777|- rs1_val==3689348814741910323 and rs2_val==6148914691236517204<br>                                                                                                                    |[0x80002722]:c.or a0, a1<br> [0x80002724]:sd a0, 296(ra)<br>  |
| 295|[0x80008940]<br>0x3333333333333333|- rs1_val==3689348814741910323 and rs2_val==0<br>                                                                                                                                      |[0x8000274c]:c.or a0, a1<br> [0x8000274e]:sd a0, 304(ra)<br>  |
| 296|[0x80008948]<br>0x3333333333333337|- rs1_val==3689348814741910323 and rs2_val==4<br>                                                                                                                                      |[0x80002776]:c.or a0, a1<br> [0x80002778]:sd a0, 312(ra)<br>  |
| 297|[0x80008950]<br>0x3333333333333333|- rs1_val==3689348814741910323 and rs2_val==3689348814741910322<br>                                                                                                                    |[0x800027bc]:c.or a0, a1<br> [0x800027be]:sd a0, 320(ra)<br>  |
| 298|[0x80008958]<br>0x7777777777777777|- rs1_val==3689348814741910323 and rs2_val==7378697629483820645<br>                                                                                                                    |[0x80002802]:c.or a0, a1<br> [0x80002804]:sd a0, 328(ra)<br>  |
| 299|[0x80008960]<br>0x33333333B737F333|- rs1_val==3689348814741910323 and rs2_val==3037000498<br>                                                                                                                             |[0x80002838]:c.or a0, a1<br> [0x8000283a]:sd a0, 336(ra)<br>  |
| 300|[0x80008968]<br>0x7777777777777777|- rs1_val==3689348814741910323 and rs2_val==6148914691236517206<br>                                                                                                                    |[0x8000287e]:c.or a0, a1<br> [0x80002880]:sd a0, 344(ra)<br>  |
| 301|[0x80008970]<br>0xBBBBBBBBBBBBBBBB|- rs1_val==3689348814741910323 and rs2_val==-6148914691236517205<br>                                                                                                                   |[0x800028c4]:c.or a0, a1<br> [0x800028c6]:sd a0, 352(ra)<br>  |
| 302|[0x80008978]<br>0x3333333333333337|- rs1_val==3689348814741910323 and rs2_val==6<br>                                                                                                                                      |[0x800028ee]:c.or a0, a1<br> [0x800028f0]:sd a0, 360(ra)<br>  |
| 303|[0x80008980]<br>0x3333333333333337|- rs1_val==3689348814741910323 and rs2_val==3689348814741910324<br>                                                                                                                    |[0x80002934]:c.or a0, a1<br> [0x80002936]:sd a0, 368(ra)<br>  |
| 304|[0x80008988]<br>0x7777777777777777|- rs1_val==3689348814741910323 and rs2_val==7378697629483820647<br>                                                                                                                    |[0x8000297a]:c.or a0, a1<br> [0x8000297c]:sd a0, 376(ra)<br>  |
| 305|[0x80008990]<br>0xFFFFFFFF7BFB3FFF|- rs1_val==3689348814741910323 and rs2_val==-3037000498<br>                                                                                                                            |[0x800029b0]:c.or a0, a1<br> [0x800029b2]:sd a0, 384(ra)<br>  |
| 306|[0x80008998]<br>0x33333333B737F337|- rs1_val==3689348814741910323 and rs2_val==3037000500<br>                                                                                                                             |[0x800029e6]:c.or a0, a1<br> [0x800029e8]:sd a0, 392(ra)<br>  |
| 307|[0x800089a0]<br>0x6666666666666667|- rs1_val==7378697629483820646 and rs2_val==3<br>                                                                                                                                      |[0x80002a10]:c.or a0, a1<br> [0x80002a12]:sd a0, 400(ra)<br>  |
| 308|[0x800089a8]<br>0x7777777777777777|- rs1_val==7378697629483820646 and rs2_val==6148914691236517205<br>                                                                                                                    |[0x80002a56]:c.or a0, a1<br> [0x80002a58]:sd a0, 408(ra)<br>  |
| 309|[0x800089b0]<br>0x6666666666666667|- rs1_val==7378697629483820646 and rs2_val==5<br>                                                                                                                                      |[0x80002a80]:c.or a0, a1<br> [0x80002a82]:sd a0, 416(ra)<br>  |
| 310|[0x800089b8]<br>0x7777777777777777|- rs1_val==7378697629483820646 and rs2_val==3689348814741910323<br>                                                                                                                    |[0x80002ac6]:c.or a0, a1<br> [0x80002ac8]:sd a0, 424(ra)<br>  |
| 311|[0x800089c0]<br>0x6666666666666666|- rs1_val==7378697629483820646 and rs2_val==7378697629483820646<br>                                                                                                                    |[0x80002b0c]:c.or a0, a1<br> [0x80002b0e]:sd a0, 432(ra)<br>  |
| 312|[0x800089c8]<br>0xFFFFFFFF6EFF6EEF|- rs1_val==7378697629483820646 and rs2_val==-3037000499<br>                                                                                                                            |[0x80002b42]:c.or a0, a1<br> [0x80002b44]:sd a0, 440(ra)<br>  |
| 313|[0x800089d0]<br>0x66666666F766F777|- rs1_val==7378697629483820646 and rs2_val==3037000499<br>                                                                                                                             |[0x80002b78]:c.or a0, a1<br> [0x80002b7a]:sd a0, 448(ra)<br>  |
| 314|[0x800089d8]<br>0x6666666666666666|- rs1_val==7378697629483820646 and rs2_val==2<br>                                                                                                                                      |[0x80002ba2]:c.or a0, a1<br> [0x80002ba4]:sd a0, 456(ra)<br>  |
| 315|[0x800089e0]<br>0x7777777777777776|- rs1_val==7378697629483820646 and rs2_val==6148914691236517204<br>                                                                                                                    |[0x80002be8]:c.or a0, a1<br> [0x80002bea]:sd a0, 464(ra)<br>  |
| 316|[0x800089e8]<br>0x6666666666666666|- rs1_val==7378697629483820646 and rs2_val==0<br>                                                                                                                                      |[0x80002c12]:c.or a0, a1<br> [0x80002c14]:sd a0, 472(ra)<br>  |
| 317|[0x800089f0]<br>0x6666666666666666|- rs1_val==7378697629483820646 and rs2_val==4<br>                                                                                                                                      |[0x80002c3c]:c.or a0, a1<br> [0x80002c3e]:sd a0, 480(ra)<br>  |
| 318|[0x800089f8]<br>0x7777777777777776|- rs1_val==7378697629483820646 and rs2_val==3689348814741910322<br>                                                                                                                    |[0x80002c82]:c.or a0, a1<br> [0x80002c84]:sd a0, 488(ra)<br>  |
| 319|[0x80008a00]<br>0x6666666666666667|- rs1_val==7378697629483820646 and rs2_val==7378697629483820645<br>                                                                                                                    |[0x80002cc8]:c.or a0, a1<br> [0x80002cca]:sd a0, 496(ra)<br>  |
| 320|[0x80008a08]<br>0x66666666F766F776|- rs1_val==7378697629483820646 and rs2_val==3037000498<br>                                                                                                                             |[0x80002cfe]:c.or a0, a1<br> [0x80002d00]:sd a0, 504(ra)<br>  |
| 321|[0x80008a10]<br>0x7777777777777776|- rs1_val==7378697629483820646 and rs2_val==6148914691236517206<br>                                                                                                                    |[0x80002d44]:c.or a0, a1<br> [0x80002d46]:sd a0, 512(ra)<br>  |
| 322|[0x80008a18]<br>0xEEEEEEEEEEEEEEEF|- rs1_val==7378697629483820646 and rs2_val==-6148914691236517205<br>                                                                                                                   |[0x80002d8a]:c.or a0, a1<br> [0x80002d8c]:sd a0, 520(ra)<br>  |
| 323|[0x80008a20]<br>0x6666666666666666|- rs1_val==7378697629483820646 and rs2_val==6<br>                                                                                                                                      |[0x80002db4]:c.or a0, a1<br> [0x80002db6]:sd a0, 528(ra)<br>  |
| 324|[0x80008a28]<br>0x7777777777777776|- rs1_val==7378697629483820646 and rs2_val==3689348814741910324<br>                                                                                                                    |[0x80002dfa]:c.or a0, a1<br> [0x80002dfc]:sd a0, 536(ra)<br>  |
| 325|[0x80008a30]<br>0x6666666666666667|- rs1_val==7378697629483820646 and rs2_val==7378697629483820647<br>                                                                                                                    |[0x80002e40]:c.or a0, a1<br> [0x80002e42]:sd a0, 544(ra)<br>  |
| 326|[0x80008a38]<br>0xFFFFFFFF6EFF6EEE|- rs1_val==7378697629483820646 and rs2_val==-3037000498<br>                                                                                                                            |[0x80002e76]:c.or a0, a1<br> [0x80002e78]:sd a0, 552(ra)<br>  |
| 327|[0x80008a40]<br>0x66666666F766F776|- rs1_val==7378697629483820646 and rs2_val==3037000500<br>                                                                                                                             |[0x80002eac]:c.or a0, a1<br> [0x80002eae]:sd a0, 560(ra)<br>  |
| 328|[0x80008a48]<br>0xFFFFFFFF4AFB0CCF|- rs1_val==-3037000499 and rs2_val==3<br>                                                                                                                                              |[0x80002ec6]:c.or a0, a1<br> [0x80002ec8]:sd a0, 568(ra)<br>  |
| 329|[0x80008a50]<br>0xFFFFFFFF5FFF5DDD|- rs1_val==-3037000499 and rs2_val==6148914691236517205<br>                                                                                                                            |[0x80002efc]:c.or a0, a1<br> [0x80002efe]:sd a0, 576(ra)<br>  |
| 330|[0x80008a58]<br>0xFFFFFFFFEAFBAEEF|- rs1_val==-3037000499 and rs2_val==-6148914691236517206<br>                                                                                                                           |[0x80002f32]:c.or a0, a1<br> [0x80002f34]:sd a0, 584(ra)<br>  |
| 331|[0x80008a60]<br>0xFFFFFFFF4AFB0CCD|- rs1_val==-3037000499 and rs2_val==5<br>                                                                                                                                              |[0x80002f4c]:c.or a0, a1<br> [0x80002f4e]:sd a0, 592(ra)<br>  |
| 332|[0x80008a68]<br>0xFFFFFFFF7BFB3FFF|- rs1_val==-3037000499 and rs2_val==3689348814741910323<br>                                                                                                                            |[0x80002f82]:c.or a0, a1<br> [0x80002f84]:sd a0, 600(ra)<br>  |
| 333|[0x80008a70]<br>0xFFFFFFFF6EFF6EEF|- rs1_val==-3037000499 and rs2_val==7378697629483820646<br>                                                                                                                            |[0x80002fb8]:c.or a0, a1<br> [0x80002fba]:sd a0, 608(ra)<br>  |
| 334|[0x80008a78]<br>0xFFFFFFFF4AFB0CCD|- rs1_val==-3037000499 and rs2_val==-3037000499<br>                                                                                                                                    |[0x80002fde]:c.or a0, a1<br> [0x80002fe0]:sd a0, 616(ra)<br>  |
| 335|[0x80008a80]<br>0xFFFFFFFFFFFFFFFF|- rs1_val==-3037000499 and rs2_val==3037000499<br>                                                                                                                                     |[0x80003004]:c.or a0, a1<br> [0x80003006]:sd a0, 624(ra)<br>  |
| 336|[0x80008a88]<br>0xFFFFFFFF4AFB0CCF|- rs1_val==-3037000499 and rs2_val==2<br>                                                                                                                                              |[0x8000301e]:c.or a0, a1<br> [0x80003020]:sd a0, 632(ra)<br>  |
| 337|[0x80008a90]<br>0xFFFFFFFF5FFF5DDD|- rs1_val==-3037000499 and rs2_val==6148914691236517204<br>                                                                                                                            |[0x80003054]:c.or a0, a1<br> [0x80003056]:sd a0, 640(ra)<br>  |
| 338|[0x80008a98]<br>0xFFFFFFFF4AFB0CCD|- rs1_val==-3037000499 and rs2_val==0<br>                                                                                                                                              |[0x8000306e]:c.or a0, a1<br> [0x80003070]:sd a0, 648(ra)<br>  |
| 339|[0x80008aa0]<br>0xFFFFFFFF4AFB0CCD|- rs1_val==-3037000499 and rs2_val==4<br>                                                                                                                                              |[0x80003088]:c.or a0, a1<br> [0x8000308a]:sd a0, 656(ra)<br>  |
| 340|[0x80008aa8]<br>0xFFFFFFFF7BFB3FFF|- rs1_val==-3037000499 and rs2_val==3689348814741910322<br>                                                                                                                            |[0x800030be]:c.or a0, a1<br> [0x800030c0]:sd a0, 664(ra)<br>  |
| 341|[0x80008ab0]<br>0xFFFFFFFF6EFF6EED|- rs1_val==-3037000499 and rs2_val==7378697629483820645<br>                                                                                                                            |[0x800030f4]:c.or a0, a1<br> [0x800030f6]:sd a0, 672(ra)<br>  |
| 342|[0x80008ab8]<br>0xFFFFFFFFFFFFFFFF|- rs1_val==-3037000499 and rs2_val==3037000498<br>                                                                                                                                     |[0x8000311a]:c.or a0, a1<br> [0x8000311c]:sd a0, 680(ra)<br>  |
| 343|[0x80008ac0]<br>0xFFFFFFFF5FFF5DDF|- rs1_val==-3037000499 and rs2_val==6148914691236517206<br>                                                                                                                            |[0x80003150]:c.or a0, a1<br> [0x80003152]:sd a0, 688(ra)<br>  |
| 344|[0x80008ac8]<br>0xFFFFFFFFEAFBAEEF|- rs1_val==-3037000499 and rs2_val==-6148914691236517205<br>                                                                                                                           |[0x80003186]:c.or a0, a1<br> [0x80003188]:sd a0, 696(ra)<br>  |
| 345|[0x80008ad0]<br>0xFFFFFFFF4AFB0CCF|- rs1_val==-3037000499 and rs2_val==6<br>                                                                                                                                              |[0x800031a0]:c.or a0, a1<br> [0x800031a2]:sd a0, 704(ra)<br>  |
| 346|[0x80008ad8]<br>0xFFFFFFFF7BFB3FFD|- rs1_val==-3037000499 and rs2_val==3689348814741910324<br>                                                                                                                            |[0x800031d6]:c.or a0, a1<br> [0x800031d8]:sd a0, 712(ra)<br>  |
| 347|[0x80008ae0]<br>0xFFFFFFFF6EFF6EEF|- rs1_val==-3037000499 and rs2_val==7378697629483820647<br>                                                                                                                            |[0x8000320c]:c.or a0, a1<br> [0x8000320e]:sd a0, 720(ra)<br>  |
| 348|[0x80008ae8]<br>0xFFFFFFFF4AFB0CCF|- rs1_val==-3037000499 and rs2_val==-3037000498<br>                                                                                                                                    |[0x80003232]:c.or a0, a1<br> [0x80003234]:sd a0, 728(ra)<br>  |
| 349|[0x80008af0]<br>0xFFFFFFFFFFFFFFFD|- rs1_val==-3037000499 and rs2_val==3037000500<br>                                                                                                                                     |[0x80003258]:c.or a0, a1<br> [0x8000325a]:sd a0, 736(ra)<br>  |
| 350|[0x80008af8]<br>0x00000000B504F333|- rs1_val==3037000499 and rs2_val==3<br>                                                                                                                                               |[0x80003272]:c.or a0, a1<br> [0x80003274]:sd a0, 744(ra)<br>  |
| 351|[0x80008b00]<br>0x55555555F555F777|- rs1_val==3037000499 and rs2_val==6148914691236517205<br>                                                                                                                             |[0x800032a8]:c.or a0, a1<br> [0x800032aa]:sd a0, 752(ra)<br>  |
| 352|[0x80008b08]<br>0xAAAAAAAABFAEFBBB|- rs1_val==3037000499 and rs2_val==-6148914691236517206<br>                                                                                                                            |[0x800032de]:c.or a0, a1<br> [0x800032e0]:sd a0, 760(ra)<br>  |
| 353|[0x80008b10]<br>0x00000000B504F337|- rs1_val==3037000499 and rs2_val==5<br>                                                                                                                                               |[0x800032f8]:c.or a0, a1<br> [0x800032fa]:sd a0, 768(ra)<br>  |
| 354|[0x80008b18]<br>0x33333333B737F333|- rs1_val==3037000499 and rs2_val==3689348814741910323<br>                                                                                                                             |[0x8000332e]:c.or a0, a1<br> [0x80003330]:sd a0, 776(ra)<br>  |
| 355|[0x80008b20]<br>0x66666666F766F777|- rs1_val==3037000499 and rs2_val==7378697629483820646<br>                                                                                                                             |[0x80003364]:c.or a0, a1<br> [0x80003366]:sd a0, 784(ra)<br>  |
| 356|[0x80008b28]<br>0xFFFFFFFFFFFFFFFF|- rs1_val==3037000499 and rs2_val==-3037000499<br>                                                                                                                                     |[0x8000338a]:c.or a0, a1<br> [0x8000338c]:sd a0, 792(ra)<br>  |
| 357|[0x80008b30]<br>0x00000000B504F333|- rs1_val==3037000499 and rs2_val==3037000499<br>                                                                                                                                      |[0x800033b0]:c.or a0, a1<br> [0x800033b2]:sd a0, 800(ra)<br>  |
| 358|[0x80008b38]<br>0x00000000B504F333|- rs1_val==3037000499 and rs2_val==2<br>                                                                                                                                               |[0x800033ca]:c.or a0, a1<br> [0x800033cc]:sd a0, 808(ra)<br>  |
| 359|[0x80008b40]<br>0x55555555F555F777|- rs1_val==3037000499 and rs2_val==6148914691236517204<br>                                                                                                                             |[0x80003400]:c.or a0, a1<br> [0x80003402]:sd a0, 816(ra)<br>  |
| 360|[0x80008b48]<br>0x00000000B504F333|- rs1_val==3037000499 and rs2_val==0<br>                                                                                                                                               |[0x8000341a]:c.or a0, a1<br> [0x8000341c]:sd a0, 824(ra)<br>  |
| 361|[0x80008b50]<br>0x00000000B504F337|- rs1_val==3037000499 and rs2_val==4<br>                                                                                                                                               |[0x80003434]:c.or a0, a1<br> [0x80003436]:sd a0, 832(ra)<br>  |
| 362|[0x80008b58]<br>0x33333333B737F333|- rs1_val==3037000499 and rs2_val==3689348814741910322<br>                                                                                                                             |[0x8000346a]:c.or a0, a1<br> [0x8000346c]:sd a0, 840(ra)<br>  |
| 363|[0x80008b60]<br>0x66666666F766F777|- rs1_val==3037000499 and rs2_val==7378697629483820645<br>                                                                                                                             |[0x800034a0]:c.or a0, a1<br> [0x800034a2]:sd a0, 848(ra)<br>  |
| 364|[0x80008b68]<br>0x00000000B504F333|- rs1_val==3037000499 and rs2_val==3037000498<br>                                                                                                                                      |[0x800034c6]:c.or a0, a1<br> [0x800034c8]:sd a0, 856(ra)<br>  |
| 365|[0x80008b70]<br>0x55555555F555F777|- rs1_val==3037000499 and rs2_val==6148914691236517206<br>                                                                                                                             |[0x800034fc]:c.or a0, a1<br> [0x800034fe]:sd a0, 864(ra)<br>  |
| 366|[0x80008b78]<br>0xAAAAAAAABFAEFBBB|- rs1_val==3037000499 and rs2_val==-6148914691236517205<br>                                                                                                                            |[0x80003532]:c.or a0, a1<br> [0x80003534]:sd a0, 872(ra)<br>  |
| 367|[0x80008b80]<br>0x00000000B504F337|- rs1_val==3037000499 and rs2_val==6<br>                                                                                                                                               |[0x8000354c]:c.or a0, a1<br> [0x8000354e]:sd a0, 880(ra)<br>  |
| 368|[0x80008b88]<br>0x33333333B737F337|- rs1_val==3037000499 and rs2_val==3689348814741910324<br>                                                                                                                             |[0x80003582]:c.or a0, a1<br> [0x80003584]:sd a0, 888(ra)<br>  |
| 369|[0x80008b90]<br>0x66666666F766F777|- rs1_val==3037000499 and rs2_val==7378697629483820647<br>                                                                                                                             |[0x800035b8]:c.or a0, a1<br> [0x800035ba]:sd a0, 896(ra)<br>  |
| 370|[0x80008b98]<br>0xFFFFFFFFFFFFFFFF|- rs1_val==3037000499 and rs2_val==-3037000498<br>                                                                                                                                     |[0x800035de]:c.or a0, a1<br> [0x800035e0]:sd a0, 904(ra)<br>  |
| 371|[0x80008ba0]<br>0x00000000B504F337|- rs1_val==3037000499 and rs2_val==3037000500<br>                                                                                                                                      |[0x80003604]:c.or a0, a1<br> [0x80003606]:sd a0, 912(ra)<br>  |
| 372|[0x80008ba8]<br>0x0000000000000003|- rs1_val==2 and rs2_val==3<br>                                                                                                                                                        |[0x80003612]:c.or a0, a1<br> [0x80003614]:sd a0, 920(ra)<br>  |
| 373|[0x80008bb0]<br>0x5555555555555557|- rs1_val==2 and rs2_val==6148914691236517205<br>                                                                                                                                      |[0x8000363c]:c.or a0, a1<br> [0x8000363e]:sd a0, 928(ra)<br>  |
| 374|[0x80008bb8]<br>0xAAAAAAAAAAAAAAAA|- rs1_val==2 and rs2_val==-6148914691236517206<br>                                                                                                                                     |[0x80003666]:c.or a0, a1<br> [0x80003668]:sd a0, 936(ra)<br>  |
| 375|[0x80008bc0]<br>0x0000000000000007|- rs1_val==2 and rs2_val==5<br>                                                                                                                                                        |[0x80003674]:c.or a0, a1<br> [0x80003676]:sd a0, 944(ra)<br>  |
| 376|[0x80008bc8]<br>0x3333333333333333|- rs1_val==2 and rs2_val==3689348814741910323<br>                                                                                                                                      |[0x8000369e]:c.or a0, a1<br> [0x800036a0]:sd a0, 952(ra)<br>  |
| 377|[0x80008bd0]<br>0x6666666666666666|- rs1_val==2 and rs2_val==7378697629483820646<br>                                                                                                                                      |[0x800036c8]:c.or a0, a1<br> [0x800036ca]:sd a0, 960(ra)<br>  |
| 378|[0x80008bd8]<br>0xFFFFFFFF4AFB0CCF|- rs1_val==2 and rs2_val==-3037000499<br>                                                                                                                                              |[0x800036e2]:c.or a0, a1<br> [0x800036e4]:sd a0, 968(ra)<br>  |
| 379|[0x80008be0]<br>0x00000000B504F333|- rs1_val==2 and rs2_val==3037000499<br>                                                                                                                                               |[0x800036fc]:c.or a0, a1<br> [0x800036fe]:sd a0, 976(ra)<br>  |
| 380|[0x80008be8]<br>0x0000000000000002|- rs1_val==2 and rs2_val==2<br>                                                                                                                                                        |[0x8000370a]:c.or a0, a1<br> [0x8000370c]:sd a0, 984(ra)<br>  |
| 381|[0x80008bf0]<br>0x5555555555555556|- rs1_val==2 and rs2_val==6148914691236517204<br>                                                                                                                                      |[0x80003734]:c.or a0, a1<br> [0x80003736]:sd a0, 992(ra)<br>  |
| 382|[0x80008bf8]<br>0x0000000000000002|- rs1_val==2 and rs2_val==0<br>                                                                                                                                                        |[0x80003742]:c.or a0, a1<br> [0x80003744]:sd a0, 1000(ra)<br> |
| 383|[0x80008c00]<br>0x0000000000000006|- rs1_val==2 and rs2_val==4<br>                                                                                                                                                        |[0x80003750]:c.or a0, a1<br> [0x80003752]:sd a0, 1008(ra)<br> |
| 384|[0x80008c08]<br>0x3333333333333332|- rs1_val==2 and rs2_val==3689348814741910322<br>                                                                                                                                      |[0x8000377a]:c.or a0, a1<br> [0x8000377c]:sd a0, 1016(ra)<br> |
| 385|[0x80008c10]<br>0x6666666666666667|- rs1_val==2 and rs2_val==7378697629483820645<br>                                                                                                                                      |[0x800037a4]:c.or a0, a1<br> [0x800037a6]:sd a0, 1024(ra)<br> |
| 386|[0x80008c18]<br>0x00000000B504F332|- rs1_val==2 and rs2_val==3037000498<br>                                                                                                                                               |[0x800037be]:c.or a0, a1<br> [0x800037c0]:sd a0, 1032(ra)<br> |
| 387|[0x80008c20]<br>0x5555555555555556|- rs1_val==2 and rs2_val==6148914691236517206<br>                                                                                                                                      |[0x800037e8]:c.or a0, a1<br> [0x800037ea]:sd a0, 1040(ra)<br> |
| 388|[0x80008c28]<br>0xAAAAAAAAAAAAAAAB|- rs1_val==2 and rs2_val==-6148914691236517205<br>                                                                                                                                     |[0x80003812]:c.or a0, a1<br> [0x80003814]:sd a0, 1048(ra)<br> |
| 389|[0x80008c30]<br>0x0000000000000006|- rs1_val==2 and rs2_val==6<br>                                                                                                                                                        |[0x80003820]:c.or a0, a1<br> [0x80003822]:sd a0, 1056(ra)<br> |
| 390|[0x80008c38]<br>0x3333333333333336|- rs1_val==2 and rs2_val==3689348814741910324<br>                                                                                                                                      |[0x8000384a]:c.or a0, a1<br> [0x8000384c]:sd a0, 1064(ra)<br> |
| 391|[0x80008c40]<br>0x6666666666666667|- rs1_val==2 and rs2_val==7378697629483820647<br>                                                                                                                                      |[0x80003874]:c.or a0, a1<br> [0x80003876]:sd a0, 1072(ra)<br> |
| 392|[0x80008c48]<br>0xFFFFFFFF4AFB0CCE|- rs1_val==2 and rs2_val==-3037000498<br>                                                                                                                                              |[0x8000388e]:c.or a0, a1<br> [0x80003890]:sd a0, 1080(ra)<br> |
| 393|[0x80008c50]<br>0x00000000B504F336|- rs1_val==2 and rs2_val==3037000500<br>                                                                                                                                               |[0x800038a8]:c.or a0, a1<br> [0x800038aa]:sd a0, 1088(ra)<br> |
| 394|[0x80008c58]<br>0x5555555555555557|- rs1_val==6148914691236517204 and rs2_val==3<br>                                                                                                                                      |[0x800038d2]:c.or a0, a1<br> [0x800038d4]:sd a0, 1096(ra)<br> |
| 395|[0x80008c60]<br>0x5555555555555555|- rs1_val==6148914691236517204 and rs2_val==6148914691236517205<br>                                                                                                                    |[0x80003918]:c.or a0, a1<br> [0x8000391a]:sd a0, 1104(ra)<br> |
| 396|[0x80008c68]<br>0xFFFFFFFFFFFFFFFE|- rs1_val==6148914691236517204 and rs2_val==-6148914691236517206<br>                                                                                                                   |[0x8000395e]:c.or a0, a1<br> [0x80003960]:sd a0, 1112(ra)<br> |
| 397|[0x80008c70]<br>0x5555555555555555|- rs1_val==6148914691236517204 and rs2_val==5<br>                                                                                                                                      |[0x80003988]:c.or a0, a1<br> [0x8000398a]:sd a0, 1120(ra)<br> |
| 398|[0x80008c78]<br>0x7777777777777777|- rs1_val==6148914691236517204 and rs2_val==3689348814741910323<br>                                                                                                                    |[0x800039ce]:c.or a0, a1<br> [0x800039d0]:sd a0, 1128(ra)<br> |
| 399|[0x80008c80]<br>0x7777777777777776|- rs1_val==6148914691236517204 and rs2_val==7378697629483820646<br>                                                                                                                    |[0x80003a14]:c.or a0, a1<br> [0x80003a16]:sd a0, 1136(ra)<br> |
| 400|[0x80008c88]<br>0xFFFFFFFF5FFF5DDD|- rs1_val==6148914691236517204 and rs2_val==-3037000499<br>                                                                                                                            |[0x80003a4a]:c.or a0, a1<br> [0x80003a4c]:sd a0, 1144(ra)<br> |
| 401|[0x80008c90]<br>0x55555555F555F777|- rs1_val==6148914691236517204 and rs2_val==3037000499<br>                                                                                                                             |[0x80003a80]:c.or a0, a1<br> [0x80003a82]:sd a0, 1152(ra)<br> |
| 402|[0x80008c98]<br>0x5555555555555556|- rs1_val==6148914691236517204 and rs2_val==2<br>                                                                                                                                      |[0x80003aaa]:c.or a0, a1<br> [0x80003aac]:sd a0, 1160(ra)<br> |
| 403|[0x80008ca0]<br>0x5555555555555554|- rs1_val==6148914691236517204 and rs2_val==6148914691236517204<br>                                                                                                                    |[0x80003af0]:c.or a0, a1<br> [0x80003af2]:sd a0, 1168(ra)<br> |
| 404|[0x80008ca8]<br>0x5555555555555554|- rs1_val==6148914691236517204 and rs2_val==0<br>                                                                                                                                      |[0x80003b1a]:c.or a0, a1<br> [0x80003b1c]:sd a0, 1176(ra)<br> |
| 405|[0x80008cb0]<br>0x5555555555555554|- rs1_val==6148914691236517204 and rs2_val==4<br>                                                                                                                                      |[0x80003b44]:c.or a0, a1<br> [0x80003b46]:sd a0, 1184(ra)<br> |
| 406|[0x80008cb8]<br>0x7777777777777776|- rs1_val==6148914691236517204 and rs2_val==3689348814741910322<br>                                                                                                                    |[0x80003b8a]:c.or a0, a1<br> [0x80003b8c]:sd a0, 1192(ra)<br> |
| 407|[0x80008cc0]<br>0x7777777777777775|- rs1_val==6148914691236517204 and rs2_val==7378697629483820645<br>                                                                                                                    |[0x80003bd0]:c.or a0, a1<br> [0x80003bd2]:sd a0, 1200(ra)<br> |
| 408|[0x80008cc8]<br>0x55555555F555F776|- rs1_val==6148914691236517204 and rs2_val==3037000498<br>                                                                                                                             |[0x80003c06]:c.or a0, a1<br> [0x80003c08]:sd a0, 1208(ra)<br> |
| 409|[0x80008cd0]<br>0x5555555555555556|- rs1_val==6148914691236517204 and rs2_val==6148914691236517206<br>                                                                                                                    |[0x80003c4c]:c.or a0, a1<br> [0x80003c4e]:sd a0, 1216(ra)<br> |
| 410|[0x80008cd8]<br>0xFFFFFFFFFFFFFFFF|- rs1_val==6148914691236517204 and rs2_val==-6148914691236517205<br>                                                                                                                   |[0x80003c92]:c.or a0, a1<br> [0x80003c94]:sd a0, 1224(ra)<br> |
| 411|[0x80008ce0]<br>0x5555555555555556|- rs1_val==6148914691236517204 and rs2_val==6<br>                                                                                                                                      |[0x80003cbc]:c.or a0, a1<br> [0x80003cbe]:sd a0, 1232(ra)<br> |
| 412|[0x80008ce8]<br>0x7777777777777774|- rs1_val==6148914691236517204 and rs2_val==3689348814741910324<br>                                                                                                                    |[0x80003d02]:c.or a0, a1<br> [0x80003d04]:sd a0, 1240(ra)<br> |
| 413|[0x80008cf0]<br>0x7777777777777777|- rs1_val==6148914691236517204 and rs2_val==7378697629483820647<br>                                                                                                                    |[0x80003d48]:c.or a0, a1<br> [0x80003d4a]:sd a0, 1248(ra)<br> |
| 414|[0x80008cf8]<br>0xFFFFFFFF5FFF5DDE|- rs1_val==6148914691236517204 and rs2_val==-3037000498<br>                                                                                                                            |[0x80003d7e]:c.or a0, a1<br> [0x80003d80]:sd a0, 1256(ra)<br> |
| 415|[0x80008d00]<br>0x55555555F555F774|- rs1_val==6148914691236517204 and rs2_val==3037000500<br>                                                                                                                             |[0x80003db4]:c.or a0, a1<br> [0x80003db6]:sd a0, 1264(ra)<br> |
| 416|[0x80008d08]<br>0x0000000000000003|- rs1_val==0 and rs2_val==3<br>                                                                                                                                                        |[0x80003dc2]:c.or a0, a1<br> [0x80003dc4]:sd a0, 1272(ra)<br> |
| 417|[0x80008d10]<br>0x5555555555555555|- rs1_val==0 and rs2_val==6148914691236517205<br>                                                                                                                                      |[0x80003dec]:c.or a0, a1<br> [0x80003dee]:sd a0, 1280(ra)<br> |
| 418|[0x80008d18]<br>0xAAAAAAAAAAAAAAAA|- rs1_val==0 and rs2_val==-6148914691236517206<br>                                                                                                                                     |[0x80003e16]:c.or a0, a1<br> [0x80003e18]:sd a0, 1288(ra)<br> |
| 419|[0x80008d20]<br>0x0000000000000005|- rs1_val==0 and rs2_val==5<br>                                                                                                                                                        |[0x80003e24]:c.or a0, a1<br> [0x80003e26]:sd a0, 1296(ra)<br> |
| 420|[0x80008d28]<br>0x3333333333333333|- rs1_val==0 and rs2_val==3689348814741910323<br>                                                                                                                                      |[0x80003e4e]:c.or a0, a1<br> [0x80003e50]:sd a0, 1304(ra)<br> |
| 421|[0x80008d30]<br>0x6666666666666666|- rs1_val==0 and rs2_val==7378697629483820646<br>                                                                                                                                      |[0x80003e78]:c.or a0, a1<br> [0x80003e7a]:sd a0, 1312(ra)<br> |
| 422|[0x80008d38]<br>0xFFFFFFFF4AFB0CCD|- rs1_val==0 and rs2_val==-3037000499<br>                                                                                                                                              |[0x80003e92]:c.or a0, a1<br> [0x80003e94]:sd a0, 1320(ra)<br> |
| 423|[0x80008d40]<br>0x00000000B504F333|- rs1_val==0 and rs2_val==3037000499<br>                                                                                                                                               |[0x80003eac]:c.or a0, a1<br> [0x80003eae]:sd a0, 1328(ra)<br> |
| 424|[0x80008d48]<br>0x0000000000000002|- rs1_val==0 and rs2_val==2<br>                                                                                                                                                        |[0x80003eba]:c.or a0, a1<br> [0x80003ebc]:sd a0, 1336(ra)<br> |
| 425|[0x80008d50]<br>0xAAAAAAAAAAAAAAAE|- rs1_val==4 and rs2_val==-6148914691236517206<br>                                                                                                                                     |[0x80003ee4]:c.or a0, a1<br> [0x80003ee6]:sd a0, 1344(ra)<br> |
| 426|[0x80008d58]<br>0x0000000000000005|- rs1_val==4 and rs2_val==5<br>                                                                                                                                                        |[0x80003ef2]:c.or a0, a1<br> [0x80003ef4]:sd a0, 1352(ra)<br> |
| 427|[0x80008d60]<br>0x3333333333333337|- rs1_val==4 and rs2_val==3689348814741910323<br>                                                                                                                                      |[0x80003f1c]:c.or a0, a1<br> [0x80003f1e]:sd a0, 1360(ra)<br> |
| 428|[0x80008d68]<br>0x6666666666666666|- rs1_val==4 and rs2_val==7378697629483820646<br>                                                                                                                                      |[0x80003f46]:c.or a0, a1<br> [0x80003f48]:sd a0, 1368(ra)<br> |
| 429|[0x80008d70]<br>0xFFFFFFFF4AFB0CCD|- rs1_val==4 and rs2_val==-3037000499<br>                                                                                                                                              |[0x80003f60]:c.or a0, a1<br> [0x80003f62]:sd a0, 1376(ra)<br> |
| 430|[0x80008d78]<br>0x00000000B504F337|- rs1_val==4 and rs2_val==3037000499<br>                                                                                                                                               |[0x80003f7a]:c.or a0, a1<br> [0x80003f7c]:sd a0, 1384(ra)<br> |
| 431|[0x80008d80]<br>0x0000000000000006|- rs1_val==4 and rs2_val==2<br>                                                                                                                                                        |[0x80003f88]:c.or a0, a1<br> [0x80003f8a]:sd a0, 1392(ra)<br> |
| 432|[0x80008d88]<br>0x5555555555555554|- rs1_val==4 and rs2_val==6148914691236517204<br>                                                                                                                                      |[0x80003fb2]:c.or a0, a1<br> [0x80003fb4]:sd a0, 1400(ra)<br> |
| 433|[0x80008d90]<br>0x0000000000000004|- rs1_val==4 and rs2_val==0<br>                                                                                                                                                        |[0x80003fc0]:c.or a0, a1<br> [0x80003fc2]:sd a0, 1408(ra)<br> |
| 434|[0x80008d98]<br>0x0000000000000004|- rs1_val==4 and rs2_val==4<br>                                                                                                                                                        |[0x80003fce]:c.or a0, a1<br> [0x80003fd0]:sd a0, 1416(ra)<br> |
| 435|[0x80008da0]<br>0x3333333333333336|- rs1_val==4 and rs2_val==3689348814741910322<br>                                                                                                                                      |[0x80003ff8]:c.or a0, a1<br> [0x80003ffa]:sd a0, 1424(ra)<br> |
| 436|[0x80008da8]<br>0x6666666666666665|- rs1_val==4 and rs2_val==7378697629483820645<br>                                                                                                                                      |[0x80004022]:c.or a0, a1<br> [0x80004024]:sd a0, 1432(ra)<br> |
| 437|[0x80008db0]<br>0x00000000B504F336|- rs1_val==4 and rs2_val==3037000498<br>                                                                                                                                               |[0x8000403c]:c.or a0, a1<br> [0x8000403e]:sd a0, 1440(ra)<br> |
| 438|[0x80008db8]<br>0x5555555555555556|- rs1_val==4 and rs2_val==6148914691236517206<br>                                                                                                                                      |[0x80004066]:c.or a0, a1<br> [0x80004068]:sd a0, 1448(ra)<br> |
| 439|[0x80008dc0]<br>0xAAAAAAAAAAAAAAAF|- rs1_val==4 and rs2_val==-6148914691236517205<br>                                                                                                                                     |[0x80004090]:c.or a0, a1<br> [0x80004092]:sd a0, 1456(ra)<br> |
| 440|[0x80008dc8]<br>0x0000000000000006|- rs1_val==4 and rs2_val==6<br>                                                                                                                                                        |[0x8000409e]:c.or a0, a1<br> [0x800040a0]:sd a0, 1464(ra)<br> |
| 441|[0x80008dd0]<br>0x3333333333333334|- rs1_val==4 and rs2_val==3689348814741910324<br>                                                                                                                                      |[0x800040c8]:c.or a0, a1<br> [0x800040ca]:sd a0, 1472(ra)<br> |
| 442|[0x80008dd8]<br>0x6666666666666667|- rs1_val==4 and rs2_val==7378697629483820647<br>                                                                                                                                      |[0x800040f2]:c.or a0, a1<br> [0x800040f4]:sd a0, 1480(ra)<br> |
| 443|[0x80008de0]<br>0xFFFFFFFF4AFB0CCE|- rs1_val==4 and rs2_val==-3037000498<br>                                                                                                                                              |[0x8000410c]:c.or a0, a1<br> [0x8000410e]:sd a0, 1488(ra)<br> |
| 444|[0x80008de8]<br>0x00000000B504F334|- rs1_val==4 and rs2_val==3037000500<br>                                                                                                                                               |[0x80004126]:c.or a0, a1<br> [0x80004128]:sd a0, 1496(ra)<br> |
| 445|[0x80008df0]<br>0x3333333333333333|- rs1_val==3689348814741910322 and rs2_val==3<br>                                                                                                                                      |[0x80004150]:c.or a0, a1<br> [0x80004152]:sd a0, 1504(ra)<br> |
| 446|[0x80008df8]<br>0x7777777777777777|- rs1_val==3689348814741910322 and rs2_val==6148914691236517205<br>                                                                                                                    |[0x80004196]:c.or a0, a1<br> [0x80004198]:sd a0, 1512(ra)<br> |
| 447|[0x80008e00]<br>0xBBBBBBBBBBBBBBBA|- rs1_val==3689348814741910322 and rs2_val==-6148914691236517206<br>                                                                                                                   |[0x800041dc]:c.or a0, a1<br> [0x800041de]:sd a0, 1520(ra)<br> |
| 448|[0x80008e08]<br>0x3333333333333337|- rs1_val==3689348814741910322 and rs2_val==5<br>                                                                                                                                      |[0x80004206]:c.or a0, a1<br> [0x80004208]:sd a0, 1528(ra)<br> |
| 449|[0x80008e10]<br>0x3333333333333333|- rs1_val==3689348814741910322 and rs2_val==3689348814741910323<br>                                                                                                                    |[0x8000424c]:c.or a0, a1<br> [0x8000424e]:sd a0, 1536(ra)<br> |
| 450|[0x80008e18]<br>0x7777777777777776|- rs1_val==3689348814741910322 and rs2_val==7378697629483820646<br>                                                                                                                    |[0x80004292]:c.or a0, a1<br> [0x80004294]:sd a0, 1544(ra)<br> |
| 451|[0x80008e20]<br>0xFFFFFFFF7BFB3FFF|- rs1_val==3689348814741910322 and rs2_val==-3037000499<br>                                                                                                                            |[0x800042c8]:c.or a0, a1<br> [0x800042ca]:sd a0, 1552(ra)<br> |
| 452|[0x80008e28]<br>0x33333333B737F333|- rs1_val==3689348814741910322 and rs2_val==3037000499<br>                                                                                                                             |[0x800042fe]:c.or a0, a1<br> [0x80004300]:sd a0, 1560(ra)<br> |
| 453|[0x80008e30]<br>0x3333333333333332|- rs1_val==3689348814741910322 and rs2_val==2<br>                                                                                                                                      |[0x80004328]:c.or a0, a1<br> [0x8000432a]:sd a0, 1568(ra)<br> |
| 454|[0x80008e38]<br>0x7777777777777776|- rs1_val==3689348814741910322 and rs2_val==6148914691236517204<br>                                                                                                                    |[0x8000436e]:c.or a0, a1<br> [0x80004370]:sd a0, 1576(ra)<br> |
| 455|[0x80008e40]<br>0x3333333333333332|- rs1_val==3689348814741910322 and rs2_val==0<br>                                                                                                                                      |[0x80004398]:c.or a0, a1<br> [0x8000439a]:sd a0, 1584(ra)<br> |
| 456|[0x80008e48]<br>0x3333333333333336|- rs1_val==3689348814741910322 and rs2_val==4<br>                                                                                                                                      |[0x800043c2]:c.or a0, a1<br> [0x800043c4]:sd a0, 1592(ra)<br> |
| 457|[0x80008e50]<br>0x3333333333333332|- rs1_val==3689348814741910322 and rs2_val==3689348814741910322<br>                                                                                                                    |[0x80004408]:c.or a0, a1<br> [0x8000440a]:sd a0, 1600(ra)<br> |
| 458|[0x80008e58]<br>0x7777777777777777|- rs1_val==3689348814741910322 and rs2_val==7378697629483820645<br>                                                                                                                    |[0x8000444e]:c.or a0, a1<br> [0x80004450]:sd a0, 1608(ra)<br> |
| 459|[0x80008e60]<br>0x33333333B737F332|- rs1_val==3689348814741910322 and rs2_val==3037000498<br>                                                                                                                             |[0x80004484]:c.or a0, a1<br> [0x80004486]:sd a0, 1616(ra)<br> |
| 460|[0x80008e68]<br>0x7777777777777776|- rs1_val==3689348814741910322 and rs2_val==6148914691236517206<br>                                                                                                                    |[0x800044ca]:c.or a0, a1<br> [0x800044cc]:sd a0, 1624(ra)<br> |
| 461|[0x80008e70]<br>0xBBBBBBBBBBBBBBBB|- rs1_val==3689348814741910322 and rs2_val==-6148914691236517205<br>                                                                                                                   |[0x80004510]:c.or a0, a1<br> [0x80004512]:sd a0, 1632(ra)<br> |
| 462|[0x80008e78]<br>0x3333333333333336|- rs1_val==3689348814741910322 and rs2_val==6<br>                                                                                                                                      |[0x8000453a]:c.or a0, a1<br> [0x8000453c]:sd a0, 1640(ra)<br> |
| 463|[0x80008e80]<br>0x3333333333333336|- rs1_val==3689348814741910322 and rs2_val==3689348814741910324<br>                                                                                                                    |[0x80004580]:c.or a0, a1<br> [0x80004582]:sd a0, 1648(ra)<br> |
| 464|[0x80008e88]<br>0x7777777777777777|- rs1_val==3689348814741910322 and rs2_val==7378697629483820647<br>                                                                                                                    |[0x800045c6]:c.or a0, a1<br> [0x800045c8]:sd a0, 1656(ra)<br> |
| 465|[0x80008e90]<br>0xFFFFFFFF7BFB3FFE|- rs1_val==3689348814741910322 and rs2_val==-3037000498<br>                                                                                                                            |[0x800045fc]:c.or a0, a1<br> [0x800045fe]:sd a0, 1664(ra)<br> |
| 466|[0x80008e98]<br>0x33333333B737F336|- rs1_val==3689348814741910322 and rs2_val==3037000500<br>                                                                                                                             |[0x80004632]:c.or a0, a1<br> [0x80004634]:sd a0, 1672(ra)<br> |
| 467|[0x80008ea0]<br>0x6666666666666667|- rs1_val==7378697629483820645 and rs2_val==3<br>                                                                                                                                      |[0x8000465c]:c.or a0, a1<br> [0x8000465e]:sd a0, 1680(ra)<br> |
| 468|[0x80008ea8]<br>0x7777777777777775|- rs1_val==7378697629483820645 and rs2_val==6148914691236517205<br>                                                                                                                    |[0x800046a2]:c.or a0, a1<br> [0x800046a4]:sd a0, 1688(ra)<br> |
| 469|[0x80008eb0]<br>0xEEEEEEEEEEEEEEEF|- rs1_val==7378697629483820645 and rs2_val==-6148914691236517206<br>                                                                                                                   |[0x800046e8]:c.or a0, a1<br> [0x800046ea]:sd a0, 1696(ra)<br> |
| 470|[0x80008eb8]<br>0x6666666666666665|- rs1_val==7378697629483820645 and rs2_val==5<br>                                                                                                                                      |[0x80004712]:c.or a0, a1<br> [0x80004714]:sd a0, 1704(ra)<br> |
| 471|[0x80008ec0]<br>0x7777777777777777|- rs1_val==7378697629483820645 and rs2_val==3689348814741910323<br>                                                                                                                    |[0x80004758]:c.or a0, a1<br> [0x8000475a]:sd a0, 1712(ra)<br> |
| 472|[0x80008ec8]<br>0x6666666666666667|- rs1_val==7378697629483820645 and rs2_val==7378697629483820646<br>                                                                                                                    |[0x8000479e]:c.or a0, a1<br> [0x800047a0]:sd a0, 1720(ra)<br> |
| 473|[0x80008ed0]<br>0xFFFFFFFF6EFF6EED|- rs1_val==7378697629483820645 and rs2_val==-3037000499<br>                                                                                                                            |[0x800047d4]:c.or a0, a1<br> [0x800047d6]:sd a0, 1728(ra)<br> |
| 474|[0x80008ed8]<br>0x66666666F766F777|- rs1_val==7378697629483820645 and rs2_val==3037000499<br>                                                                                                                             |[0x8000480a]:c.or a0, a1<br> [0x8000480c]:sd a0, 1736(ra)<br> |
| 475|[0x80008ee0]<br>0x6666666666666667|- rs1_val==7378697629483820645 and rs2_val==2<br>                                                                                                                                      |[0x80004834]:c.or a0, a1<br> [0x80004836]:sd a0, 1744(ra)<br> |
| 476|[0x80008ee8]<br>0x7777777777777775|- rs1_val==7378697629483820645 and rs2_val==6148914691236517204<br>                                                                                                                    |[0x8000487a]:c.or a0, a1<br> [0x8000487c]:sd a0, 1752(ra)<br> |
| 477|[0x80008ef0]<br>0x6666666666666665|- rs1_val==7378697629483820645 and rs2_val==0<br>                                                                                                                                      |[0x800048a4]:c.or a0, a1<br> [0x800048a6]:sd a0, 1760(ra)<br> |
| 478|[0x80008ef8]<br>0x6666666666666665|- rs1_val==7378697629483820645 and rs2_val==4<br>                                                                                                                                      |[0x800048ce]:c.or a0, a1<br> [0x800048d0]:sd a0, 1768(ra)<br> |
| 479|[0x80008f00]<br>0x7777777777777777|- rs1_val==7378697629483820645 and rs2_val==3689348814741910322<br>                                                                                                                    |[0x80004914]:c.or a0, a1<br> [0x80004916]:sd a0, 1776(ra)<br> |
| 480|[0x80008f08]<br>0x6666666666666665|- rs1_val==7378697629483820645 and rs2_val==7378697629483820645<br>                                                                                                                    |[0x8000495a]:c.or a0, a1<br> [0x8000495c]:sd a0, 1784(ra)<br> |
| 481|[0x80008f10]<br>0x66666666F766F777|- rs1_val==7378697629483820645 and rs2_val==3037000498<br>                                                                                                                             |[0x80004990]:c.or a0, a1<br> [0x80004992]:sd a0, 1792(ra)<br> |
| 482|[0x80008f18]<br>0x7777777777777777|- rs1_val==7378697629483820645 and rs2_val==6148914691236517206<br>                                                                                                                    |[0x800049d6]:c.or a0, a1<br> [0x800049d8]:sd a0, 1800(ra)<br> |
| 483|[0x80008f20]<br>0xEEEEEEEEEEEEEEEF|- rs1_val==7378697629483820645 and rs2_val==-6148914691236517205<br>                                                                                                                   |[0x80004a1c]:c.or a0, a1<br> [0x80004a1e]:sd a0, 1808(ra)<br> |
| 484|[0x80008f28]<br>0x6666666666666667|- rs1_val==7378697629483820645 and rs2_val==6<br>                                                                                                                                      |[0x80004a46]:c.or a0, a1<br> [0x80004a48]:sd a0, 1816(ra)<br> |
| 485|[0x80008f30]<br>0x7777777777777775|- rs1_val==7378697629483820645 and rs2_val==3689348814741910324<br>                                                                                                                    |[0x80004a8c]:c.or a0, a1<br> [0x80004a8e]:sd a0, 1824(ra)<br> |
| 486|[0x80008f38]<br>0x6666666666666667|- rs1_val==7378697629483820645 and rs2_val==7378697629483820647<br>                                                                                                                    |[0x80004ad2]:c.or a0, a1<br> [0x80004ad4]:sd a0, 1832(ra)<br> |
| 487|[0x80008f40]<br>0xFFFFFFFF6EFF6EEF|- rs1_val==7378697629483820645 and rs2_val==-3037000498<br>                                                                                                                            |[0x80004b08]:c.or a0, a1<br> [0x80004b0a]:sd a0, 1840(ra)<br> |
| 488|[0x80008f48]<br>0x66666666F766F775|- rs1_val==7378697629483820645 and rs2_val==3037000500<br>                                                                                                                             |[0x80004b3e]:c.or a0, a1<br> [0x80004b40]:sd a0, 1848(ra)<br> |
| 489|[0x80008f50]<br>0x00000000B504F333|- rs1_val==3037000498 and rs2_val==3<br>                                                                                                                                               |[0x80004b58]:c.or a0, a1<br> [0x80004b5a]:sd a0, 1856(ra)<br> |
| 490|[0x80008f58]<br>0x55555555F555F777|- rs1_val==3037000498 and rs2_val==6148914691236517205<br>                                                                                                                             |[0x80004b8e]:c.or a0, a1<br> [0x80004b90]:sd a0, 1864(ra)<br> |
| 491|[0x80008f60]<br>0xAAAAAAAABFAEFBBA|- rs1_val==3037000498 and rs2_val==-6148914691236517206<br>                                                                                                                            |[0x80004bc4]:c.or a0, a1<br> [0x80004bc6]:sd a0, 1872(ra)<br> |
| 492|[0x80008f68]<br>0x00000000B504F337|- rs1_val==3037000498 and rs2_val==5<br>                                                                                                                                               |[0x80004bde]:c.or a0, a1<br> [0x80004be0]:sd a0, 1880(ra)<br> |
| 493|[0x80008f70]<br>0x33333333B737F333|- rs1_val==3037000498 and rs2_val==3689348814741910323<br>                                                                                                                             |[0x80004c14]:c.or a0, a1<br> [0x80004c16]:sd a0, 1888(ra)<br> |
| 494|[0x80008f78]<br>0x66666666F766F776|- rs1_val==3037000498 and rs2_val==7378697629483820646<br>                                                                                                                             |[0x80004c4a]:c.or a0, a1<br> [0x80004c4c]:sd a0, 1896(ra)<br> |
| 495|[0x80008f80]<br>0xFFFFFFFFFFFFFFFF|- rs1_val==3037000498 and rs2_val==-3037000499<br>                                                                                                                                     |[0x80004c70]:c.or a0, a1<br> [0x80004c72]:sd a0, 1904(ra)<br> |
| 496|[0x80008f88]<br>0x00000000B504F333|- rs1_val==3037000498 and rs2_val==3037000499<br>                                                                                                                                      |[0x80004c96]:c.or a0, a1<br> [0x80004c98]:sd a0, 1912(ra)<br> |
| 497|[0x80008f90]<br>0x00000000B504F332|- rs1_val==3037000498 and rs2_val==2<br>                                                                                                                                               |[0x80004cb0]:c.or a0, a1<br> [0x80004cb2]:sd a0, 1920(ra)<br> |
| 498|[0x80008f98]<br>0x55555555F555F776|- rs1_val==3037000498 and rs2_val==6148914691236517204<br>                                                                                                                             |[0x80004ce6]:c.or a0, a1<br> [0x80004ce8]:sd a0, 1928(ra)<br> |
| 499|[0x80008fa0]<br>0x00000000B504F332|- rs1_val==3037000498 and rs2_val==0<br>                                                                                                                                               |[0x80004d00]:c.or a0, a1<br> [0x80004d02]:sd a0, 1936(ra)<br> |
| 500|[0x80008fa8]<br>0x00000000B504F336|- rs1_val==3037000498 and rs2_val==4<br>                                                                                                                                               |[0x80004d1a]:c.or a0, a1<br> [0x80004d1c]:sd a0, 1944(ra)<br> |
| 501|[0x80008fb0]<br>0x33333333B737F332|- rs1_val==3037000498 and rs2_val==3689348814741910322<br>                                                                                                                             |[0x80004d50]:c.or a0, a1<br> [0x80004d52]:sd a0, 1952(ra)<br> |
| 502|[0x80008fb8]<br>0x66666666F766F777|- rs1_val==3037000498 and rs2_val==7378697629483820645<br>                                                                                                                             |[0x80004d86]:c.or a0, a1<br> [0x80004d88]:sd a0, 1960(ra)<br> |
| 503|[0x80008fc0]<br>0x00000000B504F332|- rs1_val==3037000498 and rs2_val==3037000498<br>                                                                                                                                      |[0x80004dac]:c.or a0, a1<br> [0x80004dae]:sd a0, 1968(ra)<br> |
| 504|[0x80008fc8]<br>0x55555555F555F776|- rs1_val==3037000498 and rs2_val==6148914691236517206<br>                                                                                                                             |[0x80004de2]:c.or a0, a1<br> [0x80004de4]:sd a0, 1976(ra)<br> |
| 505|[0x80008fd0]<br>0xAAAAAAAABFAEFBBB|- rs1_val==3037000498 and rs2_val==-6148914691236517205<br>                                                                                                                            |[0x80004e18]:c.or a0, a1<br> [0x80004e1a]:sd a0, 1984(ra)<br> |
| 506|[0x80008fd8]<br>0x00000000B504F336|- rs1_val==3037000498 and rs2_val==6<br>                                                                                                                                               |[0x80004e32]:c.or a0, a1<br> [0x80004e34]:sd a0, 1992(ra)<br> |
| 507|[0x80008fe0]<br>0x33333333B737F336|- rs1_val==3037000498 and rs2_val==3689348814741910324<br>                                                                                                                             |[0x80004e68]:c.or a0, a1<br> [0x80004e6a]:sd a0, 2000(ra)<br> |
| 508|[0x80008fe8]<br>0x66666666F766F777|- rs1_val==3037000498 and rs2_val==7378697629483820647<br>                                                                                                                             |[0x80004e9e]:c.or a0, a1<br> [0x80004ea0]:sd a0, 2008(ra)<br> |
| 509|[0x80008ff0]<br>0xFFFFFFFFFFFFFFFE|- rs1_val==3037000498 and rs2_val==-3037000498<br>                                                                                                                                     |[0x80004ec4]:c.or a0, a1<br> [0x80004ec6]:sd a0, 2016(ra)<br> |
| 510|[0x80008ff8]<br>0x00000000B504F336|- rs1_val==3037000498 and rs2_val==3037000500<br>                                                                                                                                      |[0x80004eea]:c.or a0, a1<br> [0x80004eec]:sd a0, 2024(ra)<br> |
| 511|[0x80009000]<br>0x5555555555555557|- rs1_val==6148914691236517206 and rs2_val==3<br>                                                                                                                                      |[0x80004f14]:c.or a0, a1<br> [0x80004f16]:sd a0, 2032(ra)<br> |
| 512|[0x80009008]<br>0x5555555555555557|- rs1_val==6148914691236517206 and rs2_val==6148914691236517205<br>                                                                                                                    |[0x80004f5a]:c.or a0, a1<br> [0x80004f5c]:sd a0, 2040(ra)<br> |
| 513|[0x80009010]<br>0xFFFFFFFFFFFFFFFE|- rs1_val==6148914691236517206 and rs2_val==-6148914691236517206<br>                                                                                                                   |[0x80004fa8]:c.or a0, a1<br> [0x80004faa]:sd a0, 0(ra)<br>    |
| 514|[0x80009018]<br>0x5555555555555557|- rs1_val==6148914691236517206 and rs2_val==5<br>                                                                                                                                      |[0x80004fd2]:c.or a0, a1<br> [0x80004fd4]:sd a0, 8(ra)<br>    |
| 515|[0x80009020]<br>0x7777777777777777|- rs1_val==6148914691236517206 and rs2_val==3689348814741910323<br>                                                                                                                    |[0x80005018]:c.or a0, a1<br> [0x8000501a]:sd a0, 16(ra)<br>   |
| 516|[0x80009028]<br>0x7777777777777776|- rs1_val==6148914691236517206 and rs2_val==7378697629483820646<br>                                                                                                                    |[0x8000505e]:c.or a0, a1<br> [0x80005060]:sd a0, 24(ra)<br>   |
| 517|[0x80009030]<br>0xFFFFFFFF5FFF5DDF|- rs1_val==6148914691236517206 and rs2_val==-3037000499<br>                                                                                                                            |[0x80005094]:c.or a0, a1<br> [0x80005096]:sd a0, 32(ra)<br>   |
| 518|[0x80009038]<br>0x55555555F555F777|- rs1_val==6148914691236517206 and rs2_val==3037000499<br>                                                                                                                             |[0x800050ca]:c.or a0, a1<br> [0x800050cc]:sd a0, 40(ra)<br>   |
| 519|[0x80009040]<br>0x5555555555555556|- rs1_val==6148914691236517206 and rs2_val==2<br>                                                                                                                                      |[0x800050f4]:c.or a0, a1<br> [0x800050f6]:sd a0, 48(ra)<br>   |
| 520|[0x80009048]<br>0x5555555555555556|- rs1_val==6148914691236517206 and rs2_val==6148914691236517204<br>                                                                                                                    |[0x8000513a]:c.or a0, a1<br> [0x8000513c]:sd a0, 56(ra)<br>   |
| 521|[0x80009050]<br>0x5555555555555556|- rs1_val==6148914691236517206 and rs2_val==0<br>                                                                                                                                      |[0x80005164]:c.or a0, a1<br> [0x80005166]:sd a0, 64(ra)<br>   |
| 522|[0x80009058]<br>0x5555555555555556|- rs1_val==6148914691236517206 and rs2_val==4<br>                                                                                                                                      |[0x8000518e]:c.or a0, a1<br> [0x80005190]:sd a0, 72(ra)<br>   |
| 523|[0x80009060]<br>0x7777777777777776|- rs1_val==6148914691236517206 and rs2_val==3689348814741910322<br>                                                                                                                    |[0x800051d4]:c.or a0, a1<br> [0x800051d6]:sd a0, 80(ra)<br>   |
| 524|[0x80009068]<br>0x7777777777777777|- rs1_val==6148914691236517206 and rs2_val==7378697629483820645<br>                                                                                                                    |[0x8000521a]:c.or a0, a1<br> [0x8000521c]:sd a0, 88(ra)<br>   |
| 525|[0x80009070]<br>0x55555555F555F776|- rs1_val==6148914691236517206 and rs2_val==3037000498<br>                                                                                                                             |[0x80005250]:c.or a0, a1<br> [0x80005252]:sd a0, 96(ra)<br>   |
| 526|[0x80009078]<br>0x5555555555555556|- rs1_val==6148914691236517206 and rs2_val==6148914691236517206<br>                                                                                                                    |[0x80005296]:c.or a0, a1<br> [0x80005298]:sd a0, 104(ra)<br>  |
| 527|[0x80009080]<br>0xFFFFFFFFFFFFFFFF|- rs1_val==6148914691236517206 and rs2_val==-6148914691236517205<br>                                                                                                                   |[0x800052dc]:c.or a0, a1<br> [0x800052de]:sd a0, 112(ra)<br>  |
| 528|[0x80009088]<br>0x5555555555555556|- rs1_val==6148914691236517206 and rs2_val==6<br>                                                                                                                                      |[0x80005306]:c.or a0, a1<br> [0x80005308]:sd a0, 120(ra)<br>  |
| 529|[0x80009090]<br>0x7777777777777776|- rs1_val==6148914691236517206 and rs2_val==3689348814741910324<br>                                                                                                                    |[0x8000534c]:c.or a0, a1<br> [0x8000534e]:sd a0, 128(ra)<br>  |
| 530|[0x80009098]<br>0x7777777777777777|- rs1_val==6148914691236517206 and rs2_val==7378697629483820647<br>                                                                                                                    |[0x80005392]:c.or a0, a1<br> [0x80005394]:sd a0, 136(ra)<br>  |
| 531|[0x800090a0]<br>0xFFFFFFFF5FFF5DDE|- rs1_val==6148914691236517206 and rs2_val==-3037000498<br>                                                                                                                            |[0x800053c8]:c.or a0, a1<br> [0x800053ca]:sd a0, 144(ra)<br>  |
| 532|[0x800090a8]<br>0x55555555F555F776|- rs1_val==6148914691236517206 and rs2_val==3037000500<br>                                                                                                                             |[0x800053fe]:c.or a0, a1<br> [0x80005400]:sd a0, 152(ra)<br>  |
| 533|[0x800090b0]<br>0xAAAAAAAAAAAAAAAB|- rs1_val==-6148914691236517205 and rs2_val==3<br>                                                                                                                                     |[0x80005428]:c.or a0, a1<br> [0x8000542a]:sd a0, 160(ra)<br>  |
| 534|[0x800090b8]<br>0xFFFFFFFFFFFFFFFF|- rs1_val==-6148914691236517205 and rs2_val==6148914691236517205<br>                                                                                                                   |[0x8000546e]:c.or a0, a1<br> [0x80005470]:sd a0, 168(ra)<br>  |
| 535|[0x800090c0]<br>0xAAAAAAAAAAAAAAAB|- rs1_val==-6148914691236517205 and rs2_val==-6148914691236517206<br>                                                                                                                  |[0x800054b4]:c.or a0, a1<br> [0x800054b6]:sd a0, 176(ra)<br>  |
| 536|[0x800090c8]<br>0xAAAAAAAAAAAAAAAF|- rs1_val==-6148914691236517205 and rs2_val==5<br>                                                                                                                                     |[0x800054de]:c.or a0, a1<br> [0x800054e0]:sd a0, 184(ra)<br>  |
| 537|[0x800090d0]<br>0xBBBBBBBBBBBBBBBB|- rs1_val==-6148914691236517205 and rs2_val==3689348814741910323<br>                                                                                                                   |[0x80005524]:c.or a0, a1<br> [0x80005526]:sd a0, 192(ra)<br>  |
| 538|[0x800090d8]<br>0xEEEEEEEEEEEEEEEF|- rs1_val==-6148914691236517205 and rs2_val==7378697629483820646<br>                                                                                                                   |[0x8000556a]:c.or a0, a1<br> [0x8000556c]:sd a0, 200(ra)<br>  |
| 539|[0x800090e0]<br>0xFFFFFFFFEAFBAEEF|- rs1_val==-6148914691236517205 and rs2_val==-3037000499<br>                                                                                                                           |[0x800055a0]:c.or a0, a1<br> [0x800055a2]:sd a0, 208(ra)<br>  |
| 540|[0x800090e8]<br>0xAAAAAAAABFAEFBBB|- rs1_val==-6148914691236517205 and rs2_val==3037000499<br>                                                                                                                            |[0x800055d6]:c.or a0, a1<br> [0x800055d8]:sd a0, 216(ra)<br>  |
| 541|[0x800090f0]<br>0xAAAAAAAAAAAAAAAB|- rs1_val==-6148914691236517205 and rs2_val==2<br>                                                                                                                                     |[0x80005600]:c.or a0, a1<br> [0x80005602]:sd a0, 224(ra)<br>  |
| 542|[0x800090f8]<br>0xFFFFFFFFFFFFFFFF|- rs1_val==-6148914691236517205 and rs2_val==6148914691236517204<br>                                                                                                                   |[0x80005646]:c.or a0, a1<br> [0x80005648]:sd a0, 232(ra)<br>  |
| 543|[0x80009100]<br>0xAAAAAAAAAAAAAAAB|- rs1_val==-6148914691236517205 and rs2_val==0<br>                                                                                                                                     |[0x80005670]:c.or a0, a1<br> [0x80005672]:sd a0, 240(ra)<br>  |
| 544|[0x80009108]<br>0xAAAAAAAAAAAAAAAF|- rs1_val==-6148914691236517205 and rs2_val==4<br>                                                                                                                                     |[0x8000569a]:c.or a0, a1<br> [0x8000569c]:sd a0, 248(ra)<br>  |
| 545|[0x80009110]<br>0xBBBBBBBBBBBBBBBB|- rs1_val==-6148914691236517205 and rs2_val==3689348814741910322<br>                                                                                                                   |[0x800056e0]:c.or a0, a1<br> [0x800056e2]:sd a0, 256(ra)<br>  |
| 546|[0x80009118]<br>0xEEEEEEEEEEEEEEEF|- rs1_val==-6148914691236517205 and rs2_val==7378697629483820645<br>                                                                                                                   |[0x80005726]:c.or a0, a1<br> [0x80005728]:sd a0, 264(ra)<br>  |
| 547|[0x80009120]<br>0xAAAAAAAABFAEFBBB|- rs1_val==-6148914691236517205 and rs2_val==3037000498<br>                                                                                                                            |[0x8000575c]:c.or a0, a1<br> [0x8000575e]:sd a0, 272(ra)<br>  |
| 548|[0x80009128]<br>0xFFFFFFFFFFFFFFFF|- rs1_val==-6148914691236517205 and rs2_val==6148914691236517206<br>                                                                                                                   |[0x800057a2]:c.or a0, a1<br> [0x800057a4]:sd a0, 280(ra)<br>  |
| 549|[0x80009130]<br>0xAAAAAAAAAAAAAAAB|- rs1_val==-6148914691236517205 and rs2_val==-6148914691236517205<br>                                                                                                                  |[0x800057e8]:c.or a0, a1<br> [0x800057ea]:sd a0, 288(ra)<br>  |
| 550|[0x80009138]<br>0xAAAAAAAAAAAAAAAF|- rs1_val==-6148914691236517205 and rs2_val==6<br>                                                                                                                                     |[0x80005812]:c.or a0, a1<br> [0x80005814]:sd a0, 296(ra)<br>  |
| 551|[0x80009140]<br>0xBBBBBBBBBBBBBBBF|- rs1_val==-6148914691236517205 and rs2_val==3689348814741910324<br>                                                                                                                   |[0x80005858]:c.or a0, a1<br> [0x8000585a]:sd a0, 304(ra)<br>  |
| 552|[0x80009148]<br>0xEEEEEEEEEEEEEEEF|- rs1_val==-6148914691236517205 and rs2_val==7378697629483820647<br>                                                                                                                   |[0x8000589e]:c.or a0, a1<br> [0x800058a0]:sd a0, 312(ra)<br>  |
| 553|[0x80009150]<br>0xFFFFFFFFEAFBAEEF|- rs1_val==-6148914691236517205 and rs2_val==-3037000498<br>                                                                                                                           |[0x800058d4]:c.or a0, a1<br> [0x800058d6]:sd a0, 320(ra)<br>  |
| 554|[0x80009158]<br>0xAAAAAAAABFAEFBBF|- rs1_val==-6148914691236517205 and rs2_val==3037000500<br>                                                                                                                            |[0x8000590a]:c.or a0, a1<br> [0x8000590c]:sd a0, 328(ra)<br>  |
| 555|[0x80009160]<br>0x0000000000000007|- rs1_val==6 and rs2_val==3<br>                                                                                                                                                        |[0x80005918]:c.or a0, a1<br> [0x8000591a]:sd a0, 336(ra)<br>  |
| 556|[0x80009168]<br>0x5555555555555557|- rs1_val==6 and rs2_val==6148914691236517205<br>                                                                                                                                      |[0x80005942]:c.or a0, a1<br> [0x80005944]:sd a0, 344(ra)<br>  |
| 557|[0x80009170]<br>0xAAAAAAAAAAAAAAAE|- rs1_val==6 and rs2_val==-6148914691236517206<br>                                                                                                                                     |[0x8000596c]:c.or a0, a1<br> [0x8000596e]:sd a0, 352(ra)<br>  |
| 558|[0x80009178]<br>0x0000000000000007|- rs1_val==6 and rs2_val==5<br>                                                                                                                                                        |[0x8000597a]:c.or a0, a1<br> [0x8000597c]:sd a0, 360(ra)<br>  |
| 559|[0x80009180]<br>0x3333333333333337|- rs1_val==6 and rs2_val==3689348814741910323<br>                                                                                                                                      |[0x800059a4]:c.or a0, a1<br> [0x800059a6]:sd a0, 368(ra)<br>  |
| 560|[0x80009188]<br>0x6666666666666666|- rs1_val==6 and rs2_val==7378697629483820646<br>                                                                                                                                      |[0x800059ce]:c.or a0, a1<br> [0x800059d0]:sd a0, 376(ra)<br>  |
| 561|[0x80009190]<br>0xFFFFFFFF4AFB0CCF|- rs1_val==6 and rs2_val==-3037000499<br>                                                                                                                                              |[0x800059e8]:c.or a0, a1<br> [0x800059ea]:sd a0, 384(ra)<br>  |
| 562|[0x80009198]<br>0x00000000B504F337|- rs1_val==6 and rs2_val==3037000499<br>                                                                                                                                               |[0x80005a02]:c.or a0, a1<br> [0x80005a04]:sd a0, 392(ra)<br>  |
| 563|[0x800091a0]<br>0x0000000000000006|- rs1_val==6 and rs2_val==2<br>                                                                                                                                                        |[0x80005a10]:c.or a0, a1<br> [0x80005a12]:sd a0, 400(ra)<br>  |
| 564|[0x800091a8]<br>0x5555555555555556|- rs1_val==6 and rs2_val==6148914691236517204<br>                                                                                                                                      |[0x80005a3a]:c.or a0, a1<br> [0x80005a3c]:sd a0, 408(ra)<br>  |
| 565|[0x800091b0]<br>0x0000000000000006|- rs1_val==6 and rs2_val==0<br>                                                                                                                                                        |[0x80005a48]:c.or a0, a1<br> [0x80005a4a]:sd a0, 416(ra)<br>  |
| 566|[0x800091b8]<br>0x0000000000000006|- rs1_val==6 and rs2_val==4<br>                                                                                                                                                        |[0x80005a56]:c.or a0, a1<br> [0x80005a58]:sd a0, 424(ra)<br>  |
| 567|[0x800091c0]<br>0x3333333333333336|- rs1_val==6 and rs2_val==3689348814741910322<br>                                                                                                                                      |[0x80005a80]:c.or a0, a1<br> [0x80005a82]:sd a0, 432(ra)<br>  |
| 568|[0x800091c8]<br>0x6666666666666667|- rs1_val==6 and rs2_val==7378697629483820645<br>                                                                                                                                      |[0x80005aaa]:c.or a0, a1<br> [0x80005aac]:sd a0, 440(ra)<br>  |
| 569|[0x800091d0]<br>0x00000000B504F336|- rs1_val==6 and rs2_val==3037000498<br>                                                                                                                                               |[0x80005ac4]:c.or a0, a1<br> [0x80005ac6]:sd a0, 448(ra)<br>  |
| 570|[0x800091d8]<br>0x5555555555555556|- rs1_val==6 and rs2_val==6148914691236517206<br>                                                                                                                                      |[0x80005aee]:c.or a0, a1<br> [0x80005af0]:sd a0, 456(ra)<br>  |
| 571|[0x800091e0]<br>0xAAAAAAAAAAAAAAAF|- rs1_val==6 and rs2_val==-6148914691236517205<br>                                                                                                                                     |[0x80005b18]:c.or a0, a1<br> [0x80005b1a]:sd a0, 464(ra)<br>  |
| 572|[0x800091e8]<br>0x0000000000000006|- rs1_val==6 and rs2_val==6<br>                                                                                                                                                        |[0x80005b26]:c.or a0, a1<br> [0x80005b28]:sd a0, 472(ra)<br>  |
| 573|[0x800091f0]<br>0x3333333333333336|- rs1_val==6 and rs2_val==3689348814741910324<br>                                                                                                                                      |[0x80005b50]:c.or a0, a1<br> [0x80005b52]:sd a0, 480(ra)<br>  |
| 574|[0x800091f8]<br>0x6666666666666667|- rs1_val==6 and rs2_val==7378697629483820647<br>                                                                                                                                      |[0x80005b7a]:c.or a0, a1<br> [0x80005b7c]:sd a0, 488(ra)<br>  |
| 575|[0x80009200]<br>0xFFFFFFFF4AFB0CCE|- rs1_val==6 and rs2_val==-3037000498<br>                                                                                                                                              |[0x80005b94]:c.or a0, a1<br> [0x80005b96]:sd a0, 496(ra)<br>  |
| 576|[0x80009208]<br>0x00000000B504F336|- rs1_val==6 and rs2_val==3037000500<br>                                                                                                                                               |[0x80005bae]:c.or a0, a1<br> [0x80005bb0]:sd a0, 504(ra)<br>  |
| 577|[0x80009210]<br>0x3333333333333337|- rs1_val==3689348814741910324 and rs2_val==3<br>                                                                                                                                      |[0x80005bd8]:c.or a0, a1<br> [0x80005bda]:sd a0, 512(ra)<br>  |
| 578|[0x80009218]<br>0x7777777777777775|- rs1_val==3689348814741910324 and rs2_val==6148914691236517205<br>                                                                                                                    |[0x80005c1e]:c.or a0, a1<br> [0x80005c20]:sd a0, 520(ra)<br>  |
| 579|[0x80009220]<br>0xBBBBBBBBBBBBBBBE|- rs1_val==3689348814741910324 and rs2_val==-6148914691236517206<br>                                                                                                                   |[0x80005c64]:c.or a0, a1<br> [0x80005c66]:sd a0, 528(ra)<br>  |
| 580|[0x80009228]<br>0x3333333333333335|- rs1_val==3689348814741910324 and rs2_val==5<br>                                                                                                                                      |[0x80005c8e]:c.or a0, a1<br> [0x80005c90]:sd a0, 536(ra)<br>  |
| 581|[0x80009230]<br>0x3333333333333337|- rs1_val==3689348814741910324 and rs2_val==3689348814741910323<br>                                                                                                                    |[0x80005cd4]:c.or a0, a1<br> [0x80005cd6]:sd a0, 544(ra)<br>  |
| 582|[0x80009238]<br>0x7777777777777776|- rs1_val==3689348814741910324 and rs2_val==7378697629483820646<br>                                                                                                                    |[0x80005d1a]:c.or a0, a1<br> [0x80005d1c]:sd a0, 552(ra)<br>  |
| 583|[0x80009240]<br>0xFFFFFFFF7BFB3FFD|- rs1_val==3689348814741910324 and rs2_val==-3037000499<br>                                                                                                                            |[0x80005d50]:c.or a0, a1<br> [0x80005d52]:sd a0, 560(ra)<br>  |
| 584|[0x80009248]<br>0x33333333B737F337|- rs1_val==3689348814741910324 and rs2_val==3037000499<br>                                                                                                                             |[0x80005d86]:c.or a0, a1<br> [0x80005d88]:sd a0, 568(ra)<br>  |
| 585|[0x80009250]<br>0x3333333333333336|- rs1_val==3689348814741910324 and rs2_val==2<br>                                                                                                                                      |[0x80005db0]:c.or a0, a1<br> [0x80005db2]:sd a0, 576(ra)<br>  |
| 586|[0x80009258]<br>0x7777777777777774|- rs1_val==3689348814741910324 and rs2_val==6148914691236517204<br>                                                                                                                    |[0x80005df6]:c.or a0, a1<br> [0x80005df8]:sd a0, 584(ra)<br>  |
| 587|[0x80009260]<br>0x3333333333333334|- rs1_val==3689348814741910324 and rs2_val==0<br>                                                                                                                                      |[0x80005e20]:c.or a0, a1<br> [0x80005e22]:sd a0, 592(ra)<br>  |
| 588|[0x80009268]<br>0x3333333333333334|- rs1_val==3689348814741910324 and rs2_val==4<br>                                                                                                                                      |[0x80005e4a]:c.or a0, a1<br> [0x80005e4c]:sd a0, 600(ra)<br>  |
| 589|[0x80009270]<br>0x3333333333333336|- rs1_val==3689348814741910324 and rs2_val==3689348814741910322<br>                                                                                                                    |[0x80005e90]:c.or a0, a1<br> [0x80005e92]:sd a0, 608(ra)<br>  |
| 590|[0x80009278]<br>0x7777777777777775|- rs1_val==3689348814741910324 and rs2_val==7378697629483820645<br>                                                                                                                    |[0x80005ed6]:c.or a0, a1<br> [0x80005ed8]:sd a0, 616(ra)<br>  |
| 591|[0x80009280]<br>0x33333333B737F336|- rs1_val==3689348814741910324 and rs2_val==3037000498<br>                                                                                                                             |[0x80005f0c]:c.or a0, a1<br> [0x80005f0e]:sd a0, 624(ra)<br>  |
| 592|[0x80009288]<br>0x7777777777777776|- rs1_val==3689348814741910324 and rs2_val==6148914691236517206<br>                                                                                                                    |[0x80005f52]:c.or a0, a1<br> [0x80005f54]:sd a0, 632(ra)<br>  |
| 593|[0x80009290]<br>0xBBBBBBBBBBBBBBBF|- rs1_val==3689348814741910324 and rs2_val==-6148914691236517205<br>                                                                                                                   |[0x80005f98]:c.or a0, a1<br> [0x80005f9a]:sd a0, 640(ra)<br>  |
| 594|[0x80009298]<br>0x3333333333333336|- rs1_val==3689348814741910324 and rs2_val==6<br>                                                                                                                                      |[0x80005fc2]:c.or a0, a1<br> [0x80005fc4]:sd a0, 648(ra)<br>  |
| 595|[0x800092a0]<br>0x3333333333333334|- rs1_val==3689348814741910324 and rs2_val==3689348814741910324<br>                                                                                                                    |[0x80006008]:c.or a0, a1<br> [0x8000600a]:sd a0, 656(ra)<br>  |
| 596|[0x800092a8]<br>0x7777777777777777|- rs1_val==3689348814741910324 and rs2_val==7378697629483820647<br>                                                                                                                    |[0x8000604e]:c.or a0, a1<br> [0x80006050]:sd a0, 664(ra)<br>  |
| 597|[0x800092b0]<br>0xFFFFFFFF7BFB3FFE|- rs1_val==3689348814741910324 and rs2_val==-3037000498<br>                                                                                                                            |[0x80006084]:c.or a0, a1<br> [0x80006086]:sd a0, 672(ra)<br>  |
| 598|[0x800092b8]<br>0x33333333B737F334|- rs1_val==3689348814741910324 and rs2_val==3037000500<br>                                                                                                                             |[0x800060ba]:c.or a0, a1<br> [0x800060bc]:sd a0, 680(ra)<br>  |
| 599|[0x800092c0]<br>0x6666666666666667|- rs1_val==7378697629483820647 and rs2_val==3<br>                                                                                                                                      |[0x800060e4]:c.or a0, a1<br> [0x800060e6]:sd a0, 688(ra)<br>  |
| 600|[0x800092c8]<br>0x7777777777777777|- rs1_val==7378697629483820647 and rs2_val==6148914691236517205<br>                                                                                                                    |[0x8000612a]:c.or a0, a1<br> [0x8000612c]:sd a0, 696(ra)<br>  |
| 601|[0x800092d0]<br>0xEEEEEEEEEEEEEEEF|- rs1_val==7378697629483820647 and rs2_val==-6148914691236517206<br>                                                                                                                   |[0x80006170]:c.or a0, a1<br> [0x80006172]:sd a0, 704(ra)<br>  |
| 602|[0x800092d8]<br>0x6666666666666667|- rs1_val==7378697629483820647 and rs2_val==5<br>                                                                                                                                      |[0x8000619a]:c.or a0, a1<br> [0x8000619c]:sd a0, 712(ra)<br>  |
| 603|[0x800092e0]<br>0x7777777777777777|- rs1_val==7378697629483820647 and rs2_val==3689348814741910323<br>                                                                                                                    |[0x800061e0]:c.or a0, a1<br> [0x800061e2]:sd a0, 720(ra)<br>  |
| 604|[0x800092e8]<br>0x6666666666666667|- rs1_val==7378697629483820647 and rs2_val==7378697629483820646<br>                                                                                                                    |[0x80006226]:c.or a0, a1<br> [0x80006228]:sd a0, 728(ra)<br>  |
| 605|[0x800092f0]<br>0xFFFFFFFF6EFF6EEF|- rs1_val==7378697629483820647 and rs2_val==-3037000499<br>                                                                                                                            |[0x8000625c]:c.or a0, a1<br> [0x8000625e]:sd a0, 736(ra)<br>  |
| 606|[0x800092f8]<br>0x66666666F766F777|- rs1_val==7378697629483820647 and rs2_val==3037000499<br>                                                                                                                             |[0x80006292]:c.or a0, a1<br> [0x80006294]:sd a0, 744(ra)<br>  |
| 607|[0x80009300]<br>0x6666666666666667|- rs1_val==7378697629483820647 and rs2_val==2<br>                                                                                                                                      |[0x800062bc]:c.or a0, a1<br> [0x800062be]:sd a0, 752(ra)<br>  |
| 608|[0x80009308]<br>0x7777777777777777|- rs1_val==7378697629483820647 and rs2_val==6148914691236517204<br>                                                                                                                    |[0x80006302]:c.or a0, a1<br> [0x80006304]:sd a0, 760(ra)<br>  |
| 609|[0x80009310]<br>0x6666666666666667|- rs1_val==7378697629483820647 and rs2_val==0<br>                                                                                                                                      |[0x8000632c]:c.or a0, a1<br> [0x8000632e]:sd a0, 768(ra)<br>  |
| 610|[0x80009318]<br>0x6666666666666667|- rs1_val==7378697629483820647 and rs2_val==4<br>                                                                                                                                      |[0x80006356]:c.or a0, a1<br> [0x80006358]:sd a0, 776(ra)<br>  |
| 611|[0x80009320]<br>0x7777777777777777|- rs1_val==7378697629483820647 and rs2_val==3689348814741910322<br>                                                                                                                    |[0x8000639c]:c.or a0, a1<br> [0x8000639e]:sd a0, 784(ra)<br>  |
| 612|[0x80009328]<br>0x6666666666666667|- rs1_val==7378697629483820647 and rs2_val==7378697629483820645<br>                                                                                                                    |[0x800063e2]:c.or a0, a1<br> [0x800063e4]:sd a0, 792(ra)<br>  |
| 613|[0x80009330]<br>0x66666666F766F777|- rs1_val==7378697629483820647 and rs2_val==3037000498<br>                                                                                                                             |[0x80006418]:c.or a0, a1<br> [0x8000641a]:sd a0, 800(ra)<br>  |
| 614|[0x80009338]<br>0x7777777777777777|- rs1_val==7378697629483820647 and rs2_val==6148914691236517206<br>                                                                                                                    |[0x8000645e]:c.or a0, a1<br> [0x80006460]:sd a0, 808(ra)<br>  |
| 615|[0x80009340]<br>0xEEEEEEEEEEEEEEEF|- rs1_val==7378697629483820647 and rs2_val==-6148914691236517205<br>                                                                                                                   |[0x800064a4]:c.or a0, a1<br> [0x800064a6]:sd a0, 816(ra)<br>  |
| 616|[0x80009348]<br>0x6666666666666667|- rs1_val==7378697629483820647 and rs2_val==6<br>                                                                                                                                      |[0x800064ce]:c.or a0, a1<br> [0x800064d0]:sd a0, 824(ra)<br>  |
| 617|[0x80009350]<br>0x7777777777777777|- rs1_val==7378697629483820647 and rs2_val==3689348814741910324<br>                                                                                                                    |[0x80006514]:c.or a0, a1<br> [0x80006516]:sd a0, 832(ra)<br>  |
| 618|[0x80009358]<br>0x6666666666666667|- rs1_val==7378697629483820647 and rs2_val==7378697629483820647<br>                                                                                                                    |[0x8000655a]:c.or a0, a1<br> [0x8000655c]:sd a0, 840(ra)<br>  |
| 619|[0x80009360]<br>0xFFFFFFFF6EFF6EEF|- rs1_val==7378697629483820647 and rs2_val==-3037000498<br>                                                                                                                            |[0x80006590]:c.or a0, a1<br> [0x80006592]:sd a0, 848(ra)<br>  |
| 620|[0x80009368]<br>0x66666666F766F777|- rs1_val==7378697629483820647 and rs2_val==3037000500<br>                                                                                                                             |[0x800065c6]:c.or a0, a1<br> [0x800065c8]:sd a0, 856(ra)<br>  |
| 621|[0x80009370]<br>0xFFFFFFFF4AFB0CCF|- rs1_val==-3037000498 and rs2_val==3<br>                                                                                                                                              |[0x800065e0]:c.or a0, a1<br> [0x800065e2]:sd a0, 864(ra)<br>  |
| 622|[0x80009378]<br>0xFFFFFFFF5FFF5DDF|- rs1_val==-3037000498 and rs2_val==6148914691236517205<br>                                                                                                                            |[0x80006616]:c.or a0, a1<br> [0x80006618]:sd a0, 872(ra)<br>  |
| 623|[0x80009380]<br>0xFFFFFFFFEAFBAEEE|- rs1_val==-3037000498 and rs2_val==-6148914691236517206<br>                                                                                                                           |[0x8000664c]:c.or a0, a1<br> [0x8000664e]:sd a0, 880(ra)<br>  |
| 624|[0x80009388]<br>0xFFFFFFFF4AFB0CCF|- rs1_val==-3037000498 and rs2_val==5<br>                                                                                                                                              |[0x80006666]:c.or a0, a1<br> [0x80006668]:sd a0, 888(ra)<br>  |
| 625|[0x80009390]<br>0xFFFFFFFF7BFB3FFF|- rs1_val==-3037000498 and rs2_val==3689348814741910323<br>                                                                                                                            |[0x8000669c]:c.or a0, a1<br> [0x8000669e]:sd a0, 896(ra)<br>  |
| 626|[0x80009398]<br>0xFFFFFFFF6EFF6EEE|- rs1_val==-3037000498 and rs2_val==7378697629483820646<br>                                                                                                                            |[0x800066d2]:c.or a0, a1<br> [0x800066d4]:sd a0, 904(ra)<br>  |
| 627|[0x800093a0]<br>0xFFFFFFFF4AFB0CCF|- rs1_val==-3037000498 and rs2_val==-3037000499<br>                                                                                                                                    |[0x800066f8]:c.or a0, a1<br> [0x800066fa]:sd a0, 912(ra)<br>  |
| 628|[0x800093a8]<br>0xFFFFFFFFFFFFFFFF|- rs1_val==-3037000498 and rs2_val==3037000499<br>                                                                                                                                     |[0x8000671e]:c.or a0, a1<br> [0x80006720]:sd a0, 920(ra)<br>  |
| 629|[0x800093b0]<br>0xFFFFFFFF4AFB0CCE|- rs1_val==-3037000498 and rs2_val==2<br>                                                                                                                                              |[0x80006738]:c.or a0, a1<br> [0x8000673a]:sd a0, 928(ra)<br>  |
| 630|[0x800093b8]<br>0xFFFFFFFF5FFF5DDE|- rs1_val==-3037000498 and rs2_val==6148914691236517204<br>                                                                                                                            |[0x8000676e]:c.or a0, a1<br> [0x80006770]:sd a0, 936(ra)<br>  |
| 631|[0x800093c0]<br>0xFFFFFFFF4AFB0CCE|- rs1_val==-3037000498 and rs2_val==0<br>                                                                                                                                              |[0x80006788]:c.or a0, a1<br> [0x8000678a]:sd a0, 944(ra)<br>  |
| 632|[0x800093c8]<br>0xFFFFFFFF4AFB0CCE|- rs1_val==-3037000498 and rs2_val==4<br>                                                                                                                                              |[0x800067a2]:c.or a0, a1<br> [0x800067a4]:sd a0, 952(ra)<br>  |
| 633|[0x800093d0]<br>0xFFFFFFFF7BFB3FFE|- rs1_val==-3037000498 and rs2_val==3689348814741910322<br>                                                                                                                            |[0x800067d8]:c.or a0, a1<br> [0x800067da]:sd a0, 960(ra)<br>  |
| 634|[0x800093d8]<br>0xFFFFFFFF6EFF6EEF|- rs1_val==-3037000498 and rs2_val==7378697629483820645<br>                                                                                                                            |[0x8000680e]:c.or a0, a1<br> [0x80006810]:sd a0, 968(ra)<br>  |
| 635|[0x800093e0]<br>0xFFFFFFFFFFFFFFFE|- rs1_val==-3037000498 and rs2_val==3037000498<br>                                                                                                                                     |[0x80006834]:c.or a0, a1<br> [0x80006836]:sd a0, 976(ra)<br>  |
| 636|[0x800093e8]<br>0xFFFFFFFF5FFF5DDE|- rs1_val==-3037000498 and rs2_val==6148914691236517206<br>                                                                                                                            |[0x8000686a]:c.or a0, a1<br> [0x8000686c]:sd a0, 984(ra)<br>  |
| 637|[0x800093f0]<br>0xFFFFFFFFEAFBAEEF|- rs1_val==-3037000498 and rs2_val==-6148914691236517205<br>                                                                                                                           |[0x800068a0]:c.or a0, a1<br> [0x800068a2]:sd a0, 992(ra)<br>  |
| 638|[0x800093f8]<br>0xFFFFFFFF4AFB0CCE|- rs1_val==-3037000498 and rs2_val==6<br>                                                                                                                                              |[0x800068ba]:c.or a0, a1<br> [0x800068bc]:sd a0, 1000(ra)<br> |
| 639|[0x80009400]<br>0xFFFFFFFF7BFB3FFE|- rs1_val==-3037000498 and rs2_val==3689348814741910324<br>                                                                                                                            |[0x800068f0]:c.or a0, a1<br> [0x800068f2]:sd a0, 1008(ra)<br> |
| 640|[0x80009408]<br>0xFFFFFFFF6EFF6EEF|- rs1_val==-3037000498 and rs2_val==7378697629483820647<br>                                                                                                                            |[0x80006926]:c.or a0, a1<br> [0x80006928]:sd a0, 1016(ra)<br> |
| 641|[0x80009410]<br>0xFFFFFFFF4AFB0CCE|- rs1_val==-3037000498 and rs2_val==-3037000498<br>                                                                                                                                    |[0x8000694c]:c.or a0, a1<br> [0x8000694e]:sd a0, 1024(ra)<br> |
| 642|[0x80009418]<br>0xFFFFFFFFFFFFFFFE|- rs1_val==-3037000498 and rs2_val==3037000500<br>                                                                                                                                     |[0x80006972]:c.or a0, a1<br> [0x80006974]:sd a0, 1032(ra)<br> |
| 643|[0x80009420]<br>0x00000000B504F337|- rs1_val==3037000500 and rs2_val==3<br>                                                                                                                                               |[0x8000698c]:c.or a0, a1<br> [0x8000698e]:sd a0, 1040(ra)<br> |
| 644|[0x80009428]<br>0x55555555F555F775|- rs1_val==3037000500 and rs2_val==6148914691236517205<br>                                                                                                                             |[0x800069c2]:c.or a0, a1<br> [0x800069c4]:sd a0, 1048(ra)<br> |
| 645|[0x80009430]<br>0xAAAAAAAABFAEFBBE|- rs1_val==3037000500 and rs2_val==-6148914691236517206<br>                                                                                                                            |[0x800069f8]:c.or a0, a1<br> [0x800069fa]:sd a0, 1056(ra)<br> |
| 646|[0x80009438]<br>0x00000000B504F335|- rs1_val==3037000500 and rs2_val==5<br>                                                                                                                                               |[0x80006a12]:c.or a0, a1<br> [0x80006a14]:sd a0, 1064(ra)<br> |
| 647|[0x80009440]<br>0x33333333B737F337|- rs1_val==3037000500 and rs2_val==3689348814741910323<br>                                                                                                                             |[0x80006a48]:c.or a0, a1<br> [0x80006a4a]:sd a0, 1072(ra)<br> |
| 648|[0x80009448]<br>0x66666666F766F776|- rs1_val==3037000500 and rs2_val==7378697629483820646<br>                                                                                                                             |[0x80006a7e]:c.or a0, a1<br> [0x80006a80]:sd a0, 1080(ra)<br> |
| 649|[0x80009450]<br>0xFFFFFFFFFFFFFFFD|- rs1_val==3037000500 and rs2_val==-3037000499<br>                                                                                                                                     |[0x80006aa4]:c.or a0, a1<br> [0x80006aa6]:sd a0, 1088(ra)<br> |
| 650|[0x80009458]<br>0x00000000B504F337|- rs1_val==3037000500 and rs2_val==3037000499<br>                                                                                                                                      |[0x80006aca]:c.or a0, a1<br> [0x80006acc]:sd a0, 1096(ra)<br> |
| 651|[0x80009460]<br>0x00000000B504F336|- rs1_val==3037000500 and rs2_val==2<br>                                                                                                                                               |[0x80006ae4]:c.or a0, a1<br> [0x80006ae6]:sd a0, 1104(ra)<br> |
| 652|[0x80009468]<br>0x55555555F555F774|- rs1_val==3037000500 and rs2_val==6148914691236517204<br>                                                                                                                             |[0x80006b1a]:c.or a0, a1<br> [0x80006b1c]:sd a0, 1112(ra)<br> |
| 653|[0x80009470]<br>0x00000000B504F334|- rs1_val==3037000500 and rs2_val==0<br>                                                                                                                                               |[0x80006b34]:c.or a0, a1<br> [0x80006b36]:sd a0, 1120(ra)<br> |
| 654|[0x80009478]<br>0x00000000B504F334|- rs1_val==3037000500 and rs2_val==4<br>                                                                                                                                               |[0x80006b4e]:c.or a0, a1<br> [0x80006b50]:sd a0, 1128(ra)<br> |
| 655|[0x80009480]<br>0x33333333B737F336|- rs1_val==3037000500 and rs2_val==3689348814741910322<br>                                                                                                                             |[0x80006b84]:c.or a0, a1<br> [0x80006b86]:sd a0, 1136(ra)<br> |
| 656|[0x80009488]<br>0x66666666F766F775|- rs1_val==3037000500 and rs2_val==7378697629483820645<br>                                                                                                                             |[0x80006bba]:c.or a0, a1<br> [0x80006bbc]:sd a0, 1144(ra)<br> |
| 657|[0x80009490]<br>0x00000000B504F336|- rs1_val==3037000500 and rs2_val==3037000498<br>                                                                                                                                      |[0x80006be0]:c.or a0, a1<br> [0x80006be2]:sd a0, 1152(ra)<br> |
| 658|[0x80009498]<br>0x55555555F555F776|- rs1_val==3037000500 and rs2_val==6148914691236517206<br>                                                                                                                             |[0x80006c16]:c.or a0, a1<br> [0x80006c18]:sd a0, 1160(ra)<br> |
| 659|[0x800094a0]<br>0xAAAAAAAABFAEFBBF|- rs1_val==3037000500 and rs2_val==-6148914691236517205<br>                                                                                                                            |[0x80006c4c]:c.or a0, a1<br> [0x80006c4e]:sd a0, 1168(ra)<br> |
| 660|[0x800094a8]<br>0x00000000B504F336|- rs1_val==3037000500 and rs2_val==6<br>                                                                                                                                               |[0x80006c66]:c.or a0, a1<br> [0x80006c68]:sd a0, 1176(ra)<br> |
| 661|[0x800094b0]<br>0x33333333B737F334|- rs1_val==3037000500 and rs2_val==3689348814741910324<br>                                                                                                                             |[0x80006c9c]:c.or a0, a1<br> [0x80006c9e]:sd a0, 1184(ra)<br> |
| 662|[0x800094b8]<br>0x66666666F766F777|- rs1_val==3037000500 and rs2_val==7378697629483820647<br>                                                                                                                             |[0x80006cd2]:c.or a0, a1<br> [0x80006cd4]:sd a0, 1192(ra)<br> |
| 663|[0x800094c0]<br>0xFFFFFFFFFFFFFFFE|- rs1_val==3037000500 and rs2_val==-3037000498<br>                                                                                                                                     |[0x80006cf8]:c.or a0, a1<br> [0x80006cfa]:sd a0, 1200(ra)<br> |
| 664|[0x800094c8]<br>0x00000000B504F334|- rs1_val==3037000500 and rs2_val==3037000500<br>                                                                                                                                      |[0x80006d1e]:c.or a0, a1<br> [0x80006d20]:sd a0, 1208(ra)<br> |
| 665|[0x800094d0]<br>0x5555555555555554|- rs1_val==0 and rs2_val==6148914691236517204<br>                                                                                                                                      |[0x80006d48]:c.or a0, a1<br> [0x80006d4a]:sd a0, 1216(ra)<br> |
| 666|[0x800094d8]<br>0x0000000000000000|- rs1_val==0 and rs2_val==0<br>                                                                                                                                                        |[0x80006d56]:c.or a0, a1<br> [0x80006d58]:sd a0, 1224(ra)<br> |
| 667|[0x800094e0]<br>0x0000000000000004|- rs1_val==0 and rs2_val==4<br>                                                                                                                                                        |[0x80006d64]:c.or a0, a1<br> [0x80006d66]:sd a0, 1232(ra)<br> |
| 668|[0x800094e8]<br>0x3333333333333332|- rs1_val==0 and rs2_val==3689348814741910322<br>                                                                                                                                      |[0x80006d8e]:c.or a0, a1<br> [0x80006d90]:sd a0, 1240(ra)<br> |
| 669|[0x800094f0]<br>0x6666666666666665|- rs1_val==0 and rs2_val==7378697629483820645<br>                                                                                                                                      |[0x80006db8]:c.or a0, a1<br> [0x80006dba]:sd a0, 1248(ra)<br> |
| 670|[0x800094f8]<br>0x00000000B504F332|- rs1_val==0 and rs2_val==3037000498<br>                                                                                                                                               |[0x80006dd2]:c.or a0, a1<br> [0x80006dd4]:sd a0, 1256(ra)<br> |
| 671|[0x80009500]<br>0x5555555555555556|- rs1_val==0 and rs2_val==6148914691236517206<br>                                                                                                                                      |[0x80006dfc]:c.or a0, a1<br> [0x80006dfe]:sd a0, 1264(ra)<br> |
| 672|[0x80009508]<br>0xAAAAAAAAAAAAAAAB|- rs1_val==0 and rs2_val==-6148914691236517205<br>                                                                                                                                     |[0x80006e26]:c.or a0, a1<br> [0x80006e28]:sd a0, 1272(ra)<br> |
| 673|[0x80009510]<br>0x0000000000000006|- rs1_val==0 and rs2_val==6<br>                                                                                                                                                        |[0x80006e34]:c.or a0, a1<br> [0x80006e36]:sd a0, 1280(ra)<br> |
| 674|[0x80009518]<br>0x3333333333333334|- rs1_val==0 and rs2_val==3689348814741910324<br>                                                                                                                                      |[0x80006e5e]:c.or a0, a1<br> [0x80006e60]:sd a0, 1288(ra)<br> |
| 675|[0x80009520]<br>0x6666666666666667|- rs1_val==0 and rs2_val==7378697629483820647<br>                                                                                                                                      |[0x80006e88]:c.or a0, a1<br> [0x80006e8a]:sd a0, 1296(ra)<br> |
| 676|[0x80009528]<br>0xFFFFFFFF4AFB0CCE|- rs1_val==0 and rs2_val==-3037000498<br>                                                                                                                                              |[0x80006ea2]:c.or a0, a1<br> [0x80006ea4]:sd a0, 1304(ra)<br> |
| 677|[0x80009530]<br>0x00000000B504F334|- rs1_val==0 and rs2_val==3037000500<br>                                                                                                                                               |[0x80006ebc]:c.or a0, a1<br> [0x80006ebe]:sd a0, 1312(ra)<br> |
| 678|[0x80009538]<br>0x0000000000000007|- rs1_val==4 and rs2_val==3<br>                                                                                                                                                        |[0x80006eca]:c.or a0, a1<br> [0x80006ecc]:sd a0, 1320(ra)<br> |
| 679|[0x80009540]<br>0x5555555555555555|- rs1_val==4 and rs2_val==6148914691236517205<br>                                                                                                                                      |[0x80006ef4]:c.or a0, a1<br> [0x80006ef6]:sd a0, 1328(ra)<br> |
